{.$I DFS.inc}
{.$I BcDirectives.inc}

unit U_RaportG;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, TeeProcs, TeEngine, Chart, DBChart, StdCtrls, Series, Db,
  DBTables, Mask, DBCtrls, Grids, DBGrids, Menus, ComCtrls, dxCore,
  dxButton,Bnet, BarMenus, ImgList, BcDrawModule, BcCustomDrawModule,
  TFlatHintUnit;

type
  TF_RapGraph = class(TForm)
    DBGrid1: TDBGrid;
    GroupBox1: TGroupBox;
    look: TDBLookupComboBox;
    RG: TRadioGroup;
    RGVAC: TRadioGroup;
    Emax: TDBEdit;
    DBChart1: TDBChart;
    Series1: TBarSeries;
    DBChart2: TDBChart;
    Series2: TPieSeries;
    Qlook: TQuery;
    dsQlook: TDataSource;
    Q: TQuery;
    DSQ: TDataSource;
    QMinMax: TQuery;
    DSMinMax: TDataSource;
    Image1: TImage;
    Timer1: TTimer;
    GroupBox2: TGroupBox;
    BoxS: TComboBox;
    CSect: TCheckBox;
    Button1: TdxButton;
    Imprim: TdxButton;
    MainMenu1: TBcBarMainMenu;
    MenuFD: TMenuItem;
    OuvrirunRapport1: TMenuItem;
    N1: TMenuItem;
    FichedeDpouillement1: TMenuItem;
    RapportAnnuel1: TMenuItem;
    N2: TMenuItem;
    ProgressionAnnulleVaccinalle1: TMenuItem;
    Progression1: TMenuItem;
    ConcernantleDTCP11: TMenuItem;
    ConcernantleDTCP21: TMenuItem;
    ConcernantleDTCP31: TMenuItem;
    ConcernantleVAR1: TMenuItem;
    N3: TMenuItem;
    N4: TMenuItem;
    BcCustomDrawModule1: TBcCustomDrawModule;
    Imagelist: TImageList;
    FHint1: TFlatHint;
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure lookCloseUp(Sender: TObject);
    procedure BoxSChange(Sender: TObject);
    procedure CSectClick(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure RGClick(Sender: TObject);
    procedure RGVACClick(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
    procedure ImprimClick(Sender: TObject);
    procedure MenuFDClick(Sender: TObject);
    procedure Rapportannuel1Click(Sender: TObject);
    procedure ProgressionBcg1Click(Sender: TObject);
    procedure ProgressionDTCP11Click(Sender: TObject);
    procedure ProgressionDTCP21Click(Sender: TObject);
    procedure ProgressionDTCP22Click(Sender: TObject);
    procedure ProgressionVAR1Click(Sender: TObject);
    procedure lookKeyUp(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure BcCustomDrawModule1DrawMenuItem(Sender: TObject;
      AMenuItem: TMenuItem; ACanvas: TCanvas; ARect: TRect;
      State: TOwnerDrawState; ABarVisible: Boolean;
      var DefaultDraw: Boolean);
    procedure MainMenu1MeasureMenuItem(Sender: TObject;
      AMenuItem: TMenuItem; ACanvas: TCanvas; var Width, Height: Integer;
      ABarVisible: Boolean; var DefaultMeasure: Boolean);
    procedure FormDestroy(Sender: TObject);
    procedure OuvrirunRapport1Click(Sender: TObject);

  private
    FDrawBuffer: TBitmap;
    function GetDrawBuffer: TBitmap;
    { Dclarations prives }

  public
    procedure DrawGradient(Canvas: TCanvas; ARect: TRect; StartingColor,
      EndingColor: TColor; Style: TGradientStyle);

    property DrawBuffer: TBitmap read GetDrawBuffer;
    { Dclarations publiques }
  end;

var
  F_RapGraph: TF_RapGraph;

implementation

Uses ShellAPI, BcRectUtilities,U_Imprim, uDF;
Var s,t:string;
{$R *.DFM}

// ---------------- Debut DrawGradient -----------------------------------------
procedure TF_RapGraph.DrawGradient(Canvas: TCanvas; ARect: TRect; StartingColor,
  EndingColor: TColor; Style: TGradientStyle);
begin
  DrawBuffer.Height := RectHeight(ARect);
  DrawBuffer.Width := RectWidth(ARect);
  BarMenus.DrawGradient(DrawBuffer, nil, BitmapRect(DrawBuffer), startingColor, EndingColor, Style);
  Canvas.Draw(ARect.Left, ARect.Top, DrawBuffer); // copy the buffer
  DrawBuffer.Height := 0;
  DrawBuffer.Width := 0;
end;
// ---------------- Fin DrawGradient -------------------------------------------

// --------------- Debut DrawModule --------------------------------------------
procedure TF_RapGraph.BcCustomDrawModule1DrawMenuItem(Sender: TObject;
  AMenuItem: TMenuItem; ACanvas: TCanvas; ARect: TRect;
  State: TOwnerDrawState; ABarVisible: Boolean; var DefaultDraw: Boolean);
var
  R: TRect;
  ImageList: TCustomImageList;
// -----------------------------------------------------------------------------
  procedure DrawCheckedPattern(Inflate: Boolean);
  begin
    if odChecked in State then
    begin
      if Inflate then InflateRect(R, -2, -2);
      ACanvas.Brush.Color := clred;
      ACanvas.FrameRect(R);
      if Inflate then InflateRect(R, 2, 2);
    end;
  end;
// -----------------------------------------------------------------------------
begin
  DefaultDraw := False;
  { menuitem drawing }
  if (AMenuItem.Caption = cLineCaption) then
  begin
    { background }
    DrawGradient(ACanvas, ARect, clWhite, clBtnFace, gsHorizontal);

    { align the text and draw it }
    R := ARect;
    R.Left := R.Right - ACanvas.TextWidth(AMenuItem.Hint) - 15;
    ACanvas.Brush.Style := bsClear;
    DrawText(ACanvas.Handle,
      PChar(AMenuItem.Hint), Length(AMenuItem.Hint),
      R, 0);

    { draw the line so that it won't draw over text }
    R := ARect;
    Inc(R.Top, (R.Bottom - R.Top) div 2);
    R.Bottom := R.Top + 1;
    Dec(R.Right, ACanvas.TextWidth(AMenuItem.Hint) + 10 + 10);
    ACanvas.Brush.Color := clred; // Pour les sparateurs
    ACanvas.FillRect(R);
  end else
  begin
    { use default drawing for mainmenu top items }
    if IsInTopMainMenu(AMenuItem) then
    begin
      DefaultDraw := True;
      Exit;
    end;
    with ACanvas do
    begin
      R := ARect;
      if odSelected in State then
      begin
        { draw frame and selection gradient }
        Brush.Color := clBlue;// Pour l'encadrement du selectionnement
        FrameRect(R);
        InflateRect(R, -2, -2);
        DrawGradient(ACanvas, R, clWhite, AMenuItem.Tag, gsDiagonalLeftRight);
        DrawCheckedPattern(False);
        { adjust rect so that text will be aligned to right }
        R.Left := R.Right - TextWidth(AMenuItem.Caption) - 5;
        Font.Color := clWhite; // caption color
      end else
      begin
        { draw background gradient }
        DrawGradient(ACanvas, R, clWhite, clBtnFace, gsHorizontal);
        DrawCheckedPattern(True);
        { leave space for menuitem image }
        Inc(R.Left, 38);
        Font.Color := clBlack; // caption color
      end;
      if (odDisabled in State) or (odGrayed in State) then
        Font.Color := clgreen;   // Pour les menus dsactivs

      { draw caption }
      InflateRect(R, 0, -(
        (R.Bottom - R.Top - TextHeight(AMenuItem.Caption) - 1)
         div 2));
      Brush.Style := bsClear;
      DrawText(Handle,
        PChar(AMenuItem.Caption), Length(AMenuItem.Caption),
        R, 0);

      { draw menuitem image }
      with AMenuItem do
      begin
        ImageList := GetImageList;
        if (ImageIndex <> -1) and Assigned(ImageList) then
          ImageList.Draw(ACanvas, ARect.Left + 11,
            ARect.Top + (ARect.Bottom - ARect.Top - ImageList.Height) div 2, ImageIndex);
      end;
    end;
  end;
end;
// ------------- Fin DrawModule ------------------------------------------------

function TF_RapGraph.GetDrawBuffer: TBitmap;
begin
  if not Assigned(FDrawBuffer) then
    FDrawBuffer := TBitmap.Create;
  Result := FDrawBuffer;
end;
// -----------------------------------------------------------------------------
// -----------------------------------------------------------------------------
procedure TF_RapGraph.FormClose(Sender: TObject; var Action: TCloseAction);
begin
Action:=Cafree;
end;
// -----------------------------------------------------------------------------
procedure TF_RapGraph.lookCloseUp(Sender: TObject);
begin
if Look.text<>'' then
begin
Series1.Clear;
Series2.Clear;
RG.Enabled:=true;
Timer1.Enabled:=False;
Image1.Visible:=False;
CSect.Enabled:=true;
if look.Text=Copy(DateTostr(now),7,4) then
begin
//------------------------------------------------------------------------------
     RG.Items.Clear;
     RG.items.add('Evaluation  1er  Trimestre de 1er Janv  31 Mars');
     RG.items.add('Evaluation  2me Trimestre de 1er Janv  30 Juin');
     RG.items.add('Evaluation  3me Trimestre de 1er Janv  30 Semp');
     RG.items.add('Evaluation  4me Trimestre de 1er Janv  31 Dc ');
//------------------------------------------------------------------------------
          if Now<StrtoDate('01/04/'+Look.text) then
          RG.Enabled:=False
//------------------------------------------------------------------------------
Else      if Now<StrtoDate('01/07/'+Look.text) then
          begin
          RG.Items.Delete(3);
          RG.Items.Delete(2);
          RG.Items.Delete(1);
          end
//------------------------------------------------------------------------------
Else      if Now<StrtoDate('01/10/'+Look.text) then
          begin
          RG.Items.Delete(3);
          RG.Items.Delete(2);
          end
//------------------------------------------------------------------------------
Else      if Now<StrtoDate('01/01/'+Inttostr(StrToInt(Look.text)+1)) then
           RG.Items.Delete(3)
//------------------------------------------------------------------------------
End {look.Text=Copy(DateTostr(now),7,4)}
//------------------------------------------------------------------------------
Else
     begin
//----------------------Execution de la requte--MinMax-------------------------
QMinMax.close;
QMinMax.Params[0].AsInteger:=strtoint(look.text)+1;
QMinMax.Open;
//------------------------------------------------------------------------------
     if Now>=StrToDate('01/10/'+IntToStr(strtoint(look.text)+1)) then
     begin
     RG.Items.Clear;
     RG.items.add('Evaluation  1er  Trimestre de 1er Janv  31 Mars('+Look.Text+')');
     RG.items.add('Evaluation  2me Trimestre de 1er Janv  30 Juin('+Look.Text+')');
     RG.items.add('Evaluation  3me Trimestre de 1er Janv  30 Semp('+Look.Text+')');
     RG.items.add('Evaluation  4me Trimestre de 1er Janv  31 Dc('+Look.Text+')');
     RG.items.add('Evaluation  1er  Trimestre d''Anne "'+IntToStr(strtoint(look.text)+1)+'"');
     RG.items.add('Evaluation  2me Trimestre d''Anne "'+IntToStr(strtoint(look.text)+1)+'"');
     RG.items.add('Evaluation  3me Trimestre d''Anne "'+IntToStr(strtoint(look.text)+1)+'"');
     end
//------------------------------------------------------------------------------
Else if Now>=StrToDate('01/07/'+IntToStr(strtoint(look.text)+1)) then
     begin
     RG.Items.Clear;
     RG.items.add('Evaluation  1er  Trimestre de 1er Janv  31 Mars('+Look.Text+')');
     RG.items.add('Evaluation  2me Trimestre de 1er Janv  30 Juin('+Look.Text+')');
     RG.items.add('Evaluation  3me Trimestre de 1er Janv  30 Semp('+Look.Text+')');
     RG.items.add('Evaluation  4me Trimestre de 1er Janv  31 Dc('+Look.Text+')');
     RG.items.add('Evaluation  1er  Trimestre d''Anne "'+IntToStr(strtoint(look.text)+1)+'"');
     RG.items.add('Evaluation  2me Trimestre d''Anne "'+IntToStr(strtoint(look.text)+1)+'"');
     end
//------------------------------------------------------------------------------
Else if Now>=StrToDate('01/04/'+IntToStr(strtoint(look.text)+1)) then
     begin
     RG.Items.Clear;
     RG.items.add('Evaluation  1er  Trimestre de 1er Janv  31 Mars('+Look.Text+')');
     RG.items.add('Evaluation  2me Trimestre de 1er Janv  30 Juin('+Look.Text+')');
     RG.items.add('Evaluation  3me Trimestre de 1er Janv  30 Semp('+Look.Text+')');
     RG.items.add('Evaluation  4me Trimestre de 1er Janv  31 Dc('+Look.Text+')');
     RG.items.add('Evaluation  1er  Trimestre d''Anne "'+IntToStr(strtoint(look.text)+1));
     end
//******************************************************************************
Else BEGIN
//---------------------R-Execution de la requte--MinMax-----------------------
QMinMax.close;
QMinMax.Params[0].AsInteger:=strtoint(look.text);
QMinMax.Open;
//------------------------------------------------------------------------------
     If Rg.Items.Count<5 then begin
     RG.Items.Clear;
     RG.items.add('Evaluation  1er  Trimestre de 1er Janv  31 Mars');
     RG.items.add('Evaluation  2me Trimestre de 1er Janv  30 Juin');
     RG.items.add('Evaluation  3me Trimestre de 1er Janv  30 Semp');
     RG.items.add('Evaluation  4me Trimestre de 1er Janv  31 Dc ');
//------------------------------------------------------------------------------
       if StrToDate(EMax.text)<StrtoDate('01/04/'+Look.text) then
       RG.Enabled:=False
//------------------------------------------------------------------------------
Else   if StrToDate(EMax.text)<StrtoDate('01/07/'+Look.text) then
       begin
       RG.Items.Delete(3);
       RG.Items.Delete(2);
       RG.Items.Delete(1);
       end
//------------------------------------------------------------------------------
Else   if StrToDate(EMax.text)<StrtoDate('01/10/'+Look.text) then
       begin
       RG.Items.Delete(3);
       RG.Items.Delete(2);
       end
//------------------------------------------------------------------------------
Else   if StrToDate(EMax.text)<StrtoDate('01/01/'+Inttostr(StrToInt(Look.text)+1))
       then RG.Items.Delete(3)
//------------------------------------------------------------------------------
                                end; {Rg.Items.Count<=3  }
END;//Else {Now>=StrToDate('01/04/'+Look.text)}
//------------------------------------------------------------------------------
     end; //else  {look.Text=Copy(DateTostr(now),7,4)}
//------------------------------------------------------------------------------
If Rg.Items.Count>=4 then
if StrToDate('01/01/'+inttostr(strtoint(Look.text)+1)) <= now then
MenuFd.Enabled:=True
Else  MenuFd.Enabled:=False
Else  MenuFd.Enabled:=False;
end;//if look<>''
end;
// -----------------------------------------------------------------------------
procedure TF_RapGraph.BoxSChange(Sender: TObject);
begin
Case BoxS.itemIndex of
0: begin
   Series1.BarStyle :=  bsRectangle;
   Imprimer.Series1.BarStyle :=  bsRectangle;
   end;
// -----------------------------------------------------------------------------
1: begin
   Series1.BarStyle :=  bsPyramid;
   Imprimer.Series1.BarStyle :=  bsPyramid;
   end;
// -----------------------------------------------------------------------------
2: begin
   Series1.BarStyle :=  bsInvPyramid ;
   Imprimer.Series1.BarStyle :=  bsInvPyramid ;
   end;
// -----------------------------------------------------------------------------
3: begin
   Series1.BarStyle :=  bsArrow;
   Imprimer.Series1.BarStyle :=  bsArrow;
   end;
// -----------------------------------------------------------------------------
4: begin
   Series1.BarStyle :=  bsCilinder;
   Imprimer.Series1.BarStyle :=  bsCilinder;
   end;
// -----------------------------------------------------------------------------
5: begin
   Series1.BarStyle :=  bsEllipse;
   Imprimer.Series1.BarStyle :=  bsEllipse;
   end;
end;
end;
// -----------------------------------------------------------------------------
procedure TF_RapGraph.CSectClick(Sender: TObject);
begin
DBChart2.Visible:=Csect.Checked;
//------------------------------------------------------------------------------
if DBChart2.Visible then
begin
 DBChart2.Align:=albottom;
 DBChart1.Align:=alNone;
end
else begin
     DBChart1.Align:=albottom;
     DBChart2.Align:=alNone;
     end;
//------------------------------------------------------------------------------
DBChart1.Visible:=not (Csect.Checked);
BoxS.Enabled:= not Csect.Checked;
end;
// -----------------------------------------------------------------------------
procedure TF_RapGraph.Button1Click(Sender: TObject);
begin
close
end;
// -----------------------------------------------------------------------------
procedure TF_RapGraph.RGClick(Sender: TObject);
begin
Case  rg.ItemIndex of
0:begin
    rgvac.Visible:=false;
    rgvac.Itemindex:=-1;
    s:='01/01/'+Look.Text;
    t:= '31/03/'+Look.text;
    Series1.Clear;
    Series2.Clear;
    Q.close;
    Q.sql.Clear;
    Q.sql.Add('Select Count(*),Bcg From EtatVaccinal,enfant,Calendier  ') ;
    Q.sql.Add('Where EtatVaccinal.NEtatC=enfant.NEtatC ');
    Q.sql.Add('And(EtatVaccinal.NEtatC=Calendier.NEtatC) ');
    Q.sql.Add('And(DateBCG between :a and :b) ');
    Q.sql.Add('And (Enfant.DateN between :x And :y)');
    Q.sql.Add('Group by bcg');
    Q.Params[0].AsDate:=strtodate(s);
    Q.Params[1].AsDate:=strtodate(t);
    Q.Params[2].AsDate:=strtodate(s);
    Q.Params[3].AsDate:=strtodate(t);
    //--------------------------------------------------------------------------
    DBChart1.Title.Text.Clear;
    DBChart2.Title.Text.Clear;
    DBChart1.Title.Text.Add('Taux de couverture vaccinale au BCG pour le 1er Trimestre');
    DBChart2.Title.Text.Add('Taux de couverture vaccinale au BCG pour le 1er Trimestre');
    Series1.XValues.ValueSource:='count(*)';
    Series1.XLabelsSource:='BCG';
    Series2.PieValues.ValueSource:='count(*)';
    Series2.XLabelsSource:='BCG';
    //--------------------------------------------------------------------------
    Q.Open;
    If DBGrid1.Fields[1].AsString='' then
    begin
    MSG('Aucun rsultat Significatif a afficher ,Manque de donnes dans la base de donnes',mtInformation,[MbOk],'Remarque d''Information ...!!!',clblack,$00E4ECF1);
    // ShowMessage(' Aucune rsultat Significatif a afficher ,Manque de donnes dans la base de donnes');
    Imprim.Enabled:=False;
    end
    else Imprim.Enabled:=true;
   end;
//-1----------------------------------------------------------------------------
1:begin
 Series1.Clear;
 Series2.Clear;
 RGVAC.Visible:=true;
 RGVAC.ItemIndex:=-1;
 if RGVAC.Columns=5 then   begin
                           RGVAC.Columns:=4;
                           RGVAC.Items.delete(4);
                           end;
   end;
//-2----------------------------------------------------------------------------
2:begin
 Series1.Clear;
 Series2.Clear;
 RGVAC.Visible:=true;
 RGVAC.ItemIndex:=-1;
 if RGVAC.Columns=5 then  begin
    RGVAC.Columns:=4;
    RGVAC.Items.delete(4); end;
   end;
//-3----------------------------------------------------------------------------
3:begin
 Series1.Clear;
 Series2.Clear;
 RGVAC.Visible:=true;
 RGVAC.ItemIndex:=-1;
 if RGVAC.Columns=4 then             begin
    RGVAC.Columns:=5;
    RGVAC.Items.Add('Anti-Rougeole');end;
  end;
//-4----------------------------------------------------------------------------
4:begin
 Series1.Clear;
 Series2.Clear;
 RGVAC.Visible:=true;
 RGVAC.Items.clear;
 RGVAC.Columns:=5;
 RGVAC.items.add('BCG');
 RGVAC.items.add('DTCP1');
 RGVAC.items.add('DTCP2');
 RGVAC.items.add('DTCP3');
 RGVAC.items.add('Anti-Rougeole');
 RGVAC.ItemIndex:=-1;
  end;
//-5-----------------------------------------------------------------------------
5:begin
 Series1.Clear;
 Series2.Clear;
 RGVAC.Visible:=true;
 RGVAC.Items.clear;
 RGVAC.Columns:=5;
 RGVAC.items.add('BCG');
 RGVAC.items.add('DTCP1');
 RGVAC.items.add('DTCP2');
 RGVAC.items.add('DTCP3');
 RGVAC.items.add('Anti-Rougeole');
 RGVAC.ItemIndex:=-1;
  end;
//------------------------------------------------------------------------------
6:begin
 Series1.Clear;
 Series2.Clear;
 RGVAC.Visible:=true;
 RGVAC.Items.clear;
 RGVAC.Columns:=5;
 RGVAC.items.add('BCG');
 RGVAC.items.add('DTCP1');
 RGVAC.items.add('DTCP2');
 RGVAC.items.add('DTCP3');
 RGVAC.items.add('Anti-Rougeole');
 RGVAC.ItemIndex:=-1;
  end;
//------------------------------------------------------------------------------
End;//case
end;
// -----------------------------------------------------------------------------
procedure TF_RapGraph.RGVACClick(Sender: TObject);
begin
Case rgvac.ItemIndex of
0:begin //rgvac.ItemIndex
case rg.ItemIndex of
    1 :begin
    s:='01/01/'+Look.Text;
    t:= '30/06/'+Look.text;
    Q.close;
    Q.sql.Clear;
    Q.sql.Add('Select Count(*),Bcg From EtatVaccinal,enfant,calendier  ') ;
    Q.sql.Add('Where EtatVaccinal.NEtatC=enfant.NEtatC ');
    Q.sql.Add('And(EtatVaccinal.NEtatC=Calendier.NEtatC) ');
    Q.sql.Add('And(DateBCG between :a and :b) ');
    Q.sql.Add(' And (Enfant.DateN between :x And :y)');
    Q.sql.Add(' Group by bcg');
    Q.Params[0].AsDate:=strtodate(s);
    Q.Params[1].AsDate:=strtodate(t);
    Q.Params[2].AsDate:=strtodate(s);
    Q.Params[3].AsDate:=strtodate(t);
    Series1.Clear;
    Series2.Clear;
    //--------------------------------------------------------------------------
    DBChart1.Title.Text.Clear;
    DBChart2.Title.Text.Clear;
    DBChart1.Title.Text.Add('Taux de couverture vaccinale au BCG pour le 2me Trimestre');
    DBChart2.Title.Text.Add('Taux de couverture vaccinale au BCG pour le 2me Trimestre');
    Series1.XValues.ValueSource:='count(*)';
    Series1.XLabelsSource:='BCG';
   //---------------------------------------------------------------------------
    Series2.PieValues.ValueSource:='count(*)';
    Series2.XLabelsSource:='BCG';
    //--------------------------------------------------------------------------
    Q.Open;
    If DBGrid1.Fields[1].AsString='' then
    begin
    MSG('Aucun rsultat Significatif  afficher ,Manque de donnes dans la base de donnes', mtInformation,[MbOk],'Remarque d''Information ...!!!',clblack,$00E4ECF1);
    //ShowMessage(' Aucune rsultat Significatif a afficher, Manque de donne dans la base de donnes  ');
    Imprim.Enabled:=False;
    end
    else Imprim.Enabled:=true;
end;//case 1RG   de 0 rgvac
//------------------------------------------------------------------------------
{case rg.itemindex}
     2 :begin
     Series1.Clear;
     s:='01/01/'+Look.Text;
     t:= '30/09/'+Look.text;
     Q.close;
     Q.sql.Clear;
     Q.sql.Add('Select Count(*),Bcg From EtatVaccinal,enfant,calendier  ') ;
     Q.sql.Add('Where EtatVaccinal.NEtatC=enfant.NEtatC ');
     Q.sql.Add('And(EtatVaccinal.NEtatC=Calendier.NEtatC) ');
     Q.sql.Add('And(DateBCG between :a and :b) ');
     Q.sql.Add(' And (Enfant.DateN between :x And :y)');
     Q.sql.Add(' Group by bcg');
     Q.Params[0].AsDate:=strtodate(s);
     Q.Params[1].AsDate:=strtodate(t);
     Q.Params[2].AsDate:=strtodate(s);
     Q.Params[3].AsDate:=strtodate(t);
     Series1.Clear;
    //--------------------------------------------------------------------------
    DBChart1.Title.Text.Clear;
    DBChart2.Title.Text.Clear;
    DBChart1.Title.Text.add('Taux de couverture vaccinale au BCG pour le 3me Trimestre');
    DBChart2.Title.Text.add('Taux de couverture vaccinale au BCG pour le 3me Trimestre');
    Series1.XValues.ValueSource:='count(*)';
    Series1.XLabelsSource:='BCG';
    Series2.Clear;
    Series2.PieValues.ValueSource:='count(*)';
    Series2.XLabelsSource:='BCG';
    //--------------------------------------------------------------------------
     Q.Open;
    If DBGrid1.Fields[1].AsString='' then
    begin
    MSG('Aucun rsultat Significatif a afficher ,Manque de donnes dans la base de donnes', mtInformation,[MbOk],'Remarque d''Information ...!!!',clblack,$00E4ECF1);
    // ShowMessage(' Aucune rsultat Significatif a afficher, Manque de donne dans la base de donnes  ');
    Imprim.Enabled:=False;
    end
    else Imprim.Enabled:=true;
     end;//case 2RG  de 0 rgvac
//------------------------------------------------------------------------------
     3 :begin
     Series1.Clear;
     s:='01/01/'+Look.Text;
     t:= '31/12/'+Look.text;
     Q.close;
     Q.sql.Clear;
     Q.sql.Add('Select Count(*),Bcg From EtatVaccinal,enfant,calendier  ') ;
     Q.sql.Add('Where EtatVaccinal.NEtatC=enfant.NEtatC ');
     Q.sql.Add('And(EtatVaccinal.NEtatC=Calendier.NEtatC) ');
     Q.sql.Add('And(DateBCG between :a and :b) ');
     Q.sql.Add(' And (Enfant.DateN between :x And :y)');
     Q.sql.Add(' Group by bcg');
     Q.Params[0].AsDate:=strtodate(s);
     Q.Params[1].AsDate:=strtodate(t);
     Q.Params[2].AsDate:=strtodate(s);
     Q.Params[3].AsDate:=strtodate(t);
     Series1.Clear;
    //--------------------------------------------------------------------------
    DBChart1.Title.Text.Clear;
    DBChart2.Title.Text.Clear;
    DBChart1.Title.Text.add('Taux de couverture vaccinale au BCG pour le 4me Trimestre');
    DBChart2.Title.Text.add('Taux de couverture vaccinale au BCG pour le 4me Trimestre');
    Series1.XValues.ValueSource:='count(*)';
    Series1.XLabelsSource:='BCG';
    Series2.Clear;
    Series2.PieValues.ValueSource:='count(*)';
    Series2.XLabelsSource:='BCG';
    //--------------------------------------------------------------------------
     Q.Open;
    If DBGrid1.Fields[1].AsString='' then
    begin
    MSG('Aucun rsultat Significatif a afficher ,Manque de donnes dans la base de donnes', mtInformation,[MbOk],'Remarque d''Information ...!!!',clblack,$00E4ECF1);
    // ShowMessage(' Aucune rsultat Significatif a afficher, Manque de donne dans la base de donnes  ');
    Imprim.Enabled:=False;
    end
    else Imprim.Enabled:=true;
     end;//Case 3RG  de 0 rgvac
//------------------------------------------------------------------------------
     4 :begin
     Series1.Clear;
     s:='01/01/'+Look.Text;
     t:= '31/12/'+Look.text;
     Q.close;
     Q.sql.Clear;
     Q.sql.Add('Select Count(*),Bcg From EtatVaccinal,enfant,calendier  ') ;
     Q.sql.Add('Where EtatVaccinal.NEtatC=enfant.NEtatC ');
     Q.sql.Add('And(EtatVaccinal.NEtatC=Calendier.NEtatC) ');
     Q.sql.Add('And(DateBCG between :a and :b) ');
     Q.sql.Add(' And (Enfant.DateN between :x And :y)');
     Q.sql.Add(' Group by bcg');
     Q.Params[0].AsDate:=strtodate(s);
     Q.Params[1].AsDate:=strtodate(t);
     Q.Params[2].AsDate:=strtodate(s);
     Q.Params[3].AsDate:=strtodate(t);
     Series1.Clear;
     //-------------------------------------------------------------------------
    DBChart1.Title.Text.Clear;
    DBChart2.Title.Text.Clear;
    DBChart1.Title.Text.add('Taux de couverture vaccinale au BCG pour le 1er Trimestre"'+inttostr(strtoint(Look.text)+1));
    DBChart2.Title.Text.add('Taux de couverture vaccinale au BCG pour le 1er Trimestre"'+inttostr(strtoint(Look.text)+1));
    Series1.XValues.ValueSource:='count(*)';
    Series1.XLabelsSource:='BCG';
    Series2.Clear;
    Series2.PieValues.ValueSource:='count(*)';
    Series2.XLabelsSource:='BCG';
    //--------------------------------------------------------------------------
     Q.Open;
    MSG('L''valuation de la Couverture Vaccinale au BCG de tous les enfants ns'#13'en '+Look.text+' est obtenu au terme du 4me trimestre d''anne '+Look.text+'.', mtInformation,[MbOk],'Remarque d''Information ...!!!',clblack,$00E4ECF1);
    //Messagedlg('L''valuation de la Couverture Vaccinale au BCG de tous les enfants ns'#13'en '+Look.text+' est obtenu au terme du 4me trimestre d''anne '+Look.text+'.',MtInformation,[MbOk],0);
    If DBGrid1.Fields[1].AsString='' then
    begin
    MSG('Aucun rsultat Significatif a afficher ,Manque de donnes dans la base de donnes', mtInformation,[MbOk],'Remarque d''Information ...!!!',clblack,$00E4ECF1);
    // ShowMessage(' Aucune rsultat Significatif a afficher, Manque de donne dans la base de donnes  ');
    Imprim.Enabled:=False;
    end
    else Imprim.Enabled:=true;
     end;//Case 4RG  de 0 rgvac
//------------------------------------------------------------------------------
     5 :begin
     Series1.Clear;
     s:='01/01/'+Look.Text;
     t:= '31/12/'+Look.text;
     Q.close;
     Q.sql.Clear;
     Q.sql.Add('Select Count(*),Bcg From EtatVaccinal,enfant,calendier  ') ;
     Q.sql.Add('Where EtatVaccinal.NEtatC=enfant.NEtatC ');
     Q.sql.Add('And(EtatVaccinal.NEtatC=Calendier.NEtatC) ');
     Q.sql.Add('And(DateBCG between :a and :b) ');
     Q.sql.Add(' And (Enfant.DateN between :x And :y)');
     Q.sql.Add(' Group by bcg');
     Q.Params[0].AsDate:=strtodate(s);
     Q.Params[1].AsDate:=strtodate(t);
     Q.Params[2].AsDate:=strtodate(s);
     Q.Params[3].AsDate:=strtodate(t);
     Series1.Clear;
     //-------------------------------------------------------------------------
    DBChart1.Title.Text.Clear;
    DBChart2.Title.Text.Clear;
    DBChart1.Title.Text.add('Taux de couverture vaccinale au BCG pour le 2me Trimestre"'+inttostr(strtoint(Look.text)+1));
    DBChart2.Title.Text.add('Taux de couverture vaccinale au BCG pour le 2me Trimestre"'+inttostr(strtoint(Look.text)+1));
    Series1.XValues.ValueSource:='count(*)';
    Series1.XLabelsSource:='BCG';
    Series2.Clear;
    Series2.PieValues.ValueSource:='count(*)';
    Series2.XLabelsSource:='BCG';
    //--------------------------------------------------------------------------
     Q.Open;
    MSG('L''valuation de la Couverture Vaccinale au BCG de tous les enfants ns'#13'en '+Look.text+' est obtenu au terme du 4me trimestre d''anne '+Look.text+'.', mtInformation,[MbOk],'Remarque d''Information ...!!!',clblack,$00E4ECF1);
    // Messagedlg('L''valuation de la Couverture Vaccinale au BCG de tous les enfants ns'#13'en '+Look.text+' est obtenu au terme du 4me trimestre d''anne '+Look.text+'.',MtInformation,[MbOk],0);
    If DBGrid1.Fields[1].AsString='' then
    begin
    MSG('Aucun rsultat Significatif a afficher ,Manque de donnes dans la base de donnes', mtInformation,[MbOk],'Remarque d''Information ...!!!',clblack,$00E4ECF1);
    // ShowMessage(' Aucune rsultat Significatif a afficher, Manque de donne dans la base de donnes  ');
    Imprim.Enabled:=False;
    end
    else Imprim.Enabled:=true;
     end;//Case 5RG  de 0 rgvac
//------------------------------------------------------------------------------
     6 :begin
     Series1.Clear;
     s:='01/01/'+Look.Text;
     t:= '31/12/'+Look.text;
     Q.close;
     Q.sql.Clear;
     Q.sql.Add('Select Count(*),Bcg From EtatVaccinal,enfant,calendier  ') ;
     Q.sql.Add('Where EtatVaccinal.NEtatC=enfant.NEtatC ');
     Q.sql.Add('And(EtatVaccinal.NEtatC=Calendier.NEtatC) ');
     Q.sql.Add('And(DateBCG between :a and :b) ');
     Q.sql.Add(' And (Enfant.DateN between :x And :y)');
     Q.sql.Add(' Group by bcg');
     Q.Params[0].AsDate:=strtodate(s);
     Q.Params[1].AsDate:=strtodate(t);
     Q.Params[2].AsDate:=strtodate(s);
     Q.Params[3].AsDate:=strtodate(t);
     Series1.Clear;
    //--------------------------------------------------------------------------
    DBChart1.Title.Text.Clear;
    DBChart2.Title.Text.Clear;
    DBChart1.Title.Text.add('Taux de couverture vaccinale au BCG pour le 3me Trimestre"'+inttostr(strtoint(Look.text)+1));
    DBChart2.Title.Text.add('Taux de couverture vaccinale au BCG pour le 3me Trimestre"'+inttostr(strtoint(Look.text)+1));
    Series1.XValues.ValueSource:='count(*)';
    Series1.XLabelsSource:='BCG';
    Series2.Clear;
    Series2.PieValues.ValueSource:='count(*)';
    Series2.XLabelsSource:='BCG';
    //--------------------------------------------------------------------------
     Q.Open;
     MSG('L''valuation de la Couverture Vaccinale au BCG de tous les enfants ns'#13'en '+Look.text+' est obtenu au terme du 4me trimestre d''anne '+Look.text+'.', mtInformation,[MbOk],'Remarque d''Information ...!!!',clblack,$00E4ECF1);
     // Messagedlg('L''valuation de la Couverture Vaccinale au BCG de tous les enfants ns'#13'en '+Look.text+' est obtenu au terme du 4me trimestre d''anne '+Look.text+'.',MtInformation,[MbOk],0);
    If DBGrid1.Fields[1].AsString='' then
    begin
    MSG('Aucun rsultat Significatif a afficher ,Manque de donnes dans la base de donnes', mtInformation,[MbOk],'Remarque d''Information ...!!!',clblack,$00E4ECF1);
    // ShowMessage(' Aucune rsultat Significatif a afficher, Manque de donne dans la base de donnes ');
    Imprim.Enabled:=False;
    end
    else Imprim.Enabled:=true;
     end;//Case 6RG  de 0 rgvac
//------------------------------------------------------------------------------
end;//2me Case
//------------------------------------------------------------------------------
  end;
1:begin // rgvac.ItemIndex
Case Rg.ItemIndex of
    1 :begin
    Q.close;
    Q.sql.Clear;
    Q.sql.Add('Select Count(*),DTCP1 From EtatVaccinal,enfant,calendier  ') ;
    Q.sql.Add('Where EtatVaccinal.NEtatC=enfant.NEtatC ');
    Q.sql.Add('And(EtatVaccinal.NEtatC=Calendier.NEtatC) ');
    Q.sql.Add('And(DateDtcp1 between :a and :b) ');
    Q.sql.Add(' And (Enfant.DateN between :x And :y)');
    Q.sql.Add(' Group by DTCP1');
    s:='01/04/'+Look.Text;
    t:='30/06/'+Look.text;
    Q.Params[0].AsDate:=strtodate(s);
    Q.Params[1].AsDate:=strtodate(t);
    s:='01/01/'+Look.Text;
    t:= '30/03/'+Look.text;
    Q.Params[2].AsDate:=strtodate(s);
    Q.Params[3].AsDate:=strtodate(t);
    Series1.Clear;
    //--------------------------------------------------------------------------
    DBChart1.Title.Text.Clear;
    DBChart2.Title.Text.Clear;
    DBChart1.Title.Text.add('Taux de couverture vaccinale au DTCP1 pour le 2me Trimestre');
    DBChart2.Title.Text.add('Taux de couverture vaccinale au DTCP1 pour le 2me Trimestre');
    Series1.XValues.ValueSource:='count(*)';
    Series1.XLabelsSource:='DTCP1';
    Series2.Clear;
    Series2.PieValues.ValueSource:='count(*)';
    Series2.XLabelsSource:='DTCP1';
    //--------------------------------------------------------------------------
    Q.Open;
    If DBGrid1.Fields[1].AsString='' then
    begin
    MSG('Aucun rsultat Significatif a afficher ,Manque de donnes dans la base de donnes', mtInformation,[MbOk],'Remarque d''Information ...!!!',clblack,$00E4ECF1);
    // ShowMessage(' Aucune rsultat Significatif a afficher, Manque de donne dans la base de donnes ');
    Imprim.Enabled:=False;
    end
    else Imprim.Enabled:=true;
    End;//Case 1RG de 1 rgVac
//------------------------------------------------------------------------------
{2me case}
     2 :begin
     Series1.Clear;
     Q.close;
     Q.sql.Clear;
     Q.sql.Add('Select Count(*),DTCP1 From EtatVaccinal,enfant,calendier  ') ;
     Q.sql.Add('Where EtatVaccinal.NEtatC=enfant.NEtatC ');
     Q.sql.Add('And(EtatVaccinal.NEtatC=Calendier.NEtatC) ');
     Q.sql.Add('And(DateDtcp1 between :a and :b) ');
     Q.sql.Add(' And (Enfant.DateN between :x And :y)');
     Q.sql.Add(' Group by DTCP1');
     s:='01/04/'+Look.Text;
     t:='30/09/'+Look.text;
     Q.Params[0].AsDate:=strtodate(s);
     Q.Params[1].AsDate:=strtodate(t);
     s:='01/01/'+Look.Text;
     t:= '30/09/'+Look.text;
     Q.Params[2].AsDate:=strtodate(s);
     Q.Params[3].AsDate:=strtodate(t);
     Series1.Clear;
    //--------------------------------------------------------------------------
    DBChart1.Title.Text.Clear;
    DBChart2.Title.Text.Clear;
    DBChart1.Title.Text.add('Taux de couverture vaccinale au DTCP1 pour le 3me  Trimestre');
    DBChart2.Title.Text.add('Taux de couverture vaccinale au DTCP1 pour le 3me  Trimestre');
    Series1.XValues.ValueSource:='count(*)';
    Series1.XLabelsSource:='DTCP1';
    Series2.Clear;
    Series2.PieValues.ValueSource:='count(*)';
    Series2.XLabelsSource:='DTCP1';
    //--------------------------------------------------------------------------
     Q.Open;
    If DBGrid1.Fields[1].AsString='' then
    begin
    MSG('Aucun rsultat Significatif a afficher ,Manque de donnes dans la base de donnes', mtInformation,[MbOk],'Remarque d''Information ...!!!',clblack,$00E4ECF1);
    // ShowMessage(' Aucune rsultat Significatif a afficher, Manque de donne dans la base de donnes ');
    Imprim.Enabled:=False;
    end
    else Imprim.Enabled:=true;
     end;//case 2RG de 1 RgVac
//------------------------------------------------------------------------------
{3me case}
     3 :Begin
     Series1.Clear;
     Q.close;
     Q.sql.Clear;
     Q.sql.Add('Select Count(*),DTCP1 From EtatVaccinal,enfant,calendier  ') ;
     Q.sql.Add('Where EtatVaccinal.NEtatC=enfant.NEtatC ');
     Q.sql.Add('And(EtatVaccinal.NEtatC=Calendier.NEtatC) ');
     Q.sql.Add('And(DateDtcp1 between :a and :b) ');
     Q.sql.Add(' And (Enfant.DateN between :x And :y)');
     Q.sql.Add(' Group by DTCP1');
     s:='01/04/'+Look.Text;
     t:='31/12/'+Look.text;
     Q.Params[0].AsDate:=strtodate(s);
     Q.Params[1].AsDate:=strtodate(t);
     s:='01/01/'+Look.Text;
     t:= '30/09/'+Look.text;
     Q.Params[2].AsDate:=strtodate(s);
     Q.Params[3].AsDate:=strtodate(t);
     Series1.Clear;
    //--------------------------------------------------------------------------
    DBChart1.Title.Text.Clear;
    DBChart2.Title.Text.Clear;
    DBChart1.Title.Text.add('Taux de couverture vaccinale au DTCP1 pour le 4me  Trimestre');
    DBChart2.Title.Text.add('Taux de couverture vaccinale au DTCP1 pour le 4me  Trimestre');
    Series1.XValues.ValueSource:='count(*)';
    Series1.XLabelsSource:='DTCP1';
    Series2.Clear;
    Series2.PieValues.ValueSource:='count(*)';
    Series2.XLabelsSource:='DTCP1';
    //--------------------------------------------------------------------------
     Q.Open;
    If DBGrid1.Fields[1].AsString='' then
    begin
    MSG('Aucun rsultat Significatif a afficher ,Manque de donnes dans la base de donnes', mtInformation,[MbOk],'Remarque d''Information ...!!!',clblack,$00E4ECF1);
    // ShowMessage(' Aucune rsultat Significatif a afficher, Manque de donne dans la base de donnes ');
    Imprim.Enabled:=False;
    end
    else Imprim.Enabled:=true;
     End;// Case 3RG de 1RgVac
//------------------------------------------------------------------------------
{4me case}
     4 :Begin
     Series1.Clear;
     Q.close;
     Q.sql.Clear;
     Q.sql.Add('Select Count(*),DTCP1 From EtatVaccinal,enfant,calendier  ') ;
     Q.sql.Add('Where EtatVaccinal.NEtatC=enfant.NEtatC ');
     Q.sql.Add('And(EtatVaccinal.NEtatC=Calendier.NEtatC) ');
     Q.sql.Add('And(DateDtcp1 between :a and :b) ');
     Q.sql.Add(' And (Enfant.DateN between :x And :y)');
     Q.sql.Add(' Group by DTCP1');
     s:='01/04/'+Look.Text;
     t:='31/03/'+IntTostr(strToInt(Look.text)+1);
     Q.Params[0].AsDate:=strtodate(s);
     Q.Params[1].AsDate:=strtodate(t);
     s:='01/01/'+Look.Text;
     t:= '31/12/'+Look.text;
     Q.Params[2].AsDate:=strtodate(s);
     Q.Params[3].AsDate:=strtodate(t);
     Series1.Clear;
    //--------------------------------------------------------------------------
    DBChart1.Title.Text.Clear;
    DBChart2.Title.Text.Clear;
    DBChart1.Title.Text.add('Taux de couverture vaccinale au DTCP1 pour le 1er  Trimestre '+inttostr(strtoint(Look.text)+1));
    DBChart2.Title.Text.add('Taux de couverture vaccinale au DTCP1 pour le 1er  Trimestre '+inttostr(strtoint(Look.text)+1));
    Series1.XValues.ValueSource:='count(*)';
    Series1.XLabelsSource:='DTCP1';
    Series2.Clear;
    Series2.PieValues.ValueSource:='count(*)';
    Series2.XLabelsSource:='DTCP1';
    //--------------------------------------------------------------------------
     Q.Open;
    If DBGrid1.Fields[1].AsString='' then
    begin
    MSG('Aucun rsultat Significatif a afficher ,Manque de donnes dans la base de donnes', mtInformation,[MbOk],'Remarque d''Information ...!!!',clblack,$00E4ECF1);
    // ShowMessage(' Aucune rsultat Significatif a afficher, Manque de donne dans la base de donnes ');
    Imprim.Enabled:=False;
    end
    else Imprim.Enabled:=true;
     End;// Case 4RG de 1RgVac
//------------------------------------------------------------------------------
{5me case}
     5 :Begin
     Series1.Clear;
     Q.close;
     Q.sql.Clear;
     Q.sql.Add('Select Count(*),DTCP1 From EtatVaccinal,enfant,calendier  ') ;
     Q.sql.Add('Where EtatVaccinal.NEtatC=enfant.NEtatC ');
     Q.sql.Add('And(EtatVaccinal.NEtatC=Calendier.NEtatC) ');
     Q.sql.Add('And(DateDtcp1 between :a and :b) ');
     Q.sql.Add(' And (Enfant.DateN between :x And :y)');
     Q.sql.Add(' Group by DTCP1');
     s:='01/04/'+Look.Text;
     t:='31/03/'+IntTostr(strToInt(Look.text)+1);
     Q.Params[0].AsDate:=strtodate(s);
     Q.Params[1].AsDate:=strtodate(t);
     s:='01/01/'+Look.Text;
     t:= '31/12/'+Look.text;
     Q.Params[2].AsDate:=strtodate(s);
     Q.Params[3].AsDate:=strtodate(t);
     Series1.Clear;
    //--------------------------------------------------------------------------
    DBChart1.Title.Text.Clear;
    DBChart2.Title.Text.Clear;
    DBChart1.Title.Text.add('Taux de couverture vaccinale au DTCP1 pour le 2me  Trimestre '+inttostr(strtoint(Look.text)+1));
    DBChart2.Title.Text.add('Taux de couverture vaccinale au DTCP1 pour le 2me  Trimestre '+inttostr(strtoint(Look.text)+1));
    Series1.XValues.ValueSource:='count(*)';
    Series1.XLabelsSource:='DTCP1';
    Series2.Clear;
    Series2.PieValues.ValueSource:='count(*)';
    Series2.XLabelsSource:='DTCP1';
    //--------------------------------------------------------------------------
     Q.Open;
     MSG('L''valuation de la Couverture Vaccinale au DTCP1 de tous les enfants ns'#13'en '+Look.text+' est obtenu au terme du 1ier trimestre d''anne '+Look.text+'.', mtInformation,[MbOk],'Remarque d''Information ...!!!',clblack,$00E4ECF1);
     // Messagedlg('L''valuation de la Couverture Vaccinale au DTCP1 de tous les enfants ns'#13'en '+Look.text+' est obtenu au terme du 1er trimestre d''anne '+IntToStr(StrToInt(Look.text)+1)+'.',MtInformation,[MbOk],0);
    If DBGrid1.Fields[1].AsString='' then
    begin
    MSG('Aucun rsultat Significatif a afficher ,Manque de donnes dans la base de donnes', mtInformation,[MbOk],'Remarque d''Information ...!!!',clblack,$00E4ECF1);
    // ShowMessage(' Aucune rsultat Significatif a afficher, Manque de donne dans la base de donnes ');
    Imprim.Enabled:=False;
    end
    else Imprim.Enabled:=true;
     End;// Case 5RG de 1RgVac
//------------------------------------------------------------------------------
{5me case}
     6 :Begin
     Series1.Clear;
     Q.close;
     Q.sql.Clear;
     Q.sql.Add('Select Count(*),DTCP1 From EtatVaccinal,enfant,calendier  ') ;
     Q.sql.Add('Where EtatVaccinal.NEtatC=enfant.NEtatC ');
     Q.sql.Add('And(EtatVaccinal.NEtatC=Calendier.NEtatC) ');
     Q.sql.Add('And(DateDtcp1 between :a and :b) ');
     Q.sql.Add(' And (Enfant.DateN between :x And :y)');
     Q.sql.Add(' Group by DTCP1');
     s:='01/04/'+Look.Text;
     t:='31/03/'+IntTostr(strToInt(Look.text)+1);
     Q.Params[0].AsDate:=strtodate(s);
     Q.Params[1].AsDate:=strtodate(t);
     s:='01/01/'+Look.Text;
     t:= '31/12/'+Look.text;
     Q.Params[2].AsDate:=strtodate(s);
     Q.Params[3].AsDate:=strtodate(t);
     Series1.Clear;
    //--------------------------------------------------------------------------
    DBChart1.Title.Text.Clear;
    DBChart2.Title.Text.Clear;
    DBChart1.Title.Text.add('Taux de couverture vaccinale au DTCP1 pour le 3me  Trimestre '+inttostr(strtoint(Look.text)+1));
    DBChart2.Title.Text.add('Taux de couverture vaccinale au DTCP1 pour le 3me  Trimestre '+inttostr(strtoint(Look.text)+1));
    Series1.XValues.ValueSource:='count(*)';
    Series1.XLabelsSource:='DTCP1';
    Series2.Clear;
    Series2.PieValues.ValueSource:='count(*)';
    Series2.XLabelsSource:='DTCP1';
    //--------------------------------------------------------------------------
     Q.Open;
     MSG('L''valuation de la Couverture Vaccinale au DTCP1 de tous les enfants ns'#13'en '+Look.text+' est obtenu au terme du 1ier trimestre d''anne '+Look.text+'.', mtInformation,[MbOk],'Remarque d''Information ...!!!',clblack,$00E4ECF1);
     // Messagedlg('L''valuation de la Couverture Vaccinale au DTCP1 de tous les enfants ns'#13'en '+Look.text+' est obtenu au terme du 1er trimestre d''anne '+IntToStr(StrToInt(Look.text)+1)+'.',MtInformation,[MbOk],0);
    If DBGrid1.Fields[1].AsString='' then
    begin
    MSG('Aucun rsultat Significatif a afficher ,Manque de donnes dans la base de donnes', mtInformation,[MbOk],'Remarque d''Information ...!!!',clblack,$00E4ECF1);
    // ShowMessage(' Aucune rsultat Significatif a afficher, Manque de donne dans la base de donnes ');
    Imprim.Enabled:=False;
    end
    else Imprim.Enabled:=true;
     End;// Case 6RG de 1RgVac
//------------------------------------------------------------------------------
end; //case
//------------------------------------------------------------------------------
  end;
2 :begin // rgvac.ItemIndex
Case rg.ItemIndex of
    1 :begin
    Q.close;
    Q.sql.Clear;
    Q.sql.Add('Select Count(*),DTCP2 From EtatVaccinal,enfant,calendier  ') ;
    Q.sql.Add('Where EtatVaccinal.NEtatC=enfant.NEtatC ');
    Q.sql.Add('And(EtatVaccinal.NEtatC=Calendier.NEtatC) ');
    Q.sql.Add('And(DateDTCP2 between :a and :b) ');
    Q.sql.Add(' And (Enfant.DateN between :x And :y)');
    Q.sql.Add(' Group by DTCP2');
    s:='01/05/'+Look.Text;
    t:='30/06/'+Look.text;
    Q.Params[0].AsDate:=strtodate(s);
    Q.Params[1].AsDate:=strtodate(t);
    s:='01/01/'+Look.Text;
    t:= '01/03/'+Look.text;
    Q.Params[2].AsDate:=strtodate(s);
    Q.Params[3].AsDate:=strtodate(t);
    Series1.Clear;
    //--------------------------------------------------------------------------
    DBChart1.Title.Text.Clear;
    DBChart2.Title.Text.Clear;
    DBChart1.Title.Text.add('Taux de couverture vaccinale au DTCP2 pour le 2me Trimestre ');
    DBChart2.Title.Text.add('Taux de couverture vaccinale au DTCP2 pour le 2me  Trimestre ');
    Series1.XValues.ValueSource:='count(*)';
    Series1.XLabelsSource:='DTCP2';
    Series2.Clear;
    Series2.PieValues.ValueSource:='count(*)';
    Series2.XLabelsSource:='DTCP2';
    //--------------------------------------------------------------------------
    Q.Open;
    If DBGrid1.Fields[1].AsString='' then
    begin
    MSG('Aucun rsultat Significatif a afficher ,Manque de donnes dans la base de donnes', mtInformation,[MbOk],'Remarque d''Information ...!!!',clblack,$00E4ECF1);
    // ShowMessage(' Aucune rsultat Significatif a afficher, Manque de donne dans la base de donnes ');
    Imprim.Enabled:=False;
    end
    else Imprim.Enabled:=true;
    end;// case 1RG de 2 RgVac
//------------------------------------------------------------------------------
{2me Case}
    2 :begin
    Q.close;
    Q.sql.Clear;
    Q.sql.Add('Select Count(*),DTCP2 From EtatVaccinal,enfant,calendier  ') ;
    Q.sql.Add('Where EtatVaccinal.NEtatC=enfant.NEtatC ');
    Q.sql.Add('And(EtatVaccinal.NEtatC=Calendier.NEtatC) ');
    Q.sql.Add('And(DateDTCP2 between :a and :b) ');
    Q.sql.Add(' And (Enfant.DateN between :x And :y)');
    Q.sql.Add(' Group by DTCP2');
    s:='01/05/'+Look.Text;
    t:='30/09/'+Look.text;
    Q.Params[0].AsDate:=strtodate(s);
    Q.Params[1].AsDate:=strtodate(t);
    s:='01/01/'+Look.Text;
    t:= '01/06/'+Look.text;
    Q.Params[2].AsDate:=strtodate(s);
    Q.Params[3].AsDate:=strtodate(t);
    Series1.Clear;
    //--------------------------------------------------------------------------
    DBChart1.Title.Text.Clear;
    DBChart2.Title.Text.Clear;
    DBChart1.Title.Text.add('Taux de couverture vaccinale au DTCP2 pour le 3me Trimestre ');
    DBChart2.Title.Text.add('Taux de couverture vaccinale au DTCP2 pour le 3me  Trimestre ');
    Series1.XValues.ValueSource:='count(*)';
    Series1.XLabelsSource:='DTCP2';
    Series2.Clear;
    Series2.PieValues.ValueSource:='count(*)';
    Series2.XLabelsSource:='DTCP2';
    //--------------------------------------------------------------------------
    Q.Open;
    If DBGrid1.Fields[1].AsString='' then
    begin
    MSG('Aucun rsultat Significatif a afficher ,Manque de donnes dans la base de donnes', mtInformation,[MbOk],'Remarque d''Information ...!!!',clblack,$00E4ECF1);
    // ShowMessage(' Aucune rsultat Significatif a afficher, Manque de donne dans la base de donnes ');
    Imprim.Enabled:=False;
    Series1.Clear;
    end
    else Imprim.Enabled:=true;
    end;//case 2RG de 2 RgVac
//------------------------------------------------------------------------------
{3me Case}
    3 :begin
    Q.close;
    Q.sql.Clear;
    Q.sql.Add('Select Count(*),DTCP2 From EtatVaccinal,enfant,calendier  ') ;
    Q.sql.Add('Where EtatVaccinal.NEtatC=enfant.NEtatC ');
    Q.sql.Add('And(EtatVaccinal.NEtatC=Calendier.NEtatC) ');
    Q.sql.Add('And(DateDTCP2 between :a and :b) ');
    Q.sql.Add(' And (Enfant.DateN between :x And :y)');
    Q.sql.Add(' Group by DTCP2');
    s:='01/05/'+Look.Text;
    t:='31/12/'+Look.text;
    Q.Params[0].AsDate:=strtodate(s);
    Q.Params[1].AsDate:=strtodate(t);
    s:='01/01/'+Look.Text;
    t:= '01/08/'+Look.text;
    Q.Params[2].AsDate:=strtodate(s);
    Q.Params[3].AsDate:=strtodate(t);
    Series1.Clear;
    //--------------------------------------------------------------------------
    DBChart1.Title.Text.Clear;
    DBChart2.Title.Text.Clear;
    DBChart1.Title.Text.add('Taux de couverture vaccinale au DTCP2 pour le 4me Trimestre ');
    DBChart2.Title.Text.add('Taux de couverture vaccinale au DTCP2 pour le 4me  Trimestre ');
    Series1.XValues.ValueSource:='count(*)';
    Series1.XLabelsSource:='DTCP2';
    Series2.Clear;
    Series2.PieValues.ValueSource:='count(*)';
    Series2.XLabelsSource:='DTCP2';
    //--------------------------------------------------------------------------
    Q.Open;
    If DBGrid1.Fields[1].AsString='' then
    begin
    MSG('Aucun rsultat Significatif a afficher ,Manque de donnes dans la base de donnes', mtInformation,[MbOk],'Remarque d''Information ...!!!',clblack,$00E4ECF1);
    // ShowMessage(' Aucune rsultat Significatif a afficher, Manque de donne dans la base de donnes ');
    Imprim.Enabled:=False;
    Series1.Clear;
    end
    else Imprim.Enabled:=true;
    end;//case 3RG de 3 RgVac
//------------------------------------------------------------------------------
{4me Case}
    4 :begin
    Q.close;
    Q.sql.Clear;
    Q.sql.Add('Select Count(*),DTCP2 From EtatVaccinal,enfant,calendier  ') ;
    Q.sql.Add('Where EtatVaccinal.NEtatC=enfant.NEtatC ');
    Q.sql.Add('And(EtatVaccinal.NEtatC=Calendier.NEtatC) ');
    Q.sql.Add('And(DateDTCP2 between :a and :b) ');
    Q.sql.Add(' And (Enfant.DateN between :x And :y)');
    Q.sql.Add(' Group by DTCP2');
    s:='01/05/'+Look.Text;
    t:='31/03/'+IntToStr(StrToInt(Look.text)+1);
    Q.Params[0].AsDate:=strtodate(s);
    Q.Params[1].AsDate:=strtodate(t);
    s:='01/01/'+Look.Text;
    t:= '01/11/'+Look.text;
    Q.Params[2].AsDate:=strtodate(s);
    Q.Params[3].AsDate:=strtodate(t);
    Series1.Clear;
    //--------------------------------------------------------------------------
    DBChart1.Title.Text.Clear;
    DBChart2.Title.Text.Clear;
    DBChart1.Title.Text.add('Taux de couverture vaccinale au DTCP2 pour le 1er  Trimestre '+inttostr(strtoint(Look.text)+1));
    DBChart2.Title.Text.add('Taux de couverture vaccinale au DTCP2 pour le 1er  Trimestre '+inttostr(strtoint(Look.text)+1));
    Series1.XValues.ValueSource:='count(*)';
    Series1.XLabelsSource:='DTCP2';
    Series2.Clear;
    Series2.PieValues.ValueSource:='count(*)';
    Series2.XLabelsSource:='DTCP2';
    //--------------------------------------------------------------------------
    Q.Open;
    If DBGrid1.Fields[1].AsString='' then
    begin
    MSG('Aucun rsultat Significatif a afficher ,Manque de donnes dans la base de donnes', mtInformation,[MbOk],'Remarque d''Information ...!!!',clblack,$00E4ECF1);
    // ShowMessage(' Aucune rsultat Significatif a afficher, Manque de donne dans la base de donnes ');
    Imprim.Enabled:=False;
    Series1.Clear;
    end
    else Imprim.Enabled:=true;
    end;//case 4RG de 3 RgVac
//------------------------------------------------------------------------------
{5me Case}
    5 :begin
    Q.close;
    Q.sql.Clear;
    Q.sql.Add('Select Count(*),DTCP2 From EtatVaccinal,enfant,calendier  ') ;
    Q.sql.Add('Where EtatVaccinal.NEtatC=enfant.NEtatC ');
    Q.sql.Add('And(EtatVaccinal.NEtatC=Calendier.NEtatC) ');
    Q.sql.Add('And(DateDTCP2 between :a and :b) ');
    Q.sql.Add(' And (Enfant.DateN between :x And :y)');
    Q.sql.Add(' Group by DTCP2');
    s:='01/05/'+Look.Text;
    t:='30/04/'+IntToStr(StrToInt(Look.text)+1);
    Q.Params[0].AsDate:=strtodate(s);
    Q.Params[1].AsDate:=strtodate(t);
    s:='01/01/'+Look.Text;
    t:= '31/12/'+Look.text;
    Q.Params[2].AsDate:=strtodate(s);
    Q.Params[3].AsDate:=strtodate(t);
    Series1.Clear;
    //--------------------------------------------------------------------------
    DBChart1.Title.Text.Clear;
    DBChart2.Title.Text.Clear;
    DBChart1.Title.Text.add('Taux de couverture vaccinale au DTCP2 pour le 2me  Trimestre '+inttostr(strtoint(Look.text)+1));
    DBChart2.Title.Text.add('Taux de couverture vaccinale au DTCP2 pour le 2me  Trimestre '+inttostr(strtoint(Look.text)+1));
    Series1.XValues.ValueSource:='count(*)';
    Series1.XLabelsSource:='DTCP2';
    Series2.Clear;
    Series2.PieValues.ValueSource:='count(*)';
    Series2.XLabelsSource:='DTCP2';
    //--------------------------------------------------------------------------
    Q.Open;
    If DBGrid1.Fields[1].AsString='' then
    begin
    MSG('Aucun rsultat Significatif a afficher ,Manque de donnes dans la base de donnes', mtInformation,[MbOk],'Remarque d''Information ...!!!',clblack,$00E4ECF1);
    // ShowMessage(' Aucune rsultat Significatif a afficher, Manque de donne dans la base de donnes ');
    Imprim.Enabled:=False;
    Series1.Clear;
    end
    else Imprim.Enabled:=true;
    end;//case 5RG de 3 RgVac
//------------------------------------------------------------------------------
{6me Case}
    6 :begin
    Q.close;
    Q.sql.Clear;
    Q.sql.Add('Select Count(*),DTCP2 From EtatVaccinal,enfant,calendier  ') ;
    Q.sql.Add('Where EtatVaccinal.NEtatC=enfant.NEtatC ');
    Q.sql.Add('And(EtatVaccinal.NEtatC=Calendier.NEtatC) ');
    Q.sql.Add('And(DateDTCP2 between :a and :b) ');
    Q.sql.Add(' And (Enfant.DateN between :x And :y)');
    Q.sql.Add(' Group by DTCP2');
    s:='01/05/'+Look.Text;
    t:='30/04/'+IntToStr(StrToInt(Look.text)+1);
    Q.Params[0].AsDate:=strtodate(s);
    Q.Params[1].AsDate:=strtodate(t);
    s:='01/01/'+Look.Text;
    t:= '31/12/'+Look.text;
    Q.Params[2].AsDate:=strtodate(s);
    Q.Params[3].AsDate:=strtodate(t);
    Series1.Clear;
    //--------------------------------------------------------------------------
    DBChart1.Title.Text.Clear;
    DBChart2.Title.Text.Clear;
    DBChart1.Title.Text.add('Taux de couverture vaccinale au DTCP2 pour le 3me  Trimestre '+inttostr(strtoint(Look.text)+1));
    DBChart2.Title.Text.add('Taux de couverture vaccinale au DTCP2 pour le 3me  Trimestre '+inttostr(strtoint(Look.text)+1));
    Series1.XValues.ValueSource:='count(*)';
    Series1.XLabelsSource:='DTCP2';
    Series2.Clear;
    Series2.PieValues.ValueSource:='count(*)';
    Series2.XLabelsSource:='DTCP2';
    //--------------------------------------------------------------------------
    Q.Open;
    MSG('L''valuation de la Couverture Vaccinale au DTCP2 de tous les enfants ns'#13'en '+Look.text+' est obtenu au terme du 2me trimestre d''anne '+Look.text+'.', mtInformation,[MbOk],'Remarque d''Information ...!!!',clblack,$00E4ECF1);
    // Messagedlg('L''valuation de la Couverture Vaccinale au DTCP2 de tous les enfants ns'#13'en '+Look.text+' est obtenu au terme du 2me trimestre d''anne '+IntToStr(StrToInt(Look.text)+1)+'.',MtInformation,[MbOk],0);
    If DBGrid1.Fields[1].AsString='' then
    begin
    MSG('Aucun rsultat Significatif a afficher ,Manque de donnes dans la base de donnes', mtInformation,[MbOk],'Remarque d''Information ...!!!',clblack,$00E4ECF1);
    // ShowMessage(' Aucune rsultat Significatif a afficher, Manque de donne dans la base de donnes ');
    Imprim.Enabled:=False;
    Series1.Clear;
    end
    else Imprim.Enabled:=true;
    end;//case 6RG de 3 RgVac
//------------------------------------------------------------------------------
end; //case
//------------------------------------------------------------------------------
   end;
3 :begin // rgvac.ItemIndex
Case RG.ItemIndex of
    1:begin
    Q.close;
    Q.sql.Clear;
    Q.sql.Add('Select Count(*),DTCP3 From EtatVaccinal,enfant,calendier  ') ;
    Q.sql.Add('Where EtatVaccinal.NEtatC=enfant.NEtatC ');
    Q.sql.Add('And(EtatVaccinal.NEtatC=Calendier.NEtatC) ');
    Q.sql.Add('And(DateDTCP3 between :a and :b) ');
    Q.sql.Add(' And (Enfant.DateN between :x And :y)');
    Q.sql.Add(' Group by DTCP3');
    s:='01/06/'+Look.Text;
    t:='30/06/'+Look.text;
    Q.Params[0].AsDate:=strtodate(s);
    Q.Params[1].AsDate:=strtodate(t);
    s:='01/01/'+Look.Text;
    t:= '31/01/'+Look.text;
    Q.Params[2].AsDate:=strtodate(s);
    Q.Params[3].AsDate:=strtodate(t);
    Series1.Clear;
    //--------------------------------------------------------------------------
    DBChart1.Title.Text.Clear;
    DBChart2.Title.Text.Clear;
    DBChart1.Title.Text.add('Taux de couverture vaccinale au DTCP3 pour le 2me Trimestre ');
    DBChart2.Title.Text.add('Taux de couverture vaccinale au DTCP3 pour le 2me  Trimestre ');
    Series1.XValues.ValueSource:='count(*)';
    Series1.XLabelsSource:='DTCP3';
    Series2.Clear;
    Series2.PieValues.ValueSource:='count(*)';
    Series2.XLabelsSource:='DTCP3';
    //--------------------------------------------------------------------------
    Q.Open;
    If DBGrid1.Fields[1].AsString='' then
    begin
    MSG('Aucun rsultat Significatif a afficher ,Manque de donnes dans la base de donnes', mtInformation,[MbOk],'Remarque d''Information ...!!!',clblack,$00E4ECF1);
    // ShowMessage(' Aucune rsultat Significatif a afficher, Manque de donne dans la base de donnes ');
    Imprim.Enabled:=False;
    Series1.Clear;
    end
    else Imprim.Enabled:=true;
    end;// 1:rg.itemindex
//------------------------------------------------------------------------------
{2me Case}
    2:begin
    Q.close;
    Q.sql.Clear;
    Q.sql.Add('Select Count(*),DTCP3 From EtatVaccinal,enfant,calendier  ') ;
    Q.sql.Add('Where EtatVaccinal.NEtatC=enfant.NEtatC ');
    Q.sql.Add('And(EtatVaccinal.NEtatC=Calendier.NEtatC) ');
    Q.sql.Add('And(DateDTCP3 between :a and :b) ');
    Q.sql.Add(' And (Enfant.DateN between :x And :y)');
    Q.sql.Add(' Group by DTCP3');
    s:='01/06/'+Look.Text;
    t:='30/09/'+Look.text;
    Q.Params[0].AsDate:=strtodate(s);
    Q.Params[1].AsDate:=strtodate(t);
    s:='01/01/'+Look.Text;
    t:= '31/05/'+Look.text;
    Q.Params[2].AsDate:=strtodate(s);
    Q.Params[3].AsDate:=strtodate(t);
    Series1.Clear;
    //--------------------------------------------------------------------------
    DBChart1.Title.Text.Clear;
    DBChart2.Title.Text.Clear;
    DBChart1.Title.Text.add('Taux de couverture vaccinale au DTCP3 pour le 3me Trimestre ');
    DBChart2.Title.Text.add('Taux de couverture vaccinale au DTCP3 pour le 3me  Trimestre ');
    Series1.XValues.ValueSource:='count(*)';
    Series1.XLabelsSource:='DTCP3';
    Series2.Clear;
    Series2.PieValues.ValueSource:='count(*)';
    Series2.XLabelsSource:='DTCP3';
    //--------------------------------------------------------------------------
    Q.Open;
    If DBGrid1.Fields[1].AsString='' then
    begin
    MSG('Aucun rsultat Significatif a afficher ,Manque de donnes dans la base de donnes', mtInformation,[MbOk],'Remarque d''Information ...!!!',clblack,$00E4ECF1);
    // ShowMessage(' Aucune rsultat Significatif a afficher, Manque de donne dans la base de donnes ');
    Imprim.Enabled:=False;
    Series1.Clear;
    end
    else Imprim.Enabled:=true;
   end;// 2:rg.itemindex
//------------------------------------------------------------------------------
{3me Case}
    3:begin
    Q.close;
    Q.sql.Clear;
    Q.sql.Add('Select Count(*),DTCP3 From EtatVaccinal,enfant,calendier  ') ;
    Q.sql.Add('Where EtatVaccinal.NEtatC=enfant.NEtatC ');
    Q.sql.Add('And(EtatVaccinal.NEtatC=Calendier.NEtatC) ');
    Q.sql.Add('And(DateDTCP3 between :a and :b) ');
    Q.sql.Add(' And (Enfant.DateN between :x And :y)');
    Q.sql.Add(' Group by DTCP3');
    s:='01/06/'+Look.Text;
    t:='31/12/'+Look.text;
    Q.Params[0].AsDate:=strtodate(s);
    Q.Params[1].AsDate:=strtodate(t);
    s:='01/01/'+Look.Text;
    t:= '31/07/'+Look.text;
    Q.Params[2].AsDate:=strtodate(s);
    Q.Params[3].AsDate:=strtodate(t);
    Series1.Clear;
    //--------------------------------------------------------------------------
    DBChart1.Title.Text.Clear;
    DBChart2.Title.Text.Clear;
    DBChart1.Title.Text.add('Taux de couverture vaccinale au DTCP3 pour le 4me Trimestre ');
    DBChart2.Title.Text.add('Taux de couverture vaccinale au DTCP3 pour le 4me  Trimestre ');
    Series1.XValues.ValueSource:='count(*)';
    Series1.XLabelsSource:='DTCP3';
    Series2.Clear;
    Series2.PieValues.ValueSource:='count(*)';
    Series2.XLabelsSource:='DTCP3';
    //--------------------------------------------------------------------------
    Q.Open;
    If DBGrid1.Fields[1].AsString='' then
    begin
    MSG('Aucun rsultat Significatif a afficher ,Manque de donnes dans la base de donnes', mtInformation,[MbOk],'Remarque d''Information ...!!!',clblack,$00E4ECF1);
    // ShowMessage(' Aucune rsultat Significatif a afficher, Manque de donne dans la base de donnes ');
    Imprim.Enabled:=False;
    Series1.Clear;
    end
    else Imprim.Enabled:=true;
    end;// 3:rg.itemindex
//------------------------------------------------------------------------------
{4me Case}
    4:begin
    Q.close;
    Q.sql.Clear;
    Q.sql.Add('Select Count(*),DTCP3 From EtatVaccinal,enfant,calendier  ') ;
    Q.sql.Add('Where EtatVaccinal.NEtatC=enfant.NEtatC ');
    Q.sql.Add('And(EtatVaccinal.NEtatC=Calendier.NEtatC) ');
    Q.sql.Add('And(DateDTCP3 between :a and :b) ');
    Q.sql.Add(' And (Enfant.DateN between :x And :y)');
    Q.sql.Add(' Group by DTCP3');
    s:='01/06/'+Look.Text;
    t:='31/03/'+IntToStr(StrToInt(Look.text)+1);
    Q.Params[0].AsDate:=strtodate(s);
    Q.Params[1].AsDate:=strtodate(t);
    s:='01/01/'+Look.Text;
    t:= '31/10/'+Look.text;
    Q.Params[2].AsDate:=strtodate(s);
    Q.Params[3].AsDate:=strtodate(t);
    Series1.Clear;
    //--------------------------------------------------------------------------
    DBChart1.Title.Text.Clear;
    DBChart2.Title.Text.Clear;
    DBChart1.Title.Text.add('Taux de couverture vaccinale au DTCP3 pour le 1er  Trimestre '+inttostr(strtoint(Look.text)+1));
    DBChart2.Title.Text.add('Taux de couverture vaccinale au DTCP3 pour le 1er  Trimestre '+inttostr(strtoint(Look.text)+1));
    Series1.XValues.ValueSource:='count(*)';
    Series1.XLabelsSource:='DTCP3';
    Series2.Clear;
    Series2.PieValues.ValueSource:='count(*)';
    Series2.XLabelsSource:='DTCP3';
    //--------------------------------------------------------------------------
    Q.Open;
    If DBGrid1.Fields[1].AsString='' then
    begin
    MSG('Aucun rsultat Significatif a afficher ,Manque de donnes dans la base de donnes', mtInformation,[MbOk],'Remarque d''Information ...!!!',clblack,$00E4ECF1);
    // ShowMessage(' Aucune rsultat Significatif a afficher, Manque de donne dans la base de donnes ');
    Imprim.Enabled:=False;
    Series1.Clear;
    end
    else Imprim.Enabled:=true;
    end;// 4:rg.itemindex
//------------------------------------------------------------------------------
{5me Case}
    5:begin
    Q.close;
    Q.sql.Clear;
    Q.sql.Add('Select Count(*),DTCP3 From EtatVaccinal,enfant,calendier  ') ;
    Q.sql.Add('Where EtatVaccinal.NEtatC=enfant.NEtatC ');
    Q.sql.Add('And(EtatVaccinal.NEtatC=Calendier.NEtatC) ');
    Q.sql.Add('And(DateDTCP3 between :a and :b) ');
    Q.sql.Add(' And (Enfant.DateN between :x And :y)');
    Q.sql.Add(' Group by DTCP3');
    s:='01/06/'+Look.Text;
    t:='31/05/'+IntToStr(StrToInt(Look.text)+1);
    Q.Params[0].AsDate:=strtodate(s);
    Q.Params[1].AsDate:=strtodate(t);
    s:='01/01/'+Look.Text;
    t:= '31/12/'+Look.text;
    Q.Params[2].AsDate:=strtodate(s);
    Q.Params[3].AsDate:=strtodate(t);
    Series1.Clear;
    //--------------------------------------------------------------------------
    DBChart1.Title.Text.Clear;
    DBChart2.Title.Text.Clear;
    DBChart1.Title.Text.add('Taux de couverture vaccinale au DTCP3 pour le 2me  Trimestre '+inttostr(strtoint(Look.text)+1));
    DBChart2.Title.Text.add('Taux de couverture vaccinale au DTCP3 pour le 2me  Trimestre '+inttostr(strtoint(Look.text)+1));
    Series1.XValues.ValueSource:='count(*)';
    Series1.XLabelsSource:='DTCP3';
    Series2.Clear;
    Series2.PieValues.ValueSource:='count(*)';
    Series2.XLabelsSource:='DTCP3';
    //--------------------------------------------------------------------------
    Q.Open;
    If DBGrid1.Fields[1].AsString='' then
    begin
    MSG('Aucun rsultat Significatif a afficher ,Manque de donnes dans la base de donnes', mtInformation,[MbOk],'Remarque d''Information ...!!!',clblack,$00E4ECF1);
//    ShowMessage(' Aucune rsultat Significatif a afficher, Manque de donne dans la base de donnes ');
    Imprim.Enabled:=False;
    Series1.Clear;
    end
    else Imprim.Enabled:=true;
    end;// 5:rg.itemindex
//------------------------------------------------------------------------------
{6me Case}
    6:begin
    Q.close;
    Q.sql.Clear;
    Q.sql.Add('Select Count(*),DTCP3 From EtatVaccinal,enfant,calendier  ') ;
    Q.sql.Add('Where EtatVaccinal.NEtatC=enfant.NEtatC ');
    Q.sql.Add('And(EtatVaccinal.NEtatC=Calendier.NEtatC) ');
    Q.sql.Add('And(DateDTCP3 between :a and :b) ');
    Q.sql.Add(' And (Enfant.DateN between :x And :y)');
    Q.sql.Add(' Group by DTCP3');
    s:='01/06/'+Look.Text;
    t:='31/05/'+IntToStr(StrToInt(Look.text)+1);
    Q.Params[0].AsDate:=strtodate(s);
    Q.Params[1].AsDate:=strtodate(t);
    s:='01/01/'+Look.Text;
    t:= '31/12/'+Look.text;
    Q.Params[2].AsDate:=strtodate(s);
    Q.Params[3].AsDate:=strtodate(t);
    Series1.Clear;
    //--------------------------------------------------------------------------
    DBChart1.Title.Text.Clear;
    DBChart2.Title.Text.Clear;
    DBChart1.Title.Text.add('Taux de couverture vaccinale au DTCP3 pour le 3me  Trimestre '+inttostr(strtoint(Look.text)+1));
    DBChart2.Title.Text.add('Taux de couverture vaccinale au DTCP3 pour le 3me  Trimestre '+inttostr(strtoint(Look.text)+1));
    Series1.XValues.ValueSource:='count(*)';
    Series1.XLabelsSource:='DTCP3';
    Series2.Clear;
    Series2.PieValues.ValueSource:='count(*)';
    Series2.XLabelsSource:='DTCP3';
    //--------------------------------------------------------------------------
    Q.Open;
    MSG('L''valuation de la Couverture Vaccinale au DTCP3 de tous les enfants ns'#13'en '+Look.text+' est obtenu au terme du 2me trimestre d''anne '+Look.text+'.', mtInformation,[MbOk],'Remarque d''Information ...!!!',clblack,$00E4ECF1);
    // Messagedlg('L''valuation de la Couverture Vaccinale au DTCP3 de tous les enfants ns'#13'en '+Look.text+' est obtenu au terme du 2me trimestre d''anne '+IntToStr(StrToInt(Look.text)+1)+'.',MtInformation,[MbOk],0);
    If DBGrid1.Fields[1].AsString='' then
    begin
    MSG('Aucun rsultat Significatif a afficher ,Manque de donnes dans la base de donnes', mtInformation,[MbOk],'Remarque d''Information ...!!!',clblack,$00E4ECF1);
//    ShowMessage(' Aucune rsultat Significatif a afficher, Manque de donne dans la base de donnes ');
    Imprim.Enabled:=False;
    Series1.Clear;
    end
    else Imprim.Enabled:=true;
    end;// 6:rg.itemindex
//------------------------------------------------------------------------------
end; //case
//------------------------------------------------------------------------------
    end;
//------------------------------------------------------------------------------
4:begin // rgvac.ItemIndex
Case RG.ItemIndex of
    3:begin
    SERIES1.Clear;
    Q.close;
    Q.sql.Clear;
    Q.sql.Add('Select Count(*),VAR From EtatVaccinal,enfant,calendier  ') ;
    Q.sql.Add('Where EtatVaccinal.NEtatC=enfant.NEtatC ');
    Q.sql.Add('And(EtatVaccinal.NEtatC=Calendier.NEtatC) ');
    Q.sql.Add('And(DateVAR between :a and :b) ');
    Q.sql.Add(' And (Enfant.DateN between :x And :y)');
    Q.sql.Add(' Group by VAR');
    s:='01/10/'+Look.Text;
    t:='31/12/'+Look.text;
    Q.Params[0].AsDate:=strtodate(s);
    Q.Params[1].AsDate:=strtodate(t);
    s:='01/01/'+Look.Text;
    t:= '30/03/'+Look.text;
    Q.Params[2].AsDate:=strtodate(s);
    Q.Params[3].AsDate:=strtodate(t);
    Series1.Clear;
    //--------------------------------------------------------------------------
    DBChart1.Title.Text.Clear;
    DBChart2.Title.Text.Clear;
    DBChart1.Title.Text.add('Taux de couverture vaccinale au V.Anti-Rougeoleux pour le 4me Trimestre ');
    DBChart2.Title.Text.add('Taux de couverture vaccinale au V.Anti-Rougeoleux pour le 4me  Trimestre ');
    Series1.XValues.ValueSource:='count(*)';
    Series1.XLabelsSource:='VAR';
    Series2.Clear;
    Series2.PieValues.ValueSource:='count(*)';
    Series2.XLabelsSource:='VAR';
    //--------------------------------------------------------------------------
    Q.Open;
    If DBGrid1.Fields[1].AsString='' then
    begin
    MSG('Aucun rsultat Significatif a afficher ,Manque de donnes dans la base de donnes', mtInformation,[MbOk],'Remarque d''Information ...!!!',clblack,$00E4ECF1);
//    ShowMessage(' Aucune rsultat Significatif a afficher, Manque de donne dans la base de donnes ');
    Imprim.Enabled:=False;
    Series1.Clear;
    end
    else Imprim.Enabled:=true;
    end;// 3:rg.itemindex
//------------------------------------------------------------------------------
    4:begin
    SERIES1.Clear;
    Q.close;
    Q.sql.Clear;
    Q.sql.Add('Select Count(*),VAR From EtatVaccinal,enfant,calendier  ') ;
    Q.sql.Add('Where EtatVaccinal.NEtatC=enfant.NEtatC ');
    Q.sql.Add('And(EtatVaccinal.NEtatC=Calendier.NEtatC) ');
    Q.sql.Add('And(DateVAR between :a and :b) ');
    Q.sql.Add(' And (Enfant.DateN between :x And :y)');
    Q.sql.Add(' Group by VAR');
    s:='01/10/'+Look.Text;
    t:='31/03/'+IntToStr(StrToInt(Look.text)+1);
    Q.Params[0].AsDate:=strtodate(s);
    Q.Params[1].AsDate:=strtodate(t);
    s:='01/01/'+Look.Text;
    t:= '31/10/'+Look.text;
    Q.Params[2].AsDate:=strtodate(s);
    Q.Params[3].AsDate:=strtodate(t);
    Series1.Clear;
    //--------------------------------------------------------------------------
    DBChart1.Title.Text.Clear;
    DBChart2.Title.Text.Clear;
    DBChart1.Title.Text.add('Taux de couverture vaccinale au V.Anti-Rougeoleux pour le 1er  Trimestre '+inttostr(strtoint(Look.text)+1));
    DBChart2.Title.Text.add('Taux de couverture vaccinale au V.Anti-Rougeoleux pour le 1er  Trimestre '+inttostr(strtoint(Look.text)+1));
    Series1.XValues.ValueSource:='count(*)';
    Series1.XLabelsSource:='VAR';
    Series2.Clear;
    Series2.PieValues.ValueSource:='count(*)';
    Series2.XLabelsSource:='VAR';
    //--------------------------------------------------------------------------
    Q.Open;
    If DBGrid1.Fields[1].AsString='' then
    begin
    MSG('Aucun rsultat Significatif a afficher ,Manque de donnes dans la base de donnes', mtInformation,[MbOk],'Remarque d''Information ...!!!',clblack,$00E4ECF1);
//    ShowMessage(' Aucune rsultat Significatif a afficher, Manque de donne dans la base de donnes ');
    Imprim.Enabled:=False;
    Series1.Clear;
    end
    else Imprim.Enabled:=true;
    end;// 4:rg.itemindex
//------------------------------------------------------------------------------
    5:begin
    SERIES1.Clear;
    Q.close;
    Q.sql.Clear;
    Q.sql.Add('Select Count(*),VAR From EtatVaccinal,enfant,calendier  ') ;
    Q.sql.Add('Where EtatVaccinal.NEtatC=enfant.NEtatC ');
    Q.sql.Add('And(EtatVaccinal.NEtatC=Calendier.NEtatC) ');
    Q.sql.Add('And(DateVAR between :a and :b) ');
    Q.sql.Add(' And (Enfant.DateN between :x And :y)');
    Q.sql.Add(' Group by VAR');
    s:='01/10/'+Look.Text;
    t:='30/06/'+IntToStr(StrToInt(Look.text)+1);
    Q.Params[0].AsDate:=strtodate(s);
    Q.Params[1].AsDate:=strtodate(t);
    s:='01/01/'+Look.Text;
    t:= '30/09/'+Look.text;
    Q.Params[2].AsDate:=strtodate(s);
    Q.Params[3].AsDate:=strtodate(t);
    Series1.Clear;
    //--------------------------------------------------------------------------
    DBChart1.Title.Text.Clear;
    DBChart2.Title.Text.Clear;
    DBChart1.Title.Text.add('Taux de couverture vaccinale au V.Anti-Rougeoleux pour le 2me  Trimestre '+inttostr(strtoint(Look.text)+1));
    DBChart2.Title.Text.add('Taux de couverture vaccinale au V.Anti-Rougeoleux pour le 2me  Trimestre '+inttostr(strtoint(Look.text)+1));
    Series1.XValues.ValueSource:='count(*)';
    Series1.XLabelsSource:='VAR';
    Series2.Clear;
    Series2.PieValues.ValueSource:='count(*)';
    Series2.XLabelsSource:='VAR';
    //--------------------------------------------------------------------------
    Q.Open;
    If DBGrid1.Fields[1].AsString='' then
    begin
    MSG('Aucun rsultat Significatif a afficher ,Manque de donnes dans la base de donnes', mtInformation,[MbOk],'Remarque d''Information ...!!!',clblack,$00E4ECF1);
//    ShowMessage(' Aucune rsultat Significatif a afficher, Manque de donne dans la base de donnes ');
    Imprim.Enabled:=False;
    Series1.Clear;
    end
    else Imprim.Enabled:=true;
    end;// 5:rg.itemindex
//------------------------------------------------------------------------------
    6:begin
    SERIES1.Clear;
    Q.close;
    Q.sql.Clear;
    Q.sql.Add('Select Count(*),VAR From EtatVaccinal,enfant,calendier  ') ;
    Q.sql.Add('Where EtatVaccinal.NEtatC=enfant.NEtatC ');
    Q.sql.Add('And(EtatVaccinal.NEtatC=Calendier.NEtatC) ');
    Q.sql.Add('And(DateVAR between :a and :b) ');
    Q.sql.Add(' And (Enfant.DateN between :x And :y)');
    Q.sql.Add(' Group by VAR');
    s:='01/10/'+Look.Text;
    t:='30/09/'+IntToStr(StrToInt(Look.text)+1);
    Q.Params[0].AsDate:=strtodate(s);
    Q.Params[1].AsDate:=strtodate(t);
    s:='01/01/'+Look.Text;
    t:= '31/12/'+Look.text;
    Q.Params[2].AsDate:=strtodate(s);
    Q.Params[3].AsDate:=strtodate(t);
    Series1.Clear;
    //--------------------------------------------------------------------------
    DBChart1.Title.Text.Clear;
    DBChart2.Title.Text.Clear;
    DBChart1.Title.Text.add('Taux de couverture vaccinale au V.Anti-Rougeoleux pour le 3me  Trimestre '+inttostr(strtoint(Look.text)+1));
    DBChart2.Title.Text.add('Taux de couverture vaccinale au V.Anti-Rougeoleux pour le 3me  Trimestre '+inttostr(strtoint(Look.text)+1));
    Series1.XValues.ValueSource:='count(*)';
    Series1.XLabelsSource:='VAR';
    Series2.Clear;
    Series2.PieValues.ValueSource:='count(*)';
    Series2.XLabelsSource:='VAR';
    //--------------------------------------------------------------------------
    Q.Open;
    MSG('L''valuation de la Couverture Vaccinale de l''Anti-Rougeoleux de tous les enfants ns'#13'en '+Look.text+' est obtenu au terme du 3me trimestre d''anne '+Look.text+'.', mtInformation,[MbOk],'Remarque d''Information ...!!!',clblack,$00E4ECF1);
    //Messagedlg('L''valuation de la Couverture Vaccinale de l''Anti-Rougeoleux de tous les enfants ns'#13'en '+Look.text+' est obtenu au terme du 3me trimestre d''anne '+IntToStr(StrToInt(Look.text)+1)+'.',MtInformation,[MbOk],0);
    If DBGrid1.Fields[1].AsString='' then
    begin
    MSG('Aucun rsultat Significatif a afficher ,Manque de donnes dans la base de donnes', mtInformation,[MbOk],'Remarque d''Information ...!!!',clblack,$00E4ECF1);
//    ShowMessage(' Aucune rsultat Significatif a afficher, Manque de donne dans la base de donnes ');
    Imprim.Enabled:=False;
    Series1.Clear;
    end
    else Imprim.Enabled:=true;
    end;// 6:rg.itemindex
//------------------------------------------------------------------------------
end; //case
//------------------------------------------------------------------------------
end;
//-------------------------------------------jusqu'ici--------------------------
END;//Case
end;
// -----------------------------------------------------------------------------
procedure TF_RapGraph.Timer1Timer(Sender: TObject);
begin
image1.Visible:=not image1.Visible
end;
// -----------------------------------------------------------------------------
procedure TF_RapGraph.ImprimClick(Sender: TObject);
begin
Case RG.ItemIndex of
0 :begin
With Imprimer do
begin
    s:='01/01/'+Look.Text;
    t:= '31/03/'+Look.text;
    Series1.Clear;
    Series2.Clear;
    QRapport.Close;
    QRapport.sql.Clear;
    QRapport.sql.Add('Select Count(*),Bcg From EtatVaccinal,enfant,Calendier  ') ;
    QRapport.sql.Add('Where EtatVaccinal.NEtatC=enfant.NEtatC ');
    QRapport.sql.Add('And(EtatVaccinal.NEtatC=Calendier.NEtatC) ');
    QRapport.sql.Add('And(DateBCG between :a and :b) ');
    QRapport.sql.Add(' And (Enfant.DateN between :x And :y)');
    QRapport.sql.Add(' Group by bcg');
    QRapport.Params[0].AsDate:=strtodate(s);
    QRapport.Params[1].AsDate:=strtodate(t);
    QRapport.Params[2].AsDate:=strtodate(s);
    QRapport.Params[3].AsDate:=strtodate(t);
    //--------------------------------------------------------------------------
    QRDBChart1.Title.Text.Clear;
    QRDBChart2.Title.Text.Clear;
    QRDBChart1.Title.Text.Add('Taux de couverture vaccinale au BCG pour le 1er Trimestre '+Look.Text);
    QRDBChart2.Title.Text.Add('Taux de couverture vaccinale au BCG pour le 1er Trimestre '+Look.text);
    Series1.XValues.ValueSource:='count(*)';
    Series1.XLabelsSource:='BCG';
    Series2.PieValues.ValueSource:='count(*)';
    Series2.XLabelsSource:='BCG';
    //--------------------------------------------------------------------------
    QRapport.Open;
    Title.Caption:='Taux de couverture vaccinale au BCG pour le 1er Trimestre '+Look.Text;
    Title1.Caption:='Taux de couverture vaccinale au BCG pour le 1er Trimestre '+Look.text;
    Enfant.Open;
//------------------------------------------------------------------------------
   QDeces.Close;
   QDeces.SQL.Clear;
   QDeces.SQL.Add('Select * From EtatDeces.db Where DateD between :a and :b');
   QDeces.Params[0].AsDate:=strtodate(s);
   QDeces.Params[1].AsDate:=strtodate(t);
   QDeces.open;
//------------------------------------------------------------------------------
    Deces.Caption:=IntToStr(Qdeces.RecordCount);
    Deces1.Caption:=Deces.Caption;
    Nombre.Caption:=InttoStr(enfant.recordCount);  Enfant.Close;
    Nombre1.Caption:= Nombre.Caption ;
    VarS.caption:=s;Vars1.Caption:=S;
    VarT.caption:=T;VarT1.Caption:=T;

End;//With
   end;//0RGItemIndex
//------------------------------------------------------------------------------
End;//Case
//******************************************************************************
Case rgvac.ItemIndex of
0:begin //rgvac.ItemIndex
case rg.ItemIndex of
    1 :begin
    With Imprimer do begin
    s:='01/01/'+Look.Text;
    t:= '30/06/'+Look.text;
    QRapport.close;
    QRapport.sql.Clear;
    QRapport.sql.Add('Select Count(*),Bcg From EtatVaccinal,enfant,calendier  ') ;
    QRapport.sql.Add('Where EtatVaccinal.NEtatC=enfant.NEtatC ');
    QRapport.sql.Add('And(EtatVaccinal.NEtatC=Calendier.NEtatC) ');
    QRapport.sql.Add('And(DateBCG between :a and :b) ');
    QRapport.sql.Add(' And (Enfant.DateN between :x And :y)');
    QRapport.sql.Add(' Group by bcg');
    QRapport.Params[0].AsDate:=strtodate(s);
    QRapport.Params[1].AsDate:=strtodate(t);
    QRapport.Params[2].AsDate:=strtodate(s);
    QRapport.Params[3].AsDate:=strtodate(t);
    Series1.Clear;
    Series2.Clear;
    //--------------------------------------------------------------------------
    QRDBChart1.Title.Text.Clear;
    QRDBChart2.Title.Text.Clear;
    QRDBChart1.Title.Text.Add('Taux de couverture vaccinale au BCG pour le 2me Trimestre '+Look.Text);
    QRDBChart2.Title.Text.Add('Taux de couverture vaccinale au BCG pour le 2me Trimestre '+Look.text);
    Series1.XValues.ValueSource:='count(*)';
    Series1.XLabelsSource:='BCG';
   //--------------------------------------------------------------------------
    Series2.PieValues.ValueSource:='count(*)';
    Series2.XLabelsSource:='BCG';
    //--------------------------------------------------------------------------
    QRapport.Open;
    Title.Caption:='Taux de couverture vaccinale au BCG pour le 2me Trimestre '+Look.Text;
    Title1.Caption:='Taux de couverture vaccinale au BCG pour le 2me Trimestre '+Look.text;
    Enfant.Open;
//------------------------------------------------------------------------------
   QDeces.Close;
   QDeces.SQL.Clear;
   QDeces.SQL.Add('Select * From EtatDeces.db Where DateD between :a and :b');
   QDeces.Params[0].AsDate:=strtodate(s);
   QDeces.Params[1].AsDate:=strtodate(t);
   QDeces.open;
//------------------------------------------------------------------------------
    Deces.Caption:=IntToStr(Qdeces.RecordCount);
    Deces1.Caption:=Deces.Caption;
    Nombre.Caption:=InttoStr(enfant.recordCount);  Enfant.Close;
    Nombre1.Caption:= Nombre.Caption ;
    VarS.caption:=s;Vars1.Caption:=S;
    VarT.caption:=T;VarT1.Caption:=T;

End;//with
end;//case 1RG   de 0 rgvac
//------------------------------------------------------------------------------
{case rg.itemindex}
     2 :begin
     with Imprimer do begin
     Series1.Clear;
     s:='01/01/'+Look.Text;
     t:= '30/09/'+Look.text;
     QRapport.close;
     QRapport.sql.Clear;
     QRapport.sql.Add('Select Count(*),Bcg From EtatVaccinal,enfant,calendier  ') ;
     QRapport.sql.Add('Where EtatVaccinal.NEtatC=enfant.NEtatC ');
     QRapport.sql.Add('And(EtatVaccinal.NEtatC=Calendier.NEtatC) ');
     QRapport.sql.Add('And(DateBCG between :a and :b) ');
     QRapport.sql.Add(' And (Enfant.DateN between :x And :y)');
     QRapport.sql.Add(' Group by bcg');
     QRapport.Params[0].AsDate:=strtodate(s);
     QRapport.Params[1].AsDate:=strtodate(t);
     QRapport.Params[2].AsDate:=strtodate(s);
     QRapport.Params[3].AsDate:=strtodate(t);
     Series1.Clear;
    //--------------------------------------------------------------------------
    QRDBChart1.Title.Text.Clear;
    QRDBChart2.Title.Text.Clear;
    QRDBChart1.Title.Text.add('Taux de couverture vaccinale au BCG pour le 3me Trimestre '+Look.text);
    QRDBChart2.Title.Text.add('Taux de couverture vaccinale au BCG pour le 3me Trimestre '+Look.text);
    Series1.XValues.ValueSource:='count(*)';
    Series1.XLabelsSource:='BCG';
    Series2.Clear;
    Series2.PieValues.ValueSource:='count(*)';
    Series2.XLabelsSource:='BCG';
    //--------------------------------------------------------------------------
     QRapport.Open;
    Title.caption:='Taux de couverture vaccinale au BCG pour le 3me Trimestre '+Look.text;
    Title1.caption:='Taux de couverture vaccinale au BCG pour le 3me Trimestre '+Look.text;
    Enfant.Open;
//------------------------------------------------------------------------------
   QDeces.Close;
   QDeces.SQL.Clear;
   QDeces.SQL.Add('Select * From EtatDeces.db Where DateD between :a and :b');
   QDeces.Params[0].AsDate:=strtodate(s);
   QDeces.Params[1].AsDate:=strtodate(t);
   QDeces.open;
//------------------------------------------------------------------------------
    Deces.Caption:=IntToStr(Qdeces.RecordCount);
    Deces1.Caption:=Deces.Caption;
    Nombre.Caption:=InttoStr(enfant.recordCount);  Enfant.Close;
    Nombre1.Caption:= Nombre.Caption ;
    VarS.caption:=s;Vars1.Caption:=S;
    VarT.caption:=T;VarT1.Caption:=T;

end;//with
     end;//case 2RG  de 0 rgvac
//------------------------------------------------------------------------------
     3 :begin
     With Imprimer do begin
     Series1.Clear;
     s:='01/01/'+Look.Text;
     t:= '31/12/'+Look.text;
     QRapport.close;
     QRapport.sql.Clear;
     QRapport.sql.Add('Select Count(*),Bcg From EtatVaccinal,enfant,calendier  ') ;
     QRapport.sql.Add('Where EtatVaccinal.NEtatC=enfant.NEtatC ');
     QRapport.sql.Add('And(EtatVaccinal.NEtatC=Calendier.NEtatC) ');
     QRapport.sql.Add('And(DateBCG between :a and :b) ');
     QRapport.sql.Add(' And (Enfant.DateN between :x And :y)');
     QRapport.sql.Add(' Group by bcg');
     QRapport.Params[0].AsDate:=strtodate(s);
     QRapport.Params[1].AsDate:=strtodate(t);
     QRapport.Params[2].AsDate:=strtodate(s);
     QRapport.Params[3].AsDate:=strtodate(t);
     Series1.Clear;
    //--------------------------------------------------------------------------
     QRDBChart1.Title.Text.Clear;
     QRDBChart2.Title.Text.Clear;
     QRDBChart1.Title.Text.add('Taux de couverture vaccinale au BCG pour le 4me Trimestre '+Look.text);
     QRDBChart2.Title.Text.add('Taux de couverture vaccinale au BCG pour le 4me Trimestre '+Look.text);
     Series1.XValues.ValueSource:='count(*)';
     Series1.XLabelsSource:='BCG';
     Series2.Clear;
     Series2.PieValues.ValueSource:='count(*)';
     Series2.XLabelsSource:='BCG';
    //--------------------------------------------------------------------------
     QRapport.Open;
     Title.caption:='Taux de couverture vaccinale au BCG pour le 4me Trimestre '+Look.text;
     Title1.caption:='Taux de couverture vaccinale au BCG pour le 4me Trimestre '+Look.text;
     Enfant.Open;
//------------------------------------------------------------------------------
   QDeces.Close;
   QDeces.SQL.Clear;
   QDeces.SQL.Add('Select * From EtatDeces.db Where DateD between :a and :b');
   QDeces.Params[0].AsDate:=strtodate(s);
   QDeces.Params[1].AsDate:=strtodate(t);
   QDeces.open;
//------------------------------------------------------------------------------
    Deces.Caption:=IntToStr(Qdeces.RecordCount);
     Deces1.Caption:=Deces.Caption;
     Nombre.Caption:=InttoStr(enfant.recordCount);  Enfant.Close;
     Nombre1.Caption:= Nombre.Caption ;
     VarS.caption:=s;Vars1.Caption:=S;
     VarT.caption:=T;VarT1.Caption:=T;

End;//With
     end;//Case 3RG  de 0 rgvac
//------------------------------------------------------------------------------
     4 :begin
     With Imprimer do begin
     Series1.Clear;
     s:='01/01/'+Look.Text;
     t:= '31/12/'+Look.text;
     QRapport.close;
     QRapport.sql.Clear;
     QRapport.sql.Add('Select Count(*),Bcg From EtatVaccinal,enfant,calendier  ') ;
     QRapport.sql.Add('Where EtatVaccinal.NEtatC=enfant.NEtatC ');
     QRapport.sql.Add('And(EtatVaccinal.NEtatC=Calendier.NEtatC) ');
     QRapport.sql.Add('And(DateBCG between :a and :b) ');
     QRapport.sql.Add(' And (Enfant.DateN between :x And :y)');
     QRapport.sql.Add(' Group by bcg');
     QRapport.Params[0].AsDate:=strtodate(s);
     QRapport.Params[1].AsDate:=strtodate(t);
     QRapport.Params[2].AsDate:=strtodate(s);
     QRapport.Params[3].AsDate:=strtodate(t);
     Series1.Clear;
     //-------------------------------------------------------------------------
    QRDBChart1.Title.Text.Clear;
    QRDBChart2.Title.Text.Clear;
    QRDBChart1.Title.Text.add('Taux de couverture vaccinale au BCG pour le 1er Trimestre"'+inttostr(strtoint(Look.text)+1));
    QRDBChart2.Title.Text.add('Taux de couverture vaccinale au BCG pour le 1er Trimestre"'+inttostr(strtoint(Look.text)+1));
    Series1.XValues.ValueSource:='count(*)';
    Series1.XLabelsSource:='BCG';
    Series2.Clear;
    Series2.PieValues.ValueSource:='count(*)';
    Series2.XLabelsSource:='BCG';
    //--------------------------------------------------------------------------
     QRapport.Open;
    Title.caption:='Taux de couverture vaccinale au BCG pour le 1er Trimestre"'+inttostr(strtoint(Look.text)+1);
    Title1.caption:='Taux de couverture vaccinale au BCG pour le 1er Trimestre"'+inttostr(strtoint(Look.text)+1);
    Enfant.Open;
//------------------------------------------------------------------------------
   QDeces.Close;
   QDeces.SQL.Clear;
   QDeces.SQL.Add('Select * From EtatDeces.db Where DateD between :a and :b');
   QDeces.Params[0].AsDate:=strtodate(s);
   QDeces.Params[1].AsDate:=strtodate(t);
   QDeces.open;
//------------------------------------------------------------------------------
    Deces.Caption:=IntToStr(Qdeces.RecordCount);
    Deces1.Caption:=Deces.Caption;
    Nombre.Caption:=InttoStr(enfant.recordCount);  Enfant.Close;
    Nombre1.Caption:= Nombre.Caption ;
    VarS.caption:=s;Vars1.Caption:=S;
    VarT.caption:=T;VarT1.Caption:=T;

End;//with
     end;//Case 4RG  de 0 rgvac
//------------------------------------------------------------------------------
     5 :begin
     with Imprimer do begin
     Series1.Clear;
     s:='01/01/'+Look.Text;
     t:= '31/12/'+Look.text;
     QRapport.close;
     QRapport.sql.Clear;
     QRapport.sql.Add('Select Count(*),Bcg From EtatVaccinal,enfant,calendier  ') ;
     QRapport.sql.Add('Where EtatVaccinal.NEtatC=enfant.NEtatC ');
     QRapport.sql.Add('And(EtatVaccinal.NEtatC=Calendier.NEtatC) ');
     QRapport.sql.Add('And(DateBCG between :a and :b) ');
     QRapport.sql.Add(' And (Enfant.DateN between :x And :y)');
     QRapport.sql.Add(' Group by bcg');
     QRapport.Params[0].AsDate:=strtodate(s);
     QRapport.Params[1].AsDate:=strtodate(t);
     QRapport.Params[2].AsDate:=strtodate(s);
     QRapport.Params[3].AsDate:=strtodate(t);
     Series1.Clear;
     //-------------------------------------------------------------------------
    QRDBChart1.Title.Text.Clear;
    QRDBChart2.Title.Text.Clear;
    QRDBChart1.Title.Text.add('Taux de couverture vaccinale au BCG pour le 2me Trimestre '+inttostr(strtoint(Look.text)+1));
    QRDBChart2.Title.Text.add('Taux de couverture vaccinale au BCG pour le 2me Trimestre '+inttostr(strtoint(Look.text)+1));
    Series1.XValues.ValueSource:='count(*)';
    Series1.XLabelsSource:='BCG';
    Series2.Clear;
    Series2.PieValues.ValueSource:='count(*)';
    Series2.XLabelsSource:='BCG';
    //--------------------------------------------------------------------------
     QRapport.Open;
    Title.caption:='Taux de couverture vaccinale au BCG pour le 2me Trimestre '+inttostr(strtoint(Look.text)+1);
    Title1.Caption:='Taux de couverture vaccinale au BCG pour le 2me Trimestre '+inttostr(strtoint(Look.text)+1);
    Enfant.Open;
//------------------------------------------------------------------------------
   QDeces.Close;
   QDeces.SQL.Clear;
   QDeces.SQL.Add('Select * From EtatDeces.db Where DateD between :a and :b');
   QDeces.Params[0].AsDate:=strtodate(s);
   QDeces.Params[1].AsDate:=strtodate(t);
   QDeces.open;
//------------------------------------------------------------------------------
    Deces.Caption:=IntToStr(Qdeces.RecordCount);
    Deces1.Caption:=Deces.Caption;
    Nombre.Caption:=InttoStr(enfant.recordCount);  Enfant.Close;
    Nombre1.Caption:= Nombre.Caption ;
    VarS.caption:=s;Vars1.Caption:=S;
    VarT.caption:=T;VarT1.Caption:=T;

end;//with
     end;//Case 5RG  de 0 rgvac
//------------------------------------------------------------------------------
     6 :begin
     With Imprimer do begin
     Series1.Clear;
     s:='01/01/'+Look.Text;
     t:= '31/12/'+Look.text;
     QRapport.close;
     QRapport.sql.Clear;
     QRapport.sql.Add('Select Count(*),Bcg From EtatVaccinal,enfant,calendier  ') ;
     QRapport.sql.Add('Where EtatVaccinal.NEtatC=enfant.NEtatC ');
     QRapport.sql.Add('And(EtatVaccinal.NEtatC=Calendier.NEtatC) ');
     QRapport.sql.Add('And(DateBCG between :a and :b) ');
     QRapport.sql.Add(' And (Enfant.DateN between :x And :y)');
     QRapport.sql.Add(' Group by bcg');
     QRapport.Params[0].AsDate:=strtodate(s);
     QRapport.Params[1].AsDate:=strtodate(t);
     QRapport.Params[2].AsDate:=strtodate(s);
     QRapport.Params[3].AsDate:=strtodate(t);
     Series1.Clear;
    //--------------------------------------------------------------------------
    QRDBChart1.Title.Text.Clear;
    QRDBChart2.Title.Text.Clear;
    QRDBChart1.Title.Text.add('Taux de couverture vaccinale au BCG pour le 3me Trimestre '+inttostr(strtoint(Look.text)+1));
    QRDBChart2.Title.Text.add('Taux de couverture vaccinale au BCG pour le 3me Trimestre '+inttostr(strtoint(Look.text)+1));
    Series1.XValues.ValueSource:='count(*)';
    Series1.XLabelsSource:='BCG';
    Series2.Clear;
    Series2.PieValues.ValueSource:='count(*)';
    Series2.XLabelsSource:='BCG';
    //--------------------------------------------------------------------------
     QRapport.Open;
    Title.caption:='Taux de couverture vaccinale au BCG pour le 3me Trimestre '+inttostr(strtoint(Look.text)+1);
    Title1.caption:='Taux de couverture vaccinale au BCG pour le 3me Trimestre '+inttostr(strtoint(Look.text)+1);
    Enfant.Open;
//------------------------------------------------------------------------------
   QDeces.Close;
   QDeces.SQL.Clear;
   QDeces.SQL.Add('Select * From EtatDeces.db Where DateD between :a and :b');
   QDeces.Params[0].AsDate:=strtodate(s);
   QDeces.Params[1].AsDate:=strtodate(t);
   QDeces.open;
//------------------------------------------------------------------------------
    Deces.Caption:=IntToStr(Qdeces.RecordCount);
    Deces1.Caption:=Deces.Caption;
    Nombre.Caption:=InttoStr(enfant.recordCount);  Enfant.Close;
    Nombre1.Caption:= Nombre.Caption ;
    VarS.caption:=s;Vars1.Caption:=S;
    VarT.caption:=T;VarT1.Caption:=T;

end;//with
     end;//Case 6RG  de 0 rgvac
//------------------------------------------------------------------------------
end;//2me Case
//------------------------------------------------------------------------------
  end;
1:begin // rgvac.ItemIndex
Case Rg.ItemIndex of
    1 :begin
    with Imprimer do begin
    QRapport.close;
    QRapport.sql.Clear;
    QRapport.sql.Add('Select Count(*),DTCP1 From EtatVaccinal,enfant,calendier  ') ;
    QRapport.sql.Add('Where EtatVaccinal.NEtatC=enfant.NEtatC ');
    QRapport.sql.Add('And(EtatVaccinal.NEtatC=Calendier.NEtatC) ');
    QRapport.sql.Add('And(DateDtcp1 between :a and :b) ');
    QRapport.sql.Add(' And (Enfant.DateN between :x And :y)');
    QRapport.sql.Add(' Group by DTCP1');
    s:='01/04/'+Look.Text;
    t:='30/06/'+Look.text;
    QRapport.Params[0].AsDate:=strtodate(s);
    QRapport.Params[1].AsDate:=strtodate(t);
    s:='01/01/'+Look.Text;
    t:= '30/03/'+Look.text;
    QRapport.Params[2].AsDate:=strtodate(s);
    QRapport.Params[3].AsDate:=strtodate(t);
    Series1.Clear;
    //--------------------------------------------------------------------------
    QRDBChart1.Title.Text.Clear;
    QRDBChart2.Title.Text.Clear;
    QRDBChart1.Title.Text.add('Taux de couverture vaccinale au DTCP1 pour le 2me Trimestre '+Look.text);
    QRDBChart2.Title.Text.add('Taux de couverture vaccinale au DTCP1 pour le 2me Trimestre '+Look.Text);
    Series1.XValues.ValueSource:='count(*)';
    Series1.XLabelsSource:='DTCP1';
    Series2.Clear;
    Series2.PieValues.ValueSource:='count(*)';
    Series2.XLabelsSource:='DTCP1';
    //--------------------------------------------------------------------------
    QRapport.Open;
    Title.caption:='Taux de couverture vaccinale au DTCP1 pour le 2me Trimestre '+Look.text;
    Title1.caption:='Taux de couverture vaccinale au DTCP1 pour le 2me Trimestre '+Look.Text;
//------------------------------------------------------------------------------
   QDeces.Close;
   QDeces.SQL.Clear;
   QDeces.SQL.Add('Select * From EtatDeces.db Where DateD between :a and :b');
   QDeces.Params[0].AsDate:=strtodate(s);
   QDeces.Params[1].AsDate:=strtodate(t);
   QDeces.open;
//------------------------------------------------------------------------------
    Deces.Caption:=IntToStr(Qdeces.RecordCount);
    Enfant.Open;
    Deces1.Caption:=Deces.Caption;
    Nombre.Caption:=InttoStr(enfant.recordCount);  Enfant.Close;
    Nombre1.Caption:= Nombre.Caption ;
    s:='01/04/'+Look.Text;
    t:='30/06/'+Look.text;
    VarS.caption:=s;Vars1.Caption:=S;
    VarT.caption:=T;VarT1.Caption:=T;

end;//with
    End;//Case 1RG de 1 rgVac
//------------------------------------------------------------------------------
{2me case}
     2 :begin
     With Imprimer do begin
     Series1.Clear;
     QRapport.close;
     QRapport.sql.Clear;
     QRapport.sql.Add('Select Count(*),DTCP1 From EtatVaccinal,enfant,calendier  ') ;
     QRapport.sql.Add('Where EtatVaccinal.NEtatC=enfant.NEtatC ');
     QRapport.sql.Add('And(EtatVaccinal.NEtatC=Calendier.NEtatC) ');
     QRapport.sql.Add('And(DateDtcp1 between :a and :b) ');
     QRapport.sql.Add(' And (Enfant.DateN between :x And :y)');
     QRapport.sql.Add(' Group by DTCP1');
     s:='01/04/'+Look.Text;
     t:='30/09/'+Look.text;
     QRapport.Params[0].AsDate:=strtodate(s);
     QRapport.Params[1].AsDate:=strtodate(t);
     s:='01/01/'+Look.Text;
     t:= '30/09/'+Look.text;
     QRapport.Params[2].AsDate:=strtodate(s);
     QRapport.Params[3].AsDate:=strtodate(t);
     Series1.Clear;
    //--------------------------------------------------------------------------
    QRDBChart1.Title.Text.Clear;
    QRDBChart2.Title.Text.Clear;
    QRDBChart1.Title.Text.add('Taux de couverture vaccinale au DTCP1 pour le 3me  Trimestre '+look.text);
    QRDBChart2.Title.Text.add('Taux de couverture vaccinale au DTCP1 pour le 3me  Trimestre '+look.text);
    Series1.XValues.ValueSource:='count(*)';
    Series1.XLabelsSource:='DTCP1';
    Series2.Clear;
    Series2.PieValues.ValueSource:='count(*)';
    Series2.XLabelsSource:='DTCP1';
    //--------------------------------------------------------------------------
     QRapport.Open;
    Title.caption:='Taux de couverture vaccinale au DTCP1 pour le 3me Trimestre '+Look.text;
    Title1.caption:='Taux de couverture vaccinale au DTCP1 pour le 3me Trimestre '+Look.Text;
    Enfant.Open;
//------------------------------------------------------------------------------
   QDeces.Close;
   QDeces.SQL.Clear;
   QDeces.SQL.Add('Select * From EtatDeces.db Where DateD between :a and :b');
   QDeces.Params[0].AsDate:=strtodate(s);
   QDeces.Params[1].AsDate:=strtodate(t);
   QDeces.open;
//------------------------------------------------------------------------------
    Deces.Caption:=IntToStr(Qdeces.RecordCount);
    Deces1.Caption:=Deces.Caption;
    Nombre.Caption:=InttoStr(enfant.recordCount);  Enfant.Close;
    Nombre1.Caption:= Nombre.Caption ;
     s:='01/04/'+Look.Text;
     t:='30/09/'+Look.text;
    VarS.caption:=s;Vars1.Caption:=S;
    VarT.caption:=T;VarT1.Caption:=T;

end;//with
     end;//case 2RG de 1 RgVac
//------------------------------------------------------------------------------
{3me case}
     3 :Begin
     With Imprimer do begin
     Series1.Clear;
     QRapport.close;
     QRapport.sql.Clear;
     QRapport.sql.Add('Select Count(*),DTCP1 From EtatVaccinal,enfant,calendier  ') ;
     QRapport.sql.Add('Where EtatVaccinal.NEtatC=enfant.NEtatC ');
     QRapport.sql.Add('And(EtatVaccinal.NEtatC=Calendier.NEtatC) ');
     QRapport.sql.Add('And(DateDtcp1 between :a and :b) ');
     QRapport.sql.Add(' And (Enfant.DateN between :x And :y)');
     QRapport.sql.Add(' Group by DTCP1');
     s:='01/04/'+Look.Text;
     t:='31/12/'+Look.text;
     QRapport.Params[0].AsDate:=strtodate(s);
     QRapport.Params[1].AsDate:=strtodate(t);
     s:='01/01/'+Look.Text;
     t:= '30/09/'+Look.text;
     QRapport.Params[2].AsDate:=strtodate(s);
     QRapport.Params[3].AsDate:=strtodate(t);
     Series1.Clear;
    //--------------------------------------------------------------------------
    QRDBChart1.Title.Text.Clear;
    QRDBChart2.Title.Text.Clear;
    QRDBChart1.Title.Text.add('Taux de couverture vaccinale au DTCP1 pour le 4me  Trimestre '+Look.text);
    QRDBChart2.Title.Text.add('Taux de couverture vaccinale au DTCP1 pour le 4me  Trimestre '+Look.text);
    Series1.XValues.ValueSource:='count(*)';
    Series1.XLabelsSource:='DTCP1';
    Series2.Clear;
    Series2.PieValues.ValueSource:='count(*)';
    Series2.XLabelsSource:='DTCP1';
    //--------------------------------------------------------------------------
     QRapport.Open;
    Title.caption:='Taux de couverture vaccinale au DTCP1 pour le 4me Trimestre '+Look.text;
    Title1.caption:='Taux de couverture vaccinale au DTCP1 pour le 4me Trimestre '+Look.Text;
    Enfant.Open;
//------------------------------------------------------------------------------
   QDeces.Close;
   QDeces.SQL.Clear;
   QDeces.SQL.Add('Select * From EtatDeces.db Where DateD between :a and :b');
   QDeces.Params[0].AsDate:=strtodate(s);
   QDeces.Params[1].AsDate:=strtodate(t);
   QDeces.open;
//------------------------------------------------------------------------------
    Deces.Caption:=IntToStr(Qdeces.RecordCount);
    Deces1.Caption:=Deces.Caption;
    Nombre.Caption:=InttoStr(enfant.recordCount);  Enfant.Close;
    Nombre1.Caption:= Nombre.Caption ;
     s:='01/04/'+Look.Text;
     t:='31/12/'+Look.text;
    VarS.caption:=s;Vars1.Caption:=S;
    VarT.caption:=T;VarT1.Caption:=T;

end;//with
     End;// Case 3RG de 1RgVac
//------------------------------------------------------------------------------
{4me case}
     4 :Begin
     with imprimer do begin
     Series1.Clear;
     QRapport.close;
     QRapport.sql.Clear;
     QRapport.sql.Add('Select Count(*),DTCP1 From EtatVaccinal,enfant,calendier  ') ;
     QRapport.sql.Add('Where EtatVaccinal.NEtatC=enfant.NEtatC ');
     QRapport.sql.Add('And(EtatVaccinal.NEtatC=Calendier.NEtatC) ');
     QRapport.sql.Add('And(DateDtcp1 between :a and :b) ');
     QRapport.sql.Add(' And (Enfant.DateN between :x And :y)');
     QRapport.sql.Add(' Group by DTCP1');
     s:='01/04/'+Look.Text;
     t:='31/03/'+IntTostr(strToInt(Look.text)+1);
     QRapport.Params[0].AsDate:=strtodate(s);
     QRapport.Params[1].AsDate:=strtodate(t);
     s:='01/01/'+Look.Text;
     t:= '31/12/'+Look.text;
     QRapport.Params[2].AsDate:=strtodate(s);
     QRapport.Params[3].AsDate:=strtodate(t);
     Series1.Clear;
    //--------------------------------------------------------------------------
    QRDBChart1.Title.Text.Clear;
    QRDBChart2.Title.Text.Clear;
    QRDBChart1.Title.Text.add('Taux de couverture vaccinale au DTCP1 pour le 1er  Trimestre '+inttostr(strtoint(Look.text)+1));
    QRDBChart2.Title.Text.add('Taux de couverture vaccinale au DTCP1 pour le 1er  Trimestre '+inttostr(strtoint(Look.text)+1));
    Series1.XValues.ValueSource:='count(*)';
    Series1.XLabelsSource:='DTCP1';
    Series2.Clear;
    Series2.PieValues.ValueSource:='count(*)';
    Series2.XLabelsSource:='DTCP1';
    //--------------------------------------------------------------------------
     QRapport.Open;
    Title.caption:='Taux de couverture vaccinale au DTCP1 pour le 1er  Trimestre '+inttostr(strtoint(Look.text)+1);
    Title1.caption:='Taux de couverture vaccinale au DTCP1  pour le 1er  Trimestre '+inttostr(strtoint(Look.text)+1);
    Enfant.Open;
//------------------------------------------------------------------------------
   QDeces.Close;
   QDeces.SQL.Clear;
   QDeces.SQL.Add('Select * From EtatDeces.db Where DateD between :a and :b');
   QDeces.Params[0].AsDate:=strtodate(s);
   QDeces.Params[1].AsDate:=strtodate(t);
   QDeces.open;
//------------------------------------------------------------------------------
    Deces.Caption:=IntToStr(Qdeces.RecordCount);
    Deces1.Caption:=Deces.Caption;
    Nombre.Caption:=InttoStr(enfant.recordCount);  Enfant.Close;
    Nombre1.Caption:= Nombre.Caption ;
     s:='01/04/'+Look.Text;
     t:='31/03/'+IntTostr(strToInt(Look.text)+1);
    VarS.caption:=s;Vars1.Caption:=S;
    VarT.caption:=T;VarT1.Caption:=T;

end;//with
     End;// Case 4RG de 1RgVac
//------------------------------------------------------------------------------
{5me case}
     5 :Begin
     with imprimer do begin
     Series1.Clear;
     QRapport.close;
     QRapport.sql.Clear;
     QRapport.sql.Add('Select Count(*),DTCP1 From EtatVaccinal,enfant,calendier  ') ;
     QRapport.sql.Add('Where EtatVaccinal.NEtatC=enfant.NEtatC ');
     QRapport.sql.Add('And(EtatVaccinal.NEtatC=Calendier.NEtatC) ');
     QRapport.sql.Add('And(DateDtcp1 between :a and :b) ');
     QRapport.sql.Add(' And (Enfant.DateN between :x And :y)');
     QRapport.sql.Add(' Group by DTCP1');
     s:='01/04/'+Look.Text;
     t:='31/03/'+IntTostr(strToInt(Look.text)+1);
     QRapport.Params[0].AsDate:=strtodate(s);
     QRapport.Params[1].AsDate:=strtodate(t);
     s:='01/01/'+Look.Text;
     t:= '31/12/'+Look.text;
     QRapport.Params[2].AsDate:=strtodate(s);
     QRapport.Params[3].AsDate:=strtodate(t);
     Series1.Clear;
    //--------------------------------------------------------------------------
    QRDBChart1.Title.Text.Clear;
    QRDBChart2.Title.Text.Clear;
    QRDBChart1.Title.Text.add('Taux de couverture vaccinale au DTCP1 pour le 2me  Trimestre '+inttostr(strtoint(Look.text)+1));
    QRDBChart2.Title.Text.add('Taux de couverture vaccinale au DTCP1 pour le 2me  Trimestre '+inttostr(strtoint(Look.text)+1));
    Series1.XValues.ValueSource:='count(*)';
    Series1.XLabelsSource:='DTCP1';
    Series2.Clear;
    Series2.PieValues.ValueSource:='count(*)';
    Series2.XLabelsSource:='DTCP1';
    //--------------------------------------------------------------------------
     QRapport.Open;
    Title.caption:='Taux de couverture vaccinale au DTCP1  pour le 2me  Trimestre '+inttostr(strtoint(Look.text)+1);
    Title1.caption:='Taux de couverture vaccinale au DTCP1 pour le 2me  Trimestre '+inttostr(strtoint(Look.text)+1);
    Enfant.Open;
//------------------------------------------------------------------------------
   QDeces.Close;
   QDeces.SQL.Clear;
   QDeces.SQL.Add('Select * From EtatDeces.db Where DateD between :a and :b');
   QDeces.Params[0].AsDate:=strtodate(s);
   QDeces.Params[1].AsDate:=strtodate(t);
   QDeces.open;
//------------------------------------------------------------------------------
    Deces.Caption:=IntToStr(Qdeces.RecordCount);
    Deces1.Caption:=Deces.Caption;
    Nombre.Caption:=InttoStr(enfant.recordCount);  Enfant.Close;
    Nombre1.Caption:= Nombre.Caption ;
     s:='01/04/'+Look.Text;
     t:='31/03/'+IntTostr(strToInt(Look.text)+1);
    VarS.caption:=s;Vars1.Caption:=S;
    VarT.caption:=T;VarT1.Caption:=T;

end;//with
     End;// Case 5RG de 1RgVac
//------------------------------------------------------------------------------
{5me case}
     6 :Begin
     with Imprimer do begin
     Series1.Clear;
     QRapport.close;
     QRapport.sql.Clear;
     QRapport.sql.Add('Select Count(*),DTCP1 From EtatVaccinal,enfant,calendier  ') ;
     QRapport.sql.Add('Where EtatVaccinal.NEtatC=enfant.NEtatC ');
     QRapport.sql.Add('And(EtatVaccinal.NEtatC=Calendier.NEtatC) ');
     QRapport.sql.Add('And(DateDtcp1 between :a and :b) ');
     QRapport.sql.Add(' And (Enfant.DateN between :x And :y)');
     QRapport.sql.Add(' Group by DTCP1');
     s:='01/04/'+Look.Text;
     t:='31/03/'+IntTostr(strToInt(Look.text)+1);
     QRapport.Params[0].AsDate:=strtodate(s);
     QRapport.Params[1].AsDate:=strtodate(t);
     s:='01/01/'+Look.Text;
     t:= '31/12/'+Look.text;
     QRapport.Params[2].AsDate:=strtodate(s);
     QRapport.Params[3].AsDate:=strtodate(t);
     Series1.Clear;
    //--------------------------------------------------------------------------
    QRDBChart1.Title.Text.Clear;
    QRDBChart2.Title.Text.Clear;
    QRDBChart1.Title.Text.add('Taux de couverture vaccinale au DTCP1 pour le 3me  Trimestre '+inttostr(strtoint(Look.text)+1));
    QRDBChart2.Title.Text.add('Taux de couverture vaccinale au DTCP1 pour le 3me  Trimestre '+inttostr(strtoint(Look.text)+1));
    Series1.XValues.ValueSource:='count(*)';
    Series1.XLabelsSource:='DTCP1';
    Series2.Clear;
    Series2.PieValues.ValueSource:='count(*)';
    Series2.XLabelsSource:='DTCP1';
    //--------------------------------------------------------------------------
     QRapport.Open;
    Title.caption:='Taux de couverture vaccinale au DTCP1 pour  le 3me  Trimestre '+inttostr(strtoint(Look.text)+1);
    Title1.caption:='Taux de couverture vaccinale au DTCP1 pour  le 3me  Trimestre '+inttostr(strtoint(Look.text)+1);
    Enfant.Open;
//------------------------------------------------------------------------------
   QDeces.Close;
   QDeces.SQL.Clear;
   QDeces.SQL.Add('Select * From EtatDeces.db Where DateD between :a and :b');
   QDeces.Params[0].AsDate:=strtodate(s);
   QDeces.Params[1].AsDate:=strtodate(t);
   QDeces.open;
//------------------------------------------------------------------------------
    Deces.Caption:=IntToStr(Qdeces.RecordCount);
    Deces1.Caption:=Deces.Caption;
    Nombre.Caption:=InttoStr(enfant.recordCount);  Enfant.Close;
    Nombre1.Caption:= Nombre.Caption ;
     s:='01/04/'+Look.Text;
     t:='31/03/'+IntTostr(strToInt(Look.text)+1);
    VarS.caption:=s;Vars1.Caption:=S;
    VarT.caption:=T;VarT1.Caption:=T;

end;//with
     End;// Case 6RG de 1RgVac
//------------------------------------------------------------------------------
end; //case
//------------------------------------------------------------------------------
  end;
2 :begin // rgvac.ItemIndex
Case rg.ItemIndex of
    1 :begin
    with Imprimer do begin
    QRapport.close;
    QRapport.sql.Clear;
    QRapport.sql.Add('Select Count(*),DTCP2 From EtatVaccinal,enfant,calendier  ') ;
    QRapport.sql.Add('Where EtatVaccinal.NEtatC=enfant.NEtatC ');
    QRapport.sql.Add('And(EtatVaccinal.NEtatC=Calendier.NEtatC) ');
    QRapport.sql.Add('And(DateDTCP2 between :a and :b) ');
    QRapport.sql.Add(' And (Enfant.DateN between :x And :y)');
    QRapport.sql.Add(' Group by DTCP2');
    s:='01/05/'+Look.Text;
    t:='30/06/'+Look.text;
    QRapport.Params[0].AsDate:=strtodate(s);
    QRapport.Params[1].AsDate:=strtodate(t);
    s:='01/01/'+Look.Text;
    t:= '01/03/'+Look.text;
    QRapport.Params[2].AsDate:=strtodate(s);
    QRapport.Params[3].AsDate:=strtodate(t);
    Series1.Clear;
    //--------------------------------------------------------------------------
    QrDBChart1.Title.Text.Clear;
    QRDBChart2.Title.Text.Clear;
    QRDBChart1.Title.Text.add('Taux de couverture vaccinale au DTCP2 pour le 2me Trimestre  '+look.text);
    QRDBChart2.Title.Text.add('Taux de couverture vaccinale au DTCP2 pour le 2me  Trimestre '+look.text);
    Series1.XValues.ValueSource:='count(*)';
    Series1.XLabelsSource:='DTCP2';
    Series2.Clear;
    Series2.PieValues.ValueSource:='count(*)';
    Series2.XLabelsSource:='DTCP2';
    //--------------------------------------------------------------------------
    QRapport.Open;
    Title.caption:='Taux de couverture vaccinale au DTCP2 pour le 2me Trimestre '+Look.text;
    Title1.caption:='Taux de couverture vaccinale au DTCP2 pour le 2me Trimestre '+Look.Text;
    Enfant.Open;
    s:='01/05/'+Look.Text;
    t:='30/06/'+Look.text;
//------------------------------------------------------------------------------
   QDeces.Close;
   QDeces.SQL.Clear;
   QDeces.SQL.Add('Select * From EtatDeces.db Where DateD between :a and :b');
   QDeces.Params[0].AsDate:=strtodate(s);
   QDeces.Params[1].AsDate:=strtodate(t);
   QDeces.open;
//------------------------------------------------------------------------------
    Deces.Caption:=IntToStr(Qdeces.RecordCount);
    Deces1.Caption:=Deces.Caption;
    Nombre.Caption:=InttoStr(enfant.recordCount);  Enfant.Close;
    Nombre1.Caption:= Nombre.Caption ;
    VarS.caption:=s;Vars1.Caption:=S;
    VarT.caption:=T;VarT1.Caption:=T;

end;//with
    end;// case 1RG de 2 RgVac
//------------------------------------------------------------------------------
{2me Case}
    2 :begin
    with Imprimer do begin
    QRapport.close;
    QRapport.sql.Clear;
    QRapport.sql.Add('Select Count(*),DTCP2 From EtatVaccinal,enfant,calendier  ') ;
    QRapport.sql.Add('Where EtatVaccinal.NEtatC=enfant.NEtatC ');
    QRapport.sql.Add('And(EtatVaccinal.NEtatC=Calendier.NEtatC) ');
    QRapport.sql.Add('And(DateDTCP2 between :a and :b) ');
    QRapport.sql.Add(' And (Enfant.DateN between :x And :y)');
    QRapport.sql.Add(' Group by DTCP2');
    s:='01/05/'+Look.Text;
    t:='30/09/'+Look.text;
    QRapport.Params[0].AsDate:=strtodate(s);
    QRapport.Params[1].AsDate:=strtodate(t);
    s:='01/01/'+Look.Text;
    t:= '01/06/'+Look.text;
    QRapport.Params[2].AsDate:=strtodate(s);
    QRapport.Params[3].AsDate:=strtodate(t);
    Series1.Clear;
    //--------------------------------------------------------------------------
    QRDBChart1.Title.Text.Clear;
    QRDBChart2.Title.Text.Clear;
    QRDBChart1.Title.Text.add('Taux de couverture vaccinale au DTCP2 pour le 3me Trimestre  '+look.text);
    QRDBChart2.Title.Text.add('Taux de couverture vaccinale au DTCP2 pour le 3me  Trimestre '+look.text);
    Series1.XValues.ValueSource:='count(*)';
    Series1.XLabelsSource:='DTCP2';
    Series2.Clear;
    Series2.PieValues.ValueSource:='count(*)';
    Series2.XLabelsSource:='DTCP2';
    //--------------------------------------------------------------------------
    QRapport.Open;
    Title.caption:='Taux de couverture vaccinale au DTCP2 pour le 3me Trimestre '+Look.text;
    Title1.caption:='Taux de couverture vaccinale au DTCP2 pour le 3me Trimestre '+Look.Text;
    Enfant.Open;
//------------------------------------------------------------------------------
   QDeces.Close;
   QDeces.SQL.Clear;
   QDeces.SQL.Add('Select * From EtatDeces.db Where DateD between :a and :b');
   QDeces.Params[0].AsDate:=strtodate(s);
   QDeces.Params[1].AsDate:=strtodate(t);
   QDeces.open;
//------------------------------------------------------------------------------
    Deces.Caption:=IntToStr(Qdeces.RecordCount);
    Deces1.Caption:=Deces.Caption;
    Nombre.Caption:=InttoStr(enfant.recordCount);  Enfant.Close;
    Nombre1.Caption:= Nombre.Caption ;
    s:='01/05/'+Look.Text;
    t:='30/09/'+Look.text;
    VarS.caption:=s;Vars1.Caption:=S;
    VarT.caption:=T;VarT1.Caption:=T;

end;//with
    end;//case 2RG de 2 RgVac
//------------------------------------------------------------------------------
{3me Case}
    3 :begin
    with Imprimer do begin
    QRapport.close;
    QRapport.sql.Clear;
    QRapport.sql.Add('Select Count(*),DTCP2 From EtatVaccinal,enfant,calendier  ') ;
    QRapport.sql.Add('Where EtatVaccinal.NEtatC=enfant.NEtatC ');
    QRapport.sql.Add('And(EtatVaccinal.NEtatC=Calendier.NEtatC) ');
    QRapport.sql.Add('And(DateDTCP2 between :a and :b) ');
    QRapport.sql.Add(' And (Enfant.DateN between :x And :y)');
    QRapport.sql.Add(' Group by DTCP2');

    QRapport.Params[0].AsDate:=strtodate(s);
    QRapport.Params[1].AsDate:=strtodate(t);
    s:='01/01/'+Look.Text;
    t:= '01/08/'+Look.text;
    QRapport.Params[2].AsDate:=strtodate(s);
    QRapport.Params[3].AsDate:=strtodate(t);
    Series1.Clear;
    //--------------------------------------------------------------------------
    QRDBChart1.Title.Text.Clear;
    QRDBChart2.Title.Text.Clear;
    QRDBChart1.Title.Text.add('Taux de couverture vaccinale au DTCP2 pour le 4me Trimestre '+look.text);
    QRDBChart2.Title.Text.add('Taux de couverture vaccinale au DTCP2 pour le 4me  Trimestre '+look.text);
    Series1.XValues.ValueSource:='count(*)';
    Series1.XLabelsSource:='DTCP2';
    Series2.Clear;
    Series2.PieValues.ValueSource:='count(*)';
    Series2.XLabelsSource:='DTCP2';
    //--------------------------------------------------------------------------
    QRapport.Open;
    Title.caption:='Taux de couverture vaccinale au DTCP2 pour le 4me Trimestre '+Look.text;
    Title1.caption:='Taux de couverture vaccinale au DTCP2 pour le 4me Trimestre '+Look.Text;
    Enfant.Open;
//------------------------------------------------------------------------------
   QDeces.Close;
   QDeces.SQL.Clear;
   QDeces.SQL.Add('Select * From EtatDeces.db Where DateD between :a and :b');
   QDeces.Params[0].AsDate:=strtodate(s);
   QDeces.Params[1].AsDate:=strtodate(t);
   QDeces.open;
//------------------------------------------------------------------------------
    Deces.Caption:=IntToStr(Qdeces.RecordCount);
    Deces1.Caption:=Deces.Caption;
    Nombre.Caption:=InttoStr(enfant.recordCount);  Enfant.Close;
    Nombre1.Caption:= Nombre.Caption ;
    s:='01/05/'+Look.Text;
    t:='31/12/'+Look.text;
    VarS.caption:=s;Vars1.Caption:=S;
    VarT.caption:=T;VarT1.Caption:=T;

end;//with
    end;//case 3RG de 3 RgVac
//------------------------------------------------------------------------------
{4me Case}
    4 :begin
    with Imprimer do begin
    QRapport.close;
    QRapport.sql.Clear;
    QRapport.sql.Add('Select Count(*),DTCP2 From EtatVaccinal,enfant,calendier  ') ;
    QRapport.sql.Add('Where EtatVaccinal.NEtatC=enfant.NEtatC ');
    QRapport.sql.Add('And(EtatVaccinal.NEtatC=Calendier.NEtatC) ');
    QRapport.sql.Add('And(DateDTCP2 between :a and :b) ');
    QRapport.sql.Add(' And (Enfant.DateN between :x And :y)');
    QRapport.sql.Add(' Group by DTCP2');

    QRapport.Params[0].AsDate:=strtodate(s);
    QRapport.Params[1].AsDate:=strtodate(t);
    s:='01/01/'+Look.Text;
    t:= '01/11/'+Look.text;
    QRapport.Params[2].AsDate:=strtodate(s);
    QRapport.Params[3].AsDate:=strtodate(t);
    Series1.Clear;
    //--------------------------------------------------------------------------
    QRDBChart1.Title.Text.Clear;
    QRDBChart2.Title.Text.Clear;
    QRDBChart1.Title.Text.add('Taux de couverture vaccinale au DTCP2 pour le 1er  Trimestre '+inttostr(strtoint(Look.text)+1));
    QRDBChart2.Title.Text.add('Taux de couverture vaccinale au DTCP2 pour le 1er  Trimestre '+inttostr(strtoint(Look.text)+1));
    Series1.XValues.ValueSource:='count(*)';
    Series1.XLabelsSource:='DTCP2';
    Series2.Clear;
    Series2.PieValues.ValueSource:='count(*)';
    Series2.XLabelsSource:='DTCP2';
    //--------------------------------------------------------------------------
    QRapport.Open;
    Title.caption:='Taux de couverture vaccinale au DTCP2 pour le 1er  Trimestre '+inttostr(strtoint(Look.text)+1);
    Title1.caption:='Taux de couverture vaccinale au DTCP2 pour le 1er  Trimestre '+inttostr(strtoint(Look.text)+1);
    Enfant.Open;
//------------------------------------------------------------------------------
   QDeces.Close;
   QDeces.SQL.Clear;
   QDeces.SQL.Add('Select * From EtatDeces.db Where DateD between :a and :b');
   QDeces.Params[0].AsDate:=strtodate(s);
   QDeces.Params[1].AsDate:=strtodate(t);
   QDeces.open;
//------------------------------------------------------------------------------
    Deces.Caption:=IntToStr(Qdeces.RecordCount);
    Deces1.Caption:=Deces.Caption;
    Nombre.Caption:=InttoStr(enfant.recordCount);  Enfant.Close;
    Nombre1.Caption:= Nombre.Caption ;
    s:='01/05/'+Look.Text;
    t:='31/03/'+IntToStr(StrToInt(Look.text)+1);
    VarS.caption:=s;Vars1.Caption:=S;
    VarT.caption:=T;VarT1.Caption:=T;

End;//with
    end;//case 4RG de 3 RgVac
//------------------------------------------------------------------------------
{5me Case}
    5 :begin
    with imprimer do begin
    QRapport.close;
    QRapport.sql.Clear;
    QRapport.sql.Add('Select Count(*),DTCP2 From EtatVaccinal,enfant,calendier  ') ;
    QRapport.sql.Add('Where EtatVaccinal.NEtatC=enfant.NEtatC ');
    QRapport.sql.Add('And(EtatVaccinal.NEtatC=Calendier.NEtatC) ');
    QRapport.sql.Add('And(DateDTCP2 between :a and :b) ');
    QRapport.sql.Add(' And (Enfant.DateN between :x And :y)');
    QRapport.sql.Add(' Group by DTCP2');
    s:='01/05/'+Look.Text;
    t:='30/04/'+IntToStr(StrToInt(Look.text)+1);
    QRapport.Params[0].AsDate:=strtodate(s);
    QRapport.Params[1].AsDate:=strtodate(t);
    s:='01/01/'+Look.Text;
    t:= '31/12/'+Look.text;
    QRapport.Params[2].AsDate:=strtodate(s);
    QRapport.Params[3].AsDate:=strtodate(t);
    Series1.Clear;
    //--------------------------------------------------------------------------
    QRDBChart1.Title.Text.Clear;
    QRDBChart2.Title.Text.Clear;
    QRDBChart1.Title.Text.add('Taux de couverture vaccinale au DTCP2 pour le 2me  Trimestre '+inttostr(strtoint(Look.text)+1));
    QRDBChart2.Title.Text.add('Taux de couverture vaccinale au DTCP2 pour le 2me  Trimestre '+inttostr(strtoint(Look.text)+1));
    Series1.XValues.ValueSource:='count(*)';
    Series1.XLabelsSource:='DTCP2';
    Series2.Clear;
    Series2.PieValues.ValueSource:='count(*)';
    Series2.XLabelsSource:='DTCP2';
    //--------------------------------------------------------------------------
    QRapport.Open;
    Title.caption:='Taux de couverture vaccinale au DTCP2 pour le 2me Trimestre '+inttostr(strtoint(Look.text)+1);
    Title1.caption:='Taux de couverture vaccinale au DTCP2 pour le 2me Trimestre '+inttostr(strtoint(Look.text)+1);
    Enfant.Open;
//------------------------------------------------------------------------------
   QDeces.Close;
   QDeces.SQL.Clear;
   QDeces.SQL.Add('Select * From EtatDeces.db Where DateD between :a and :b');
   QDeces.Params[0].AsDate:=strtodate(s);
   QDeces.Params[1].AsDate:=strtodate(t);
   QDeces.open;
//------------------------------------------------------------------------------
    Deces.Caption:=IntToStr(Qdeces.RecordCount);
    Deces1.Caption:=Deces.Caption;
    Nombre.Caption:=InttoStr(enfant.recordCount);  Enfant.Close;
    Nombre1.Caption:= Nombre.Caption ;
    s:='01/05/'+Look.Text;
    t:='30/04/'+IntToStr(StrToInt(Look.text)+1);
    VarS.caption:=s;Vars1.Caption:=S;
    VarT.caption:=T;VarT1.Caption:=T;

End;//with
    end;//case 5RG de 3 RgVac
//------------------------------------------------------------------------------
{6me Case}
    6 :begin
    WITH IMPRIMER DO begin
    QRapport.close;
    QRapport.sql.Clear;
    QRapport.sql.Add('Select Count(*),DTCP2 From EtatVaccinal,enfant,calendier  ') ;
    QRapport.sql.Add('Where EtatVaccinal.NEtatC=enfant.NEtatC ');
    QRapport.sql.Add('And(EtatVaccinal.NEtatC=Calendier.NEtatC) ');
    QRapport.sql.Add('And(DateDTCP2 between :a and :b) ');
    QRapport.sql.Add(' And (Enfant.DateN between :x And :y)');
    QRapport.sql.Add(' Group by DTCP2');
    s:='01/05/'+Look.Text;
    t:='30/04/'+IntToStr(StrToInt(Look.text)+1);
    QRapport.Params[0].AsDate:=strtodate(s);
    QRapport.Params[1].AsDate:=strtodate(t);
    s:='01/01/'+Look.Text;
    t:= '31/12/'+Look.text;
    QRapport.Params[2].AsDate:=strtodate(s);
    QRapport.Params[3].AsDate:=strtodate(t);
    Series1.Clear;
    //--------------------------------------------------------------------------
    QRDBChart1.Title.Text.Clear;
    QRDBChart2.Title.Text.Clear;
    QRDBChart1.Title.Text.add('Taux de couverture vaccinale au DTCP2 pour le 3me  Trimestre '+inttostr(strtoint(Look.text)+1));
    QRDBChart2.Title.Text.add('Taux de couverture vaccinale au DTCP2 pour le 3me  Trimestre '+inttostr(strtoint(Look.text)+1));
    Series1.XValues.ValueSource:='count(*)';
    Series1.XLabelsSource:='DTCP2';
    Series2.Clear;
    Series2.PieValues.ValueSource:='count(*)';
    Series2.XLabelsSource:='DTCP2';
    //--------------------------------------------------------------------------
    QRapport.Open;
    Title.caption:='Taux de couverture vaccinale au DTCP2 pour le 3me Trimestre '+inttostr(strtoint(Look.text)+1);
    Title1.caption:='Taux de couverture vaccinale au DTCP2 pour le 3me Trimestre '+inttostr(strtoint(Look.text)+1);
    Enfant.Open;
//------------------------------------------------------------------------------
   QDeces.Close;
   QDeces.SQL.Clear;
   QDeces.SQL.Add('Select * From EtatDeces.db Where DateD between :a and :b');
   QDeces.Params[0].AsDate:=strtodate(s);
   QDeces.Params[1].AsDate:=strtodate(t);
   QDeces.open;
//------------------------------------------------------------------------------
    Deces.Caption:=IntToStr(Qdeces.RecordCount);
    Deces1.Caption:=Deces.Caption;
    Nombre.Caption:=InttoStr(enfant.recordCount);  Enfant.Close;
    Nombre1.Caption:= Nombre.Caption ;
    s:='01/05/'+Look.Text;
    t:='30/04/'+IntToStr(StrToInt(Look.text)+1);
    VarS.caption:=s;Vars1.Caption:=S;
    VarT.caption:=T;VarT1.Caption:=T;

end;//with
    end;//case 6RG de 3 RgVac
//------------------------------------------------------------------------------
end; //case
//------------------------------------------------------------------------------
   end;
3 :begin // rgvac.ItemIndex
Case RG.ItemIndex of
    1:begin
    WITH IMPRIMER do begin
    QRapport.close;
    QRapport.sql.Clear;
    QRapport.sql.Add('Select Count(*),DTCP3 From EtatVaccinal,enfant,calendier  ') ;
    QRapport.sql.Add('Where EtatVaccinal.NEtatC=enfant.NEtatC ');
    QRapport.sql.Add('And(EtatVaccinal.NEtatC=Calendier.NEtatC) ');
    QRapport.sql.Add('And(DateDTCP3 between :a and :b) ');
    QRapport.sql.Add(' And (Enfant.DateN between :x And :y)');
    QRapport.sql.Add(' Group by DTCP3');
    s:='01/06/'+Look.Text;
    t:='30/06/'+Look.text;
    QRapport.Params[0].AsDate:=strtodate(s);
    QRapport.Params[1].AsDate:=strtodate(t);
    s:='01/01/'+Look.Text;
    t:= '31/01/'+Look.text;
    QRapport.Params[2].AsDate:=strtodate(s);
    QRapport.Params[3].AsDate:=strtodate(t);
    Series1.Clear;
    //--------------------------------------------------------------------------
    QRDBChart1.Title.Text.Clear;
    QRDBChart2.Title.Text.Clear;
    QRDBChart1.Title.Text.add('Taux de couverture vaccinale au DTCP3 pour le 2me Trimestre  '+look.text);
    QRDBChart2.Title.Text.add('Taux de couverture vaccinale au DTCP3 pour le 2me  Trimestre '+Look.text);
    Series1.XValues.ValueSource:='count(*)';
    Series1.XLabelsSource:='DTCP3';
    Series2.Clear;
    Series2.PieValues.ValueSource:='count(*)';
    Series2.XLabelsSource:='DTCP3';
    //--------------------------------------------------------------------------
    QRapport.Open;
    Title.caption:='Taux de couverture vaccinale au DTCP3 pour  le 2me Trimestre  '+look.text;
    Title1.caption:='Taux de couverture vaccinale au DTCP3 pour le 2me  Trimestre '+Look.text;
    Enfant.Open;
//------------------------------------------------------------------------------
   QDeces.Close;
   QDeces.SQL.Clear;
   QDeces.SQL.Add('Select * From EtatDeces.db Where DateD between :a and :b');
   QDeces.Params[0].AsDate:=strtodate(s);
   QDeces.Params[1].AsDate:=strtodate(t);
   QDeces.open;
//------------------------------------------------------------------------------
    Deces.Caption:=IntToStr(Qdeces.RecordCount);
    Deces1.Caption:=Deces.Caption;
    Nombre.Caption:=InttoStr(enfant.recordCount);  Enfant.Close;
    Nombre1.Caption:= Nombre.Caption ;
    s:='01/06/'+Look.Text;
    t:='30/06/'+Look.text;
    VarS.caption:=s;Vars1.Caption:=S;
    VarT.caption:=T;VarT1.Caption:=T;

end;//with
    end;// 1:rg.itemindex
//------------------------------------------------------------------------------
{2me Case}
    2:begin
    with Imprimer do begin
    Q.close;
    QRapport.sql.Clear;
    QRapport.sql.Add('Select Count(*),DTCP3 From EtatVaccinal,enfant,calendier  ') ;
    QRapport.sql.Add('Where EtatVaccinal.NEtatC=enfant.NEtatC ');
    QRapport.sql.Add('And(EtatVaccinal.NEtatC=Calendier.NEtatC) ');
    QRapport.sql.Add('And(DateDTCP3 between :a and :b) ');
    QRapport.sql.Add(' And (Enfant.DateN between :x And :y)');
    QRapport.sql.Add(' Group by DTCP3');
    s:='01/06/'+Look.Text;
    t:='30/09/'+Look.text;
    QRapport.Params[0].AsDate:=strtodate(s);
    QRapport.Params[1].AsDate:=strtodate(t);
    s:='01/01/'+Look.Text;
    t:= '31/05/'+Look.text;
    QRapport.Params[2].AsDate:=strtodate(s);
    QRapport.Params[3].AsDate:=strtodate(t);
    Series1.Clear;
    //--------------------------------------------------------------------------
    QRDBChart1.Title.Text.Clear;
    QRDBChart2.Title.Text.Clear;
    QRDBChart1.Title.Text.add('Taux de couverture vaccinale au DTCP3 pour le 3me Trimestre  '+Look.text);
    QRDBChart2.Title.Text.add('Taux de couverture vaccinale au DTCP3 pour le 3me  Trimestre '+Look.text);
    Series1.XValues.ValueSource:='count(*)';
    Series1.XLabelsSource:='DTCP3';
    Series2.Clear;
    Series2.PieValues.ValueSource:='count(*)';
    Series2.XLabelsSource:='DTCP3';
    //--------------------------------------------------------------------------
    QRapport.Open;
    Title.caption:='Taux de couverture vaccinale au DTCP3 pour  le 3me Trimestre  '+look.text;
    Title1.caption:='Taux de couverture vaccinale au DTCP3 pour le 3me  Trimestre '+Look.text;
    Enfant.Open;
//------------------------------------------------------------------------------
   QDeces.Close;
   QDeces.SQL.Clear;
   QDeces.SQL.Add('Select * From EtatDeces.db Where DateD between :a and :b');
   QDeces.Params[0].AsDate:=strtodate(s);
   QDeces.Params[1].AsDate:=strtodate(t);
   QDeces.open;
//------------------------------------------------------------------------------
    Deces.Caption:=IntToStr(Qdeces.RecordCount);
    Deces1.Caption:=Deces.Caption;
    Nombre.Caption:=InttoStr(enfant.recordCount);  Enfant.Close;
    Nombre1.Caption:= Nombre.Caption ;
    s:='01/06/'+Look.Text;
    t:='30/09/'+Look.text;
    VarS.caption:=s;Vars1.Caption:=S;
    VarT.caption:=T;VarT1.Caption:=T;

End;//with
   end;// 2:rg.itemindex
//------------------------------------------------------------------------------
{3me Case}
    3:begin
    with Imprimer do begin
    QRapport.close;
    QRapport.sql.Clear;
    QRapport.sql.Add('Select Count(*),DTCP3 From EtatVaccinal,enfant,calendier  ') ;
    QRapport.sql.Add('Where EtatVaccinal.NEtatC=enfant.NEtatC ');
    QRapport.sql.Add('And(EtatVaccinal.NEtatC=Calendier.NEtatC) ');
    QRapport.sql.Add('And(DateDTCP3 between :a and :b) ');
    QRapport.sql.Add(' And (Enfant.DateN between :x And :y)');
    QRapport.sql.Add(' Group by DTCP3');
    s:='01/06/'+Look.Text;
    t:='31/12/'+Look.text;
    QRapport.Params[0].AsDate:=strtodate(s);
    QRapport.Params[1].AsDate:=strtodate(t);
    s:='01/01/'+Look.Text;
    t:= '31/07/'+Look.text;
    QRapport.Params[2].AsDate:=strtodate(s);
    QRapport.Params[3].AsDate:=strtodate(t);
    Series1.Clear;
    //--------------------------------------------------------------------------
    QRDBChart1.Title.Text.Clear;
    QRDBChart2.Title.Text.Clear;
    QRDBChart1.Title.Text.add('Taux de couverture vaccinale au DTCP3 pour le 4me Trimestre  '+Look.text);
    QRDBChart2.Title.Text.add('Taux de couverture vaccinale au DTCP3 pour le 4me  Trimestre '+Look.text);
    Series1.XValues.ValueSource:='count(*)';
    Series1.XLabelsSource:='DTCP3';
    Series2.Clear;
    Series2.PieValues.ValueSource:='count(*)';
    Series2.XLabelsSource:='DTCP3';
    //--------------------------------------------------------------------------
    QRapport.Open;
    Title.caption:='Taux de couverture vaccinale au DTCP3 pour  le 4me Trimestre  '+look.text;
    Title1.caption:='Taux de couverture vaccinale au DTCP3 pour le 4me  Trimestre '+Look.text;
    Enfant.Open;
//------------------------------------------------------------------------------
   QDeces.Close;
   QDeces.SQL.Clear;
   QDeces.SQL.Add('Select * From EtatDeces.db Where DateD between :a and :b');
   QDeces.Params[0].AsDate:=strtodate(s);
   QDeces.Params[1].AsDate:=strtodate(t);
   QDeces.open;
//------------------------------------------------------------------------------
    Deces.Caption:=IntToStr(Qdeces.RecordCount);
    Deces1.Caption:=Deces.Caption;
    Nombre.Caption:=InttoStr(enfant.recordCount);  Enfant.Close;
    Nombre1.Caption:= Nombre.Caption ;
    s:='01/06/'+Look.Text;
    t:='31/12/'+Look.text;
    VarS.caption:=s;Vars1.Caption:=S;
    VarT.caption:=T;VarT1.Caption:=T;

End;//with
    end;// 3:rg.itemindex
//------------------------------------------------------------------------------
{4me Case}
    4:begin
    WITH IMPRIMER do begin
    QRapport.close;
    QRapport.sql.Clear;
    QRapport.sql.Add('Select Count(*),DTCP3 From EtatVaccinal,enfant,calendier  ') ;
    QRapport.sql.Add('Where EtatVaccinal.NEtatC=enfant.NEtatC ');
    QRapport.sql.Add('And(EtatVaccinal.NEtatC=Calendier.NEtatC) ');
    QRapport.sql.Add('And(DateDTCP3 between :a and :b) ');
    QRapport.sql.Add(' And (Enfant.DateN between :x And :y)');
    QRapport.sql.Add(' Group by DTCP3');
    s:='01/06/'+Look.Text;
    t:='31/03/'+IntToStr(StrToInt(Look.text)+1);
    QRapport.Params[0].AsDate:=strtodate(s);
    QRapport.Params[1].AsDate:=strtodate(t);
    s:='01/01/'+Look.Text;
    t:= '31/10/'+Look.text;
    QRapport.Params[2].AsDate:=strtodate(s);
    QRapport.Params[3].AsDate:=strtodate(t);
    Series1.Clear;
    //--------------------------------------------------------------------------
    QRDBChart1.Title.Text.Clear;
    QRDBChart2.Title.Text.Clear;
    QRDBChart1.Title.Text.add('Taux de couverture vaccinale au DTCP3 pour le 1er  Trimestre '+inttostr(strtoint(Look.text)+1));
    QRDBChart2.Title.Text.add('Taux de couverture vaccinale au DTCP3 pour le 1er  Trimestre '+inttostr(strtoint(Look.text)+1));
    Series1.XValues.ValueSource:='count(*)';
    Series1.XLabelsSource:='DTCP3';
    Series2.Clear;
    Series2.PieValues.ValueSource:='count(*)';
    Series2.XLabelsSource:='DTCP3';
    //--------------------------------------------------------------------------
    QRapport.Open;
    Title.caption:='Taux de couverture vaccinale au DTCP3 pour  le 1er  Trimestre '+inttostr(strtoint(Look.text)+1);
    Title1.caption:='Taux de couverture vaccinale au DTCP3 pour le 1er  Trimestre '+inttostr(strtoint(Look.text)+1);
    Enfant.Open;
//------------------------------------------------------------------------------
   QDeces.Close;
   QDeces.SQL.Clear;
   QDeces.SQL.Add('Select * From EtatDeces.db Where DateD between :a and :b');
   QDeces.Params[0].AsDate:=strtodate(s);
   QDeces.Params[1].AsDate:=strtodate(t);
   QDeces.open;
//------------------------------------------------------------------------------
    Deces.Caption:=IntToStr(Qdeces.RecordCount);
    Deces1.Caption:=Deces.Caption;
    Nombre.Caption:=InttoStr(enfant.recordCount);  Enfant.Close;
    Nombre1.Caption:= Nombre.Caption ;
    s:='01/06/'+Look.Text;
    t:='31/03/'+IntToStr(StrToInt(Look.text)+1);
    VarS.caption:=s;Vars1.Caption:=S;
    VarT.caption:=T;VarT1.Caption:=T;

 end;//with
    end;// 4:rg.itemindex
//------------------------------------------------------------------------------
{5me Case}
    5:begin
    WITH Imprimer DO begin
    QRapport.close;
    QRapport.sql.Clear;
    QRapport.sql.Add('Select Count(*),DTCP3 From EtatVaccinal,enfant,calendier  ') ;
    QRapport.sql.Add('Where EtatVaccinal.NEtatC=enfant.NEtatC ');
    QRapport.sql.Add('And(EtatVaccinal.NEtatC=Calendier.NEtatC) ');
    QRapport.sql.Add('And(DateDTCP3 between :a and :b) ');
    QRapport.sql.Add(' And (Enfant.DateN between :x And :y)');
    QRapport.sql.Add(' Group by DTCP3');
    s:='01/06/'+Look.Text;
    t:='31/05/'+IntToStr(StrToInt(Look.text)+1);
    QRapport.Params[0].AsDate:=strtodate(s);
    QRapport.Params[1].AsDate:=strtodate(t);
    s:='01/01/'+Look.Text;
    t:= '31/12/'+Look.text;
    QRapport.Params[2].AsDate:=strtodate(s);
    QRapport.Params[3].AsDate:=strtodate(t);
    Series1.Clear;
    //--------------------------------------------------------------------------
    DBChart1.Title.Text.Clear;
    DBChart2.Title.Text.Clear;
    DBChart1.Title.Text.add('Taux de couverture vaccinale au DTCP3 pour le 2me  Trimestre '+inttostr(strtoint(Look.text)+1));
    DBChart2.Title.Text.add('Taux de couverture vaccinale au DTCP3 pour le 2me  Trimestre '+inttostr(strtoint(Look.text)+1));
    Series1.XValues.ValueSource:='count(*)';
    Series1.XLabelsSource:='DTCP3';
    Series2.Clear;
    Series2.PieValues.ValueSource:='count(*)';
    Series2.XLabelsSource:='DTCP3';
    //--------------------------------------------------------------------------
    QRapport.Open;
    Title.caption:='Taux de couverture vaccinale au DTCP3 pour le 2me  Trimestre '+inttostr(strtoint(Look.text)+1);
    Title1.caption:='Taux de couverture vaccinale au DTCP3 pour le 2me  Trimestre '+inttostr(strtoint(Look.text)+1);
    Enfant.Open;
//------------------------------------------------------------------------------
   QDeces.Close;
   QDeces.SQL.Clear;
   QDeces.SQL.Add('Select * From EtatDeces.db Where DateD between :a and :b');
   QDeces.Params[0].AsDate:=strtodate(s);
   QDeces.Params[1].AsDate:=strtodate(t);
   QDeces.open;
//------------------------------------------------------------------------------
    Deces.Caption:=IntToStr(Qdeces.RecordCount);
    Deces1.Caption:=Deces.Caption;
    Nombre.Caption:=InttoStr(enfant.recordCount);  Enfant.Close;
    Nombre1.Caption:= Nombre.Caption ;
    s:='01/06/'+Look.Text;
    t:='31/05/'+IntToStr(StrToInt(Look.text)+1);
    VarS.caption:=s;Vars1.Caption:=S;
    VarT.caption:=T;VarT1.Caption:=T;

End;//with
    end;// 5:rg.itemindex
//------------------------------------------------------------------------------
{6me Case}
    6:begin
    with Imprimer do begin
    QRapport.close;
    QRapport.sql.Clear;
    QRapport.sql.Add('Select Count(*),DTCP3 From EtatVaccinal,enfant,calendier  ') ;
    QRapport.sql.Add('Where EtatVaccinal.NEtatC=enfant.NEtatC ');
    QRapport.sql.Add('And(EtatVaccinal.NEtatC=Calendier.NEtatC) ');
    QRapport.sql.Add('And(DateDTCP3 between :a and :b) ');
    QRapport.sql.Add(' And (Enfant.DateN between :x And :y)');
    QRapport.sql.Add(' Group by DTCP3');
    s:='01/06/'+Look.Text;
    t:='31/05/'+IntToStr(StrToInt(Look.text)+1);
    QRapport.Params[0].AsDate:=strtodate(s);
    QRapport.Params[1].AsDate:=strtodate(t);
    s:='01/01/'+Look.Text;
    t:= '31/12/'+Look.text;
    QRapport.Params[2].AsDate:=strtodate(s);
    QRapport.Params[3].AsDate:=strtodate(t);
    Series1.Clear;
    //--------------------------------------------------------------------------
    QRDBChart1.Title.Text.Clear;
    QRDBChart2.Title.Text.Clear;
    QRDBChart1.Title.Text.add('Taux de couverture vaccinale au DTCP3 pour le 3me  Trimestre '+inttostr(strtoint(Look.text)+1));
    QRDBChart2.Title.Text.add('Taux de couverture vaccinale au DTCP3 pour le 3me  Trimestre '+inttostr(strtoint(Look.text)+1));
    Series1.XValues.ValueSource:='count(*)';
    Series1.XLabelsSource:='DTCP3';
    Series2.Clear;
    Series2.PieValues.ValueSource:='count(*)';
    Series2.XLabelsSource:='DTCP3';
    //--------------------------------------------------------------------------
    QRapport.Open;
    Title.caption:='Taux de couverture vaccinale au DTCP3 pour  le 3me Trimestre  '+inttostr(strtoint(Look.text)+1);
    Title1.caption:='Taux de couverture vaccinale au DTCP3 pour le 3me  Trimestre '+inttostr(strtoint(Look.text)+1);
    Enfant.Open;
//------------------------------------------------------------------------------
   QDeces.Close;
   QDeces.SQL.Clear;
   QDeces.SQL.Add('Select * From EtatDeces.db Where DateD between :a and :b');
   QDeces.Params[0].AsDate:=strtodate(s);
   QDeces.Params[1].AsDate:=strtodate(t);
   QDeces.open;
//------------------------------------------------------------------------------
    Deces.Caption:=IntToStr(Qdeces.RecordCount);
    Deces1.Caption:=Deces.Caption;
    Nombre.Caption:=InttoStr(enfant.recordCount);  Enfant.Close;
    Nombre1.Caption:= Nombre.Caption ;
    s:='01/06/'+Look.Text;
    t:='31/05/'+IntToStr(StrToInt(Look.text)+1);
    VarS.caption:=s;Vars1.Caption:=S;
    VarT.caption:=T;VarT1.Caption:=T;

end;//with
    end;// 6:rg.itemindex
//------------------------------------------------------------------------------
end; //case
//------------------------------------------------------------------------------
    end;
//------------------------------------------------------------------------------
4:begin // rgvac.ItemIndex
Case RG.ItemIndex of
    3:begin
    with Imprimer do begin
    SERIES1.Clear;
    QRapport.close;
    QRapport.sql.Clear;
    QRapport.sql.Add('Select Count(*),VAR From EtatVaccinal,enfant,calendier  ') ;
    QRapport.sql.Add('Where EtatVaccinal.NEtatC=enfant.NEtatC ');
    QRapport.sql.Add('And(EtatVaccinal.NEtatC=Calendier.NEtatC) ');
    QRapport.sql.Add('And(DateVAR between :a and :b) ');
    QRapport.sql.Add(' And (Enfant.DateN between :x And :y)');
    QRapport.sql.Add(' Group by VAR');
    s:='01/10/'+Look.Text;
    t:='31/12/'+Look.text;
    QRapport.Params[0].AsDate:=strtodate(s);
    QRapport.Params[1].AsDate:=strtodate(t);
    s:='01/01/'+Look.Text;
    t:= '30/03/'+Look.text;
    QRapport.Params[2].AsDate:=strtodate(s);
    QRapport.Params[3].AsDate:=strtodate(t);
    Series1.Clear;
    //--------------------------------------------------------------------------
    QRDBChart1.Title.Text.Clear;
    QRDBChart2.Title.Text.Clear;
    QRDBChart1.Title.Text.add('Taux de couverture vaccinale au V.Anti-Rougeoleux pour le 4me Trimestre  '+Look.text);
    QRDBChart2.Title.Text.add('Taux de couverture vaccinale au V.Anti-Rougeoleux pour le 4me  Trimestre '+Look.text);
    Series1.XValues.ValueSource:='count(*)';
    Series1.XLabelsSource:='VAR';
    Series2.Clear;
    Series2.PieValues.ValueSource:='count(*)';
    Series2.XLabelsSource:='VAR';
    //--------------------------------------------------------------------------
    QRapport.Open;
    Title.caption:='Taux de couverture vaccinale au  V.Anti-Rougeoleux pour le 4me Trimestre  '+Look.text;
    Title1.caption:='Taux de couverture vaccinale au V.Anti-Rougeoleux pour le 4me Trimestre  '+Look.text;
    Enfant.Open;
//------------------------------------------------------------------------------
   QDeces.Close;
   QDeces.SQL.Clear;
   QDeces.SQL.Add('Select * From EtatDeces.db Where DateD between :a and :b');
   QDeces.Params[0].AsDate:=strtodate(s);
   QDeces.Params[1].AsDate:=strtodate(t);
   QDeces.open;
//------------------------------------------------------------------------------
    Deces.Caption:=IntToStr(Qdeces.RecordCount);
    Deces1.Caption:=Deces.Caption;
    Nombre.Caption:=InttoStr(enfant.recordCount);  Enfant.Close;
    Nombre1.Caption:= Nombre.Caption ;
    s:='01/10/'+Look.Text;
    t:='31/12/'+Look.text;
    VarS.caption:=s;Vars1.Caption:=S;
    VarT.caption:=T;VarT1.Caption:=T;

end;//with
    end;// 3:rg.itemindex
//------------------------------------------------------------------------------
    4:begin
    With Imprimer do begin
    SERIES1.Clear;
    QRapport.close;
    QRapport.sql.Clear;
    QRapport.sql.Add('Select Count(*),VAR From EtatVaccinal,enfant,calendier  ') ;
    QRapport.sql.Add('Where EtatVaccinal.NEtatC=enfant.NEtatC ');
    QRapport.sql.Add('And(EtatVaccinal.NEtatC=Calendier.NEtatC) ');
    QRapport.sql.Add('And(DateVAR between :a and :b) ');
    QRapport.sql.Add(' And (Enfant.DateN between :x And :y)');
    QRapport.sql.Add(' Group by VAR');
    s:='01/10/'+Look.Text;
    t:='31/03/'+IntToStr(StrToInt(Look.text)+1);
    QRapport.Params[0].AsDate:=strtodate(s);
    QRapport.Params[1].AsDate:=strtodate(t);
    s:='01/01/'+Look.Text;
    t:= '31/10/'+Look.text;
    QRapport.Params[2].AsDate:=strtodate(s);
    QRapport.Params[3].AsDate:=strtodate(t);
    Series1.Clear;
    //--------------------------------------------------------------------------
    QRDBChart1.Title.Text.Clear;
    QRDBChart2.Title.Text.Clear;
    QRDBChart1.Title.Text.add('Taux de couverture vaccinale au V.Anti-Rougeoleux pour le 1er  Trimestre '+inttostr(strtoint(Look.text)+1));
    QRDBChart2.Title.Text.add('Taux de couverture vaccinale au V.Anti-Rougeoleux pour le 1er  Trimestre '+inttostr(strtoint(Look.text)+1));
    Series1.XValues.ValueSource:='count(*)';
    Series1.XLabelsSource:='VAR';
    Series2.Clear;
    Series2.PieValues.ValueSource:='count(*)';
    Series2.XLabelsSource:='VAR';
    //--------------------------------------------------------------------------
    QRapport.Open;
    Title.caption:='Taux de couverture vaccinale au  V.Anti-Rougeoleux pour  le 1er  Trimestre '+inttostr(strtoint(Look.text)+1);
    Title1.caption:='Taux de couverture vaccinale au V.Anti-Rougeoleux pour le 1er  Trimestre '+inttostr(strtoint(Look.text)+1);
    Enfant.Open;
//------------------------------------------------------------------------------
   QDeces.Close;
   QDeces.SQL.Clear;
   QDeces.SQL.Add('Select * From EtatDeces.db Where DateD between :a and :b');
   QDeces.Params[0].AsDate:=strtodate(s);
   QDeces.Params[1].AsDate:=strtodate(t);
   QDeces.open;
//------------------------------------------------------------------------------
    Deces.Caption:=IntToStr(Qdeces.RecordCount);
    Deces1.Caption:=Deces.Caption;
    Nombre.Caption:=InttoStr(enfant.recordCount);  Enfant.Close;
    Nombre1.Caption:= Nombre.Caption ;
    s:='01/10/'+Look.Text;
    t:='31/03/'+IntToStr(StrToInt(Look.text)+1);
    VarS.caption:=s;Vars1.Caption:=S;
    VarT.caption:=T;VarT1.Caption:=T;

End;//With
    end;// 4:rg.itemindex
//------------------------------------------------------------------------------
    5:begin
    With Imprimer do begin
    SERIES1.Clear;
    QRapport.close;
    QRapport.sql.Clear;
    QRapport.sql.Add('Select Count(*),VAR From EtatVaccinal,enfant,calendier  ') ;
    QRapport.sql.Add('Where EtatVaccinal.NEtatC=enfant.NEtatC ');
    QRapport.sql.Add('And(EtatVaccinal.NEtatC=Calendier.NEtatC) ');
    QRapport.sql.Add('And(DateVAR between :a and :b) ');
    QRapport.sql.Add(' And (Enfant.DateN between :x And :y)');
    QRapport.sql.Add(' Group by VAR');
    s:='01/10/'+Look.Text;
    t:='30/06/'+IntToStr(StrToInt(Look.text)+1);
    QRapport.Params[0].AsDate:=strtodate(s);
    QRapport.Params[1].AsDate:=strtodate(t);
    s:='01/01/'+Look.Text;
    t:= '30/09/'+Look.text;
    QRapport.Params[2].AsDate:=strtodate(s);
    QRapport.Params[3].AsDate:=strtodate(t);
    Series1.Clear;
    //--------------------------------------------------------------------------
    QRDBChart1.Title.Text.Clear;
    QRDBChart2.Title.Text.Clear;
    QRDBChart1.Title.Text.add('Taux de couverture vaccinale au V.Anti-Rougeoleux pour le 2me  Trimestre '+inttostr(strtoint(Look.text)+1));
    QRDBChart2.Title.Text.add('Taux de couverture vaccinale au V.Anti-Rougeoleux pour le 2me  Trimestre '+inttostr(strtoint(Look.text)+1));
    Series1.XValues.ValueSource:='count(*)';
    Series1.XLabelsSource:='VAR';
    Series2.Clear;
    Series2.PieValues.ValueSource:='count(*)';
    Series2.XLabelsSource:='VAR';
    //--------------------------------------------------------------------------
    QRapport.Open;
    Title.caption:='Taux de couverture vaccinale au  V.Anti-Rougeoleux pour  le 2me  Trimestre '+inttostr(strtoint(Look.text)+1);
    Title1.caption:='Taux de couverture vaccinale au V.Anti-Rougeoleux pour le 2me  Trimestre '+inttostr(strtoint(Look.text)+1);
    Enfant.Open;
//------------------------------------------------------------------------------
   QDeces.Close;
   QDeces.SQL.Clear;
   QDeces.SQL.Add('Select * From EtatDeces.db Where DateD between :a and :b');
   QDeces.Params[0].AsDate:=strtodate(s);
   QDeces.Params[1].AsDate:=strtodate(t);
   QDeces.open;
//------------------------------------------------------------------------------
    Deces.Caption:=IntToStr(Qdeces.RecordCount);
    Deces1.Caption:=Deces.Caption;
    Nombre.Caption:=InttoStr(enfant.recordCount);  Enfant.Close;
    Nombre1.Caption:= Nombre.Caption ;
    s:='01/10/'+Look.Text;
    t:='30/06/'+IntToStr(StrToInt(Look.text)+1);
    VarS.caption:=s;Vars1.Caption:=S;
    VarT.caption:=T;VarT1.Caption:=T;

End;//With
    end;// 5:rg.itemindex
//------------------------------------------------------------------------------
    6:begin
    With Imprimer do begin
    SERIES1.Clear;
    QRapport.close;
    QRapport.sql.Clear;
    QRapport.sql.Add('Select Count(*),VAR From EtatVaccinal,enfant,calendier  ') ;
    QRapport.sql.Add('Where EtatVaccinal.NEtatC=enfant.NEtatC ');
    QRapport.sql.Add('And(EtatVaccinal.NEtatC=Calendier.NEtatC) ');
    QRapport.sql.Add('And(DateVAR between :a and :b) ');
    QRapport.sql.Add(' And (Enfant.DateN between :x And :y)');
    QRapport.sql.Add(' Group by VAR');
    s:='01/10/'+Look.Text;
    t:='30/09/'+IntToStr(StrToInt(Look.text)+1);
    QRapport.Params[0].AsDate:=strtodate(s);
    QRapport.Params[1].AsDate:=strtodate(t);
    s:='01/01/'+Look.Text;
    t:= '31/12/'+Look.text;
    QRapport.Params[2].AsDate:=strtodate(s);
    QRapport.Params[3].AsDate:=strtodate(t);
    Series1.Clear;
    //--------------------------------------------------------------------------
    QRDBChart1.Title.Text.Clear;
    QRDBChart2.Title.Text.Clear;
    QRDBChart1.Title.Text.add('Taux de couverture vaccinale au V.Anti-Rougeoleux pour le 3me  Trimestre '+inttostr(strtoint(Look.text)+1));
    QRDBChart2.Title.Text.add('Taux de couverture vaccinale au V.Anti-Rougeoleux pour le 3me  Trimestre '+inttostr(strtoint(Look.text)+1));
    Series1.XValues.ValueSource:='count(*)';
    Series1.XLabelsSource:='VAR';
    Series2.Clear;
    Series2.PieValues.ValueSource:='count(*)';
    Series2.XLabelsSource:='VAR';
    //--------------------------------------------------------------------------
    QRapport.Open;
    Title.caption:='Taux de couverture vaccinale au  V.Anti-Rougeoleux pour  le 3me  Trimestre '+inttostr(strtoint(Look.text)+1);
    Title1.caption:='Taux de couverture vaccinale au V.Anti-Rougeoleux pour  le 3me  Trimestre '+inttostr(strtoint(Look.text)+1);
    Enfant.Open;
//------------------------------------------------------------------------------
   QDeces.Close;
   QDeces.SQL.Clear;
   QDeces.SQL.Add('Select * From EtatDeces.db Where DateD between :a and :b');
   QDeces.Params[0].AsDate:=strtodate(s);
   QDeces.Params[1].AsDate:=strtodate(t);
   QDeces.open;
//------------------------------------------------------------------------------
    Deces.Caption:=IntToStr(Qdeces.RecordCount);    Deces1.Caption:=Deces.Caption;
    Nombre.Caption:=InttoStr(enfant.recordCount);  Enfant.Close;
    Nombre1.Caption:= Nombre.Caption ;
    s:='01/10/'+Look.Text;
    t:='30/09/'+IntToStr(StrToInt(Look.text)+1);
    VarS.caption:=s;Vars1.Caption:=S;
    VarT.caption:=T;VarT1.Caption:=T;

END;//WITH
    end;// 6:rg.itemindex
//------------------------------------------------------------------------------
end; //case
//------------------------------------------------------------------------------
end;
//-------------------------------------------jusqu'ici--------------------------
END;//Case
//------------------------------------------------------------------------------
IF CSect.Checked then
Imprimer.QuickRep2.Preview
Else  Imprimer.QuickRep1.Preview ;
end;
// -----------------------------------------------------------------------------
procedure TF_RapGraph.MenuFDClick(Sender: TObject);
begin
  FD.Year.caption:=Look.text;
  FD.Year1.caption:=Look.text;
  FD.Year2.caption:=Look.text;
  FD.Year3.caption:=Look.text;
  FD.Year4.caption:=Look.text;
  FD.Year5.caption:=Look.text;
  FD.Year6.caption:=Look.text;
  FD.Year7.caption:=Look.text;
  FD.Year8.caption:=Look.text;
  FD.Year9.caption:=Look.text;
  FD.Year10.caption:=Look.text;
  FD.Year11.caption:=Look.text;
  FD.mois.Caption:=Copy(DateToStr(now),4,2);
  Case   StrToInt(Copy(DateToStr(now),4,2)) of
  1:  FD.mois.Caption:=':Janvier';
  2:  FD.mois.Caption:=':Fvirier';
  3:  FD.mois.Caption:=':Mars';
  4:  FD.mois.Caption:=':Avril';
  5:  FD.mois.Caption:=':Mai';
  6:  FD.mois.Caption:=':Juin';
  7:  FD.mois.Caption:=':Juillet';
  8:  FD.mois.Caption:=':Aot';
  9:  FD.mois.Caption:=':Septembre';
 10:  FD.mois.Caption:=':Octobre';
 11:  FD.mois.Caption:=':Nouvembre';
 12:  FD.mois.Caption:=':Dcembre';
 end;
  FD.annee.Caption:=Copy(DateToStr(now),7,4);
//------------------------------------------------------------------------------
  FD.Query1.Close;
  FD.Query1.Params[0].AsDate:=StrToDate('01/01/'+Look.text);
  FD.Query1.Params[1].AsDate:=StrToDate('31/01/'+Look.text);
  FD.Query1.Open;
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
  FD.Query2.Close;
  FD.Query2.Params[0].AsDate:=StrToDate('01/02/'+Look.text);
  FD.Query2.Params[1].AsDate:=StrToDate('01/03/'+Look.text);
  FD.Query2.Open;
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
  FD.Query3.Close;
  FD.Query3.Params[0].AsDate:=StrToDate('01/03/'+Look.text);
  FD.Query3.Params[1].AsDate:=StrToDate('31/03/'+Look.text);
  FD.Query3.Open;
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
  FD.Query4.Close;
  FD.Query4.Params[0].AsDate:=StrToDate('01/04/'+Look.text);
  FD.Query4.Params[1].AsDate:=StrToDate('30/04/'+Look.text);
  FD.Query4.Open;
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
  FD.Query5.Close;
  FD.Query5.Params[0].AsDate:=StrToDate('01/05/'+Look.text);
  FD.Query5.Params[1].AsDate:=StrToDate('31/05/'+Look.text);
  FD.Query5.Open;
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
  FD.Query6.Close;
  FD.Query6.Params[0].AsDate:=StrToDate('01/06/'+Look.text);
  FD.Query6.Params[1].AsDate:=StrToDate('30/06/'+Look.text);
  FD.Query6.Open;
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
  FD.Query7.Close;
  FD.Query7.Params[0].AsDate:=StrToDate('01/07/'+Look.text);
  FD.Query7.Params[1].AsDate:=StrToDate('31/07/'+Look.text);
  FD.Query7.Open;
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
  FD.Query8.Close;
  FD.Query8.Params[0].AsDate:=StrToDate('01/08/'+Look.text);
  FD.Query8.Params[1].AsDate:=StrToDate('31/08/'+Look.text);
  FD.Query8.Open;
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
  FD.Query9.Close;
  FD.Query9.Params[0].AsDate:=StrToDate('01/09/'+Look.text);
  FD.Query9.Params[1].AsDate:=StrToDate('30/09/'+Look.text);
  FD.Query9.Open;
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
  FD.Query10.Close;
  FD.Query10.Params[0].AsDate:=StrToDate('01/10/'+Look.text);
  FD.Query10.Params[1].AsDate:=StrToDate('31/10/'+Look.text);
  FD.Query10.Open;
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
  FD.Query11.Close;
  FD.Query11.Params[0].AsDate:=StrToDate('01/11/'+Look.text);
  FD.Query11.Params[1].AsDate:=StrToDate('30/11/'+Look.text);
  FD.Query11.Open;
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
  FD.Query12.Close;
  FD.Query12.Params[0].AsDate:=StrToDate('01/12/'+Look.text);
  FD.Query12.Params[1].AsDate:=StrToDate('31/12/'+Look.text);
  FD.Query12.Open;
//------------------------------------------------------------------------------
  FD.Query13.Close;
  FD.Query13.Params[0].AsDate:=StrToDate('01/01/'+Look.text);
  FD.Query13.Params[1].AsDate:=StrToDate('01/01/'+Look.text);
  FD.Query13.Open;
//------------------------------------------------------------------------------
  FD.Query14.Close;
  FD.Query14.Params[0].AsDate:=StrToDate('01/02/'+Look.text);
  FD.Query14.Params[1].AsDate:=StrToDate('01/03/'+Look.text);
  FD.Query14.Open;
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
  FD.Query15.Close;
  FD.Query15.Params[0].AsDate:=StrToDate('01/03/'+Look.text);
  FD.Query15.Params[1].AsDate:=StrToDate('31/03/'+Look.text);
  FD.Query15.Open;
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
  FD.Query16.Close;
  FD.Query16.Params[0].AsDate:=StrToDate('01/04/'+Look.text);
  FD.Query16.Params[1].AsDate:=StrToDate('30/04/'+Look.text);
  FD.Query16.Open;
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
  FD.Query17.Close;
  FD.Query17.Params[0].AsDate:=StrToDate('01/05/'+Look.text);
  FD.Query17.Params[1].AsDate:=StrToDate('31/05/'+Look.text);
  FD.Query17.Open;
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
  FD.Query18.Close;
  FD.Query18.Params[0].AsDate:=StrToDate('01/06/'+Look.text);
  FD.Query18.Params[1].AsDate:=StrToDate('30/06/'+Look.text);
  FD.Query18.Open;
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
  FD.Query19.Close;
  FD.Query19.Params[0].AsDate:=StrToDate('01/07/'+Look.text);
  FD.Query19.Params[1].AsDate:=StrToDate('31/07/'+Look.text);
  FD.Query19.Open;
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
  FD.Query20.Close;
  FD.Query20.Params[0].AsDate:=StrToDate('01/08/'+Look.text);
  FD.Query20.Params[1].AsDate:=StrToDate('31/08/'+Look.text);
  FD.Query20.Open;
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
  FD.Query21.Close;
  FD.Query21.Params[0].AsDate:=StrToDate('01/09/'+Look.text);
  FD.Query21.Params[1].AsDate:=StrToDate('30/09/'+Look.text);
  FD.Query21.Open;
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
  FD.Query22.Close;
  FD.Query22.Params[0].AsDate:=StrToDate('01/10/'+Look.text);
  FD.Query22.Params[1].AsDate:=StrToDate('31/10/'+Look.text);
  FD.Query22.Open;
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
  FD.Query23.Close;
  FD.Query23.Params[0].AsDate:=StrToDate('01/11/'+Look.text);
  FD.Query23.Params[1].AsDate:=StrToDate('30/11/'+Look.text);
  FD.Query23.Open;
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
  FD.Query24.Close;
  FD.Query24.Params[0].AsDate:=StrToDate('01/12/'+Look.text);
  FD.Query24.Params[1].AsDate:=StrToDate('31/12/'+Look.text);
  FD.Query24.Open;
//------------------------------------------------------------------------------
  FD.Query25.Close;
  FD.Query25.Params[0].AsDate:=StrToDate('01/01/'+Look.text);
  FD.Query25.Params[1].AsDate:=StrToDate('01/01/'+Look.text);
  FD.Query25.Open;
//------------------------------------------------------------------------------
  FD.Query26.Close;
  FD.Query26.Params[0].AsDate:=StrToDate('01/02/'+Look.text);
  FD.Query26.Params[1].AsDate:=StrToDate('01/03/'+Look.text);
  FD.Query26.Open;
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
  FD.Query27.Close;
  FD.Query27.Params[0].AsDate:=StrToDate('01/03/'+Look.text);
  FD.Query27.Params[1].AsDate:=StrToDate('31/03/'+Look.text);
  FD.Query27.Open;
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
  FD.Query28.Close;
  FD.Query28.Params[0].AsDate:=StrToDate('01/04/'+Look.text);
  FD.Query28.Params[1].AsDate:=StrToDate('30/04/'+Look.text);
  FD.Query28.Open;
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
  FD.Query29.Close;
  FD.Query29.Params[0].AsDate:=StrToDate('01/05/'+Look.text);
  FD.Query29.Params[1].AsDate:=StrToDate('31/05/'+Look.text);
  FD.Query29.Open;
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
  FD.Query30.Close;
  FD.Query30.Params[0].AsDate:=StrToDate('01/06/'+Look.text);
  FD.Query30.Params[1].AsDate:=StrToDate('30/06/'+Look.text);
  FD.Query30.Open;
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
  FD.Query31.Close;
  FD.Query31.Params[0].AsDate:=StrToDate('01/07/'+Look.text);
  FD.Query31.Params[1].AsDate:=StrToDate('31/07/'+Look.text);
  FD.Query31.Open;
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
  FD.Query32.Close;
  FD.Query32.Params[0].AsDate:=StrToDate('01/08/'+Look.text);
  FD.Query32.Params[1].AsDate:=StrToDate('31/08/'+Look.text);
  FD.Query32.Open;
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
  FD.Query33.Close;
  FD.Query33.Params[0].AsDate:=StrToDate('01/09/'+Look.text);
  FD.Query33.Params[1].AsDate:=StrToDate('30/09/'+Look.text);
  FD.Query33.Open;
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
  FD.Query34.Close;
  FD.Query34.Params[0].AsDate:=StrToDate('01/10/'+Look.text);
  FD.Query34.Params[1].AsDate:=StrToDate('31/10/'+Look.text);
  FD.Query34.Open;
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
  FD.Query35.Close;
  FD.Query35.Params[0].AsDate:=StrToDate('01/11/'+Look.text);
  FD.Query35.Params[1].AsDate:=StrToDate('30/11/'+Look.text);
  FD.Query35.Open;
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
  FD.Query36.Close;
  FD.Query36.Params[0].AsDate:=StrToDate('01/12/'+Look.text);
  FD.Query36.Params[1].AsDate:=StrToDate('31/12/'+Look.text);
  FD.Query36.Open;
//------------------------------------------------------------------------------

  FD.Query37.Close;
  FD.Query37.Params[0].AsDate:=StrToDate('01/01/'+Look.text);
  FD.Query37.Params[1].AsDate:=StrToDate('01/01/'+Look.text);
  FD.Query37.Open;
//------------------------------------------------------------------------------
  FD.Query38.Close;
  FD.Query38.Params[0].AsDate:=StrToDate('01/02/'+Look.text);
  FD.Query38.Params[1].AsDate:=StrToDate('01/03/'+Look.text);
  FD.Query38.Open;
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
  FD.Query39.Close;
  FD.Query39.Params[0].AsDate:=StrToDate('01/03/'+Look.text);
  FD.Query39.Params[1].AsDate:=StrToDate('31/03/'+Look.text);
  FD.Query39.Open;
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
  FD.Query40.Close;
  FD.Query40.Params[0].AsDate:=StrToDate('01/04/'+Look.text);
  FD.Query40.Params[1].AsDate:=StrToDate('30/04/'+Look.text);
  FD.Query40.Open;
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
  FD.Query41.Close;
  FD.Query41.Params[0].AsDate:=StrToDate('01/05/'+Look.text);
  FD.Query41.Params[1].AsDate:=StrToDate('31/05/'+Look.text);
  FD.Query41.Open;
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
  FD.Query42.Close;
  FD.Query42.Params[0].AsDate:=StrToDate('01/06/'+Look.text);
  FD.Query42.Params[1].AsDate:=StrToDate('30/06/'+Look.text);
  FD.Query42.Open;
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
  FD.Query43.Close;
  FD.Query43.Params[0].AsDate:=StrToDate('01/07/'+Look.text);
  FD.Query43.Params[1].AsDate:=StrToDate('31/07/'+Look.text);
  FD.Query43.Open;
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
  FD.Query44.Close;
  FD.Query44.Params[0].AsDate:=StrToDate('01/08/'+Look.text);
  FD.Query44.Params[1].AsDate:=StrToDate('31/08/'+Look.text);
  FD.Query44.Open;
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
  FD.Query45.Close;
  FD.Query45.Params[0].AsDate:=StrToDate('01/09/'+Look.text);
  FD.Query45.Params[1].AsDate:=StrToDate('30/09/'+Look.text);
  FD.Query45.Open;
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
  FD.Query46.Close;
  FD.Query46.Params[0].AsDate:=StrToDate('01/10/'+Look.text);
  FD.Query46.Params[1].AsDate:=StrToDate('31/10/'+Look.text);
  FD.Query46.Open;
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
  FD.Query47.Close;
  FD.Query47.Params[0].AsDate:=StrToDate('01/11/'+Look.text);
  FD.Query47.Params[1].AsDate:=StrToDate('30/11/'+Look.text);
  FD.Query47.Open;
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
  FD.Query48.Close;
  FD.Query48.Params[0].AsDate:=StrToDate('01/12/'+Look.text);
  FD.Query48.Params[1].AsDate:=StrToDate('31/12/'+Look.text);
  FD.Query48.Open;
//------------------------------------------------------------------------------

  FD.Query49.Close;
  FD.Query49.Params[0].AsDate:=StrToDate('01/01/'+Look.text);
  FD.Query49.Params[1].AsDate:=StrToDate('01/01/'+Look.text);
  FD.Query49.Open;
//------------------------------------------------------------------------------
  FD.Query50.Close;
  FD.Query50.Params[0].AsDate:=StrToDate('01/02/'+Look.text);
  FD.Query50.Params[1].AsDate:=StrToDate('01/03/'+Look.text);
  FD.Query50.Open;
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
  FD.Query51.Close;
  FD.Query51.Params[0].AsDate:=StrToDate('01/03/'+Look.text);
  FD.Query51.Params[1].AsDate:=StrToDate('31/03/'+Look.text);
  FD.Query51.Open;
//---------1--------------------------------------------------------------------
//-----------------------------------------------------------------------------
  FD.Query52.Close;
  FD.Query52.Params[0].AsDate:=StrToDate('01/04/'+Look.text);
  FD.Query52.Params[1].AsDate:=StrToDate('30/04/'+Look.text);
  FD.Query52.Open;
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
  FD.Query53.Close;
  FD.Query53.Params[0].AsDate:=StrToDate('01/05/'+Look.text);
  FD.Query53.Params[1].AsDate:=StrToDate('31/05/'+Look.text);
  FD.Query53.Open;
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
  FD.Query54.Close;
  FD.Query54.Params[0].AsDate:=StrToDate('01/06/'+Look.text);
  FD.Query54.Params[1].AsDate:=StrToDate('30/06/'+Look.text);
  FD.Query54.Open;
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
  FD.Query55.Close;
  FD.Query55.Params[0].AsDate:=StrToDate('01/07/'+Look.text);
  FD.Query55.Params[1].AsDate:=StrToDate('31/07/'+Look.text);
  FD.Query55.Open;
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
  FD.Query56.Close;
  FD.Query56.Params[0].AsDate:=StrToDate('01/08/'+Look.text);
  FD.Query56.Params[1].AsDate:=StrToDate('31/08/'+Look.text);
  FD.Query56.Open;
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
  FD.Query57.Close;
  FD.Query57.Params[0].AsDate:=StrToDate('01/09/'+Look.text);
  FD.Query57.Params[1].AsDate:=StrToDate('30/09/'+Look.text);
  FD.Query57.Open;
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
  FD.Query58.Close;
  FD.Query58.Params[0].AsDate:=StrToDate('01/10/'+Look.text);
  FD.Query58.Params[1].AsDate:=StrToDate('31/10/'+Look.text);
  FD.Query58.Open;
//---------8--------------------------------------------------------------------
//------------------------------------------------------------------------------
  FD.Query59.Close;
  FD.Query59.Params[0].AsDate:=StrToDate('01/11/'+Look.text);
  FD.Query59.Params[1].AsDate:=StrToDate('30/11/'+Look.text);
  FD.Query59.Open;
//---------9--------------------------------------------------------------------
//---------9--------------------------------------------------------------------
  FD.Query60.Close;
  FD.Query60.Params[0].AsDate:=StrToDate('01/12/'+Look.text);
  FD.Query60.Params[1].AsDate:=StrToDate('31/12/'+Look.text);
  FD.Query60.Open;
//------------------------------------------------------------------------------

  FD.Query61.Close;
  FD.Query61.Params[0].AsDate:=StrToDate('01/01/'+Look.text);
  FD.Query61.Params[1].AsDate:=StrToDate('01/01/'+Look.text);
  FD.Query61.Open;
//------------------------------------------------------------------------------
  FD.Query62.Close;
  FD.Query62.Params[0].AsDate:=StrToDate('01/02/'+Look.text);
  FD.Query62.Params[1].AsDate:=StrToDate('01/03/'+Look.text);
  FD.Query62.Open;
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
  FD.Query63.Close;
  FD.Query63.Params[0].AsDate:=StrToDate('01/03/'+Look.text);
  FD.Query63.Params[1].AsDate:=StrToDate('31/03/'+Look.text);
  FD.Query63.Open;
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
  FD.Query64.Close;
  FD.Query64.Params[0].AsDate:=StrToDate('01/04/'+Look.text);
  FD.Query64.Params[1].AsDate:=StrToDate('30/04/'+Look.text);
  FD.Query64.Open;
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
  FD.Query65.Close;
  FD.Query65.Params[0].AsDate:=StrToDate('01/05/'+Look.text);
  FD.Query65.Params[1].AsDate:=StrToDate('31/05/'+Look.text);
  FD.Query65.Open;
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
  FD.Query66.Close;
  FD.Query66.Params[0].AsDate:=StrToDate('01/06/'+Look.text);
  FD.Query66.Params[1].AsDate:=StrToDate('30/06/'+Look.text);
  FD.Query66.Open;
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
  FD.Query67.Close;
  FD.Query67.Params[0].AsDate:=StrToDate('01/07/'+Look.text);
  FD.Query67.Params[1].AsDate:=StrToDate('31/07/'+Look.text);
  FD.Query67.Open;
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
  FD.Query68.Close;
  FD.Query68.Params[0].AsDate:=StrToDate('01/08/'+Look.text);
  FD.Query68.Params[1].AsDate:=StrToDate('31/08/'+Look.text);
  FD.Query68.Open;
//----------8-------------------------------------------------------------------
//------------------------------------------------------------------------------
  FD.Query69.Close;
  FD.Query69.Params[0].AsDate:=StrToDate('01/09/'+Look.text);
  FD.Query69.Params[1].AsDate:=StrToDate('30/09/'+Look.text);
  FD.Query69.Open;
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
  FD.Query70.Close;
  FD.Query70.Params[0].AsDate:=StrToDate('01/10/'+Look.text);
  FD.Query70.Params[1].AsDate:=StrToDate('31/10/'+Look.text);
  FD.Query70.Open;
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
  FD.Query71.Close;
  FD.Query71.Params[0].AsDate:=StrToDate('01/11/'+Look.text);
  FD.Query71.Params[1].AsDate:=StrToDate('30/11/'+Look.text);
  FD.Query71.Open;
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
  FD.Query72.Close;
  FD.Query72.Params[0].AsDate:=StrToDate('01/12/'+Look.text);
  FD.Query72.Params[1].AsDate:=StrToDate('31/12/'+Look.text);
  FD.Query72.Open;
//------------------------------------------------------------------------------
FD.QuickRep1.Preview;
end;
// -----------------------------------------------------------------------------
procedure TF_RapGraph.Rapportannuel1Click(Sender: TObject);
begin
WITH Imprimer do
begin
QBCG.close ;
QBCG.Params[0].AsDate:=strtodate('01/01/'+look.text);
QBCG.Params[1].AsDate:=strtodate('31/12/'+look.text);
QBCG.open;
//------------------------------------------------------------------------------
QD1.close ;
QD1.Params[0].AsDate:=strtodate('01/01/'+look.text);
QD1.Params[1].AsDate:=strtodate('31/12/'+look.text);
QD1.open;
//------------------------------------------------------------------------------
QD2.close ;
QD2.Params[0].AsDate:=strtodate('01/01/'+look.text);
QD2.Params[1].AsDate:=strtodate('31/12/'+look.text);
QD2.open;
//------------------------------------------------------------------------------
QD3.close ;
QD3.Params[0].AsDate:=strtodate('01/01/'+look.text);
QD3.Params[1].AsDate:=strtodate('31/12/'+look.text);
QD3.open;
//------------------------------------------------------------------------------
QVAR.close ;
QVAR.Params[0].AsDate:=strtodate('01/01/'+look.text);
QVAR.Params[1].AsDate:=strtodate('31/12/'+look.text);
QVAR.open;
//------------------------------------------------------------------------------
Title3.Caption:='Taux de couverture vaccinale Annuelle d''anne  '+Look.text;
QRDBChart3.Title.Text.Clear;
QRDBChart3.Title.Text.Add('Taux de couverture vaccinale Annuelle d''anne  '+Look.text);
   QDeces.Close;
   QDeces.SQL.Clear;
   QDeces.SQL.Add('Select * From EtatDeces.db Where DateD between :a and :b');
   QDeces.Params[0].AsDate:=strtodate('01/01/'+look.text);
   QDeces.Params[1].AsDate:=strtodate('31/12/'+look.text);
   QDeces.open;
   Enfant.Open;
//------------------------------------------------------------------------------
    Deces3.Caption:=IntToStr(Qdeces.RecordCount);
    Nombre3.Caption:=InttoStr(enfant.recordCount);  Enfant.Close;
    VarS3.caption:='01/01/'+look.text;
    VarT3.caption:='31/12/'+look.text;
//------------------------------------------------------------------------------
QuickRep3.Preview;
end;//with
end;
// -----------------------------------------------------------------------------
procedure TF_RapGraph.ProgressionBcg1Click(Sender: TObject);
begin
WITH Imprimer do
begin                    
QBCG1.close ;
QBCG1.Params[0].AsDate:=strtodate('01/01/'+Look.Text);
QBCG1.Params[1].AsDate:=strtodate('31/03/'+Look.text);
QBCG1.open;
//------------------------------------------------------------------------------
QBCG2.close ;
QBCG2.Params[0].AsDate:=strtodate('01/01/'+Look.Text);
QBCG2.Params[1].AsDate:=strtodate('30/06/'+Look.text);
QBCG2.open;
//------------------------------------------------------------------------------
QBCG3.close ;
QBCG3.Params[0].AsDate:=strtodate('31/03/'+Look.Text);
QBCG3.Params[1].AsDate:=strtodate('30/09/'+Look.text);
QBCG3.open;
//------------------------------------------------------------------------------
QBCG4.close ;
QBCG4.Params[0].AsDate:=strtodate('30/09/'+Look.Text);
QBCG4.Params[1].AsDate:=strtodate('31/12/'+Look.text);
QBCG4.open;
//------------------------------------------------------------------------------
Titlebcg.Caption:='Taux de couverture vaccinale Annuelle au BCG d''anne  '+Look.text;
QRDBChart4.Title.Text.Clear;
QRDBChart4.Title.Text.Add('Taux de couverture vaccinale Annuelle au BCG d''anne  '+Look.text);
   QDeces.Close;
   QDeces.SQL.Clear;
   QDeces.SQL.Add('Select * From EtatDeces.db Where DateD between :a and :b');
   QDeces.Params[0].AsDate:=strtodate('01/01/'+look.text);
   QDeces.Params[1].AsDate:=strtodate('31/12/'+look.text);
   QDeces.open;
   Enfant.Open;
//------------------------------------------------------------------------------
    Decesbcg.Caption:=IntToStr(Qdeces.RecordCount);
    Nombre4.Caption:=InttoStr(enfant.recordCount);  Enfant.Close;
    VarSbcg.caption:='01/01/'+look.text;
    VarTbcg.caption:='31/12/'+look.text;
//------------------------------------------------------------------------------
QuickRep4.Preview;
end;//with
end;
// -----------------------------------------------------------------------------
procedure TF_RapGraph.ProgressionDTCP11Click(Sender: TObject);
begin
WITH Imprimer do
begin
QDTCP11.close ;
QDTCP11.Params[0].AsDate:=strtodate('01/01/'+Look.Text);
QDTCP11.Params[1].AsDate:=strtodate('31/03/'+Look.text);
QDTCP11.open;
//------------------------------------------------------------------------------
QDTCP12.close ;
QDTCP12.Params[0].AsDate:=strtodate('31/03/'+Look.Text);
QDTCP12.Params[1].AsDate:=strtodate('30/06/'+Look.text);
QDTCP12.open;
//------------------------------------------------------------------------------
QDTCP13.close ;
QDTCP13.Params[0].AsDate:=strtodate('30/06/'+Look.Text);
QDTCP13.Params[1].AsDate:=strtodate('30/09/'+Look.text);
QDTCP13.open;
//------------------------------------------------------------------------------
QDTCP14.close ;
QDTCP14.Params[0].AsDate:=strtodate('30/09/'+Look.Text);
QDTCP14.Params[1].AsDate:=strtodate('31/12/'+Look.text);
QDTCP14.open;
//------------------------------------------------------------------------------
TitleDTCP1.Caption:='Taux de couverture vaccinale Annuelle au DTCP1 d''anne  '+Look.text;
QRDBChart5.Title.Text.Clear;
QRDBChart5.Title.Text.Add('Taux de couverture vaccinale Annuelle  au DTCP1 d''anne  '+Look.text);
   QDeces.Close;
   QDeces.SQL.Clear;
   QDeces.SQL.Add('Select * From EtatDeces.db Where DateD between :a and :b');
   QDeces.Params[0].AsDate:=strtodate('01/01/'+look.text);
   QDeces.Params[1].AsDate:=strtodate('31/12/'+look.text);
   QDeces.open;
   Enfant.Open;
//------------------------------------------------------------------------------
    DecesDTCP1.Caption:=IntToStr(Qdeces.RecordCount);
    Nombre5.Caption:=InttoStr(enfant.recordCount);  Enfant.Close;
    VarSDTCP1.caption:='01/01/'+look.text;
    VarTDTCP1.caption:='31/12/'+look.text;
//------------------------------------------------------------------------------
QuickRep5.Preview;
end;//with
end;
// -----------------------------------------------------------------------------
procedure TF_RapGraph.ProgressionDTCP21Click(Sender: TObject);
begin
WITH Imprimer do
begin                    
QDTCP21.close ;
QDTCP21.Params[0].AsDate:=strtodate('01/01/'+Look.Text);
QDTCP21.Params[1].AsDate:=strtodate('31/03/'+Look.text);
QDTCP21.open;
//------------------------------------------------------------------------------
QDTCP22.close ;
QDTCP22.Params[0].AsDate:=strtodate('31/03/'+Look.Text);
QDTCP22.Params[1].AsDate:=strtodate('30/06/'+Look.text);
QDTCP22.open;
//------------------------------------------------------------------------------
QDTCP23.close ;
QDTCP23.Params[0].AsDate:=strtodate('30/06/'+Look.Text);
QDTCP23.Params[1].AsDate:=strtodate('30/09/'+Look.text);
QDTCP23.open;
//------------------------------------------------------------------------------
QDTCP24.close ;
QDTCP24.Params[0].AsDate:=strtodate('30/09/'+Look.Text);
QDTCP24.Params[1].AsDate:=strtodate('31/12/'+Look.text);
QDTCP24.open;
//------------------------------------------------------------------------------
TitleDTCP2.Caption:='Taux de couverture vaccinale Annuelle au DTCP2 d''anne  '+Look.text;
QRDBChart6.Title.Text.Clear;
QRDBChart6.Title.Text.Add('Taux de couverture vaccinale Annuelle au DTCP2 d''anne  '+Look.text);
   QDeces.Close;
   QDeces.SQL.Clear;
   QDeces.SQL.Add('Select * From EtatDeces.db Where DateD between :a and :b');
   QDeces.Params[0].AsDate:=strtodate('01/01/'+look.text);
   QDeces.Params[1].AsDate:=strtodate('31/12/'+look.text);
   QDeces.open;
   Enfant.Open;
//------------------------------------------------------------------------------
    DecesDTCP2.Caption:=IntToStr(Qdeces.RecordCount);
    Nombre6.Caption:=InttoStr(enfant.recordCount);  Enfant.Close;
    VarSDTCP2.caption:='01/01/'+look.text;
    VarTDTCP2.caption:='31/12/'+look.text;
//------------------------------------------------------------------------------
QuickRep6.Preview;
end;//with
end;
// -----------------------------------------------------------------------------
procedure TF_RapGraph.ProgressionDTCP22Click(Sender: TObject);
begin
WITH Imprimer do
begin
QDTCP31.close ;
QDTCP31.Params[0].AsDate:=strtodate('01/01/'+Look.Text);
QDTCP31.Params[1].AsDate:=strtodate('31/03/'+Look.text);
QDTCP31.open;
//------------------------------------------------------------------------------
QDTCP32.close ;
QDTCP32.Params[0].AsDate:=strtodate('31/03/'+Look.Text);
QDTCP32.Params[1].AsDate:=strtodate('30/06/'+Look.text);
QDTCP32.open;
//------------------------------------------------------------------------------
QDTCP33.close ;
QDTCP33.Params[0].AsDate:=strtodate('30/06/'+Look.Text);
QDTCP33.Params[1].AsDate:=strtodate('30/09/'+Look.text);
QDTCP33.open;
//------------------------------------------------------------------------------
QDTCP34.close ;
QDTCP34.Params[0].AsDate:=strtodate('30/09/'+Look.Text);
QDTCP34.Params[1].AsDate:=strtodate('31/12/'+Look.text);
QDTCP34.open;
//------------------------------------------------------------------------------
TitleDTCP3.Caption:='Taux de couverture  vaccinale Annuelle au DTCP3 d''anne  '+Look.text;
QRDBChart7.Title.Text.Clear;
QRDBChart7.Title.Text.Add('Taux de couverture  vaccinale Annuelle au DTCP3 d''anne  '+Look.text);
   QDeces.Close;
   QDeces.SQL.Clear;
   QDeces.SQL.Add('Select * From EtatDeces.db Where DateD between :a and :b');
   QDeces.Params[0].AsDate:=strtodate('01/01/'+look.text);
   QDeces.Params[1].AsDate:=strtodate('31/12/'+look.text);
   QDeces.open;
   Enfant.Open;
//------------------------------------------------------------------------------
    DecesDTCP3.Caption:=IntToStr(Qdeces.RecordCount);
    Nombre7.Caption:=InttoStr(enfant.recordCount);  Enfant.Close;
    VarSDTCP3.caption:='01/01/'+look.text;
    VarTDTCP3.caption:='31/12/'+look.text;
//------------------------------------------------------------------------------
QuickRep7.Preview;
end;//with
end;
// -----------------------------------------------------------------------------
procedure TF_RapGraph.ProgressionVAR1Click(Sender: TObject);
begin
WITH Imprimer do
begin
Qvar1.close ;
Qvar1.Params[0].AsDate:=strtodate('01/01/'+Look.Text);
Qvar1.Params[1].AsDate:=strtodate('31/03/'+Look.text);
Qvar1.open;
//------------------------------------------------------------------------------
Qvar2.close ;
Qvar2.Params[0].AsDate:=strtodate('31/03/'+Look.Text);
QVAR2.Params[1].AsDate:=strtodate('30/06/'+Look.text);
QVAR2.open;
//------------------------------------------------------------------------------
qvar3.close ;
Qvar3.Params[0].AsDate:=strtodate('30/06/'+Look.Text);
QVAR3.Params[1].AsDate:=strtodate('30/09/'+Look.text);
QVAR3.open;
//------------------------------------------------------------------------------
QVAR4.close ;
QVAR4.Params[0].AsDate:=strtodate('30/09/'+Look.Text);
QVAR4.Params[1].AsDate:=strtodate('31/12/'+Look.text);
QVAR4.open;
//------------------------------------------------------------------------------
TitleVAR.Caption:='Taux de couverture  vaccinale Annuelle au V.Anti-Rougeoleux d''anne  '+Look.text;
QRDBChart8.Title.Text.Clear;
QRDBChart8.Title.Text.Add('Taux de couverture  vaccinale Annuelle  au V.Anti-Rougeoleux  d''anne  '+Look.text);
   QDeces.Close;
   QDeces.SQL.Clear;
   QDeces.SQL.Add('Select * From EtatDeces.db Where DateD between :a and :b');
   QDeces.Params[0].AsDate:=strtodate('01/01/'+look.text);
   QDeces.Params[1].AsDate:=strtodate('31/12/'+look.text);
   QDeces.open;
   Enfant.Open;
//------------------------------------------------------------------------------
    DecesVAR.Caption:=IntToStr(Qdeces.RecordCount);
    Nombre8.Caption:=InttoStr(enfant.recordCount);  Enfant.Close;
    VarSVAR.caption:='01/01/'+look.text;
    VarTVAR.caption:='31/12/'+look.text;
//------------------------------------------------------------------------------
QuickRep8.Preview;
end;//with
end;
// -----------------------------------------------------------------------------
procedure TF_RapGraph.lookKeyUp(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
if (key=VK_DOWN) or (key=VK_up) then begin lookCloseUp(sender) ; end;
end;
// -----------------------------------------------------------------------------
procedure TF_RapGraph.MainMenu1MeasureMenuItem(Sender: TObject;
  AMenuItem: TMenuItem; ACanvas: TCanvas; var Width, Height: Integer;
  ABarVisible: Boolean; var DefaultMeasure: Boolean);
begin
  if (GetMenuBarMenusIntf(TMenu(Sender)).UseMenuStyle = msWindowsXP) then
    Height := Height + 2;
end;
// -----------------------------------------------------------------------------
procedure TF_RapGraph.FormDestroy(Sender: TObject);
begin
  FreeAndNil(FDrawBuffer);
end;
// -----------------------------------------------------------------------------
procedure TF_RapGraph.OuvrirunRapport1Click(Sender: TObject);
begin
   Imprimer.Quick.preview;
end;

end.

